options nofmterr nocenter;

*----------------------------------------------------------*;
*INDONESIA FAMILY LIFE SURVEY WAVE 2
* PROGRAM NAME: rdhh97.sas
*         PURPOSE: SAS READ statements for HH survey
*         CREATED ON 28 May 2000 by Duncan Thomas
* Send comments and questions to ifls-supp@rand.org
*----------------------------------------------------------*;

*<-- If ascii data file is not in this directory
     insert full pathname here:                 ;

     filename intrk 'trk.dat';
     filename inbk  'bk.dat';
     filename inb1  'b1.dat';
     filename inb2  'b2.dat';
     filename inb3a 'b3a.dat';
     filename inb3b 'b3b.dat';
     filename inb3p 'b3p.dat';
     filename inb4  'b4.dat';
     filename inb5  'b5.dat';

title 'Indonesia Family Life Survey Wave 2'; 

*-------------------------------------------*;
*FORMAT definitions
*-------------------------------------------*;

proc format;
  value  $AKTYPE
         'A'            = "A. CivSrv Ins"
         'B'            = "B. Jamsostek"
         'C'            = "C. Exp Reimb."
         'D'            = "D. Emp clinic"
         'E'            = "E. Pvt Ins."
         'F'            = "F. Life/Acc Ins"
         ;
  value  $CH20_
         'A'            = "A. Pvt dr"
         'B'            = "B. Pvt mdwf"
         'C'            = "C. Vill mdwf"
         'D'            = "D. Nurse"
         'E'            = "E. Trad BA"
         'F'            = "F. Other"
         'G'            = "G. No one"
         'H'            = "H. Family"
         'Y'            = "Y. DK"
         'Z'            = "Z. Missing"
         ;
  value  $CX1TYPE
         'A'            = "A. Pill"
         'B'            = "B. IUD"
         'C'            = "C. Injection"
         'E'            = "E. Condom"
         'F'            = "F. Implant"
         'G'            = "G. Fem ster"
         'H'            = "H. Male ster"
         'I'            = "I. Abortion"
         ;
  value  $GETYPE
         'A'            = "A. Death"
         'B'            = "B. Sickness"
         'C'            = "C. Crop loss"
         'D'            = "D. Nat. disast."
         'E'            = "E. Unemploymnt"
         'F'            = "F. Income drop"
         ;
  value  $HITYPE
         'A'            = "A. Retirmnt"
         'B'            = "B. Schlrshp"
         'C'            = "C. Insurnce"
         'D1'           = "D1. Lottery"
         'D2'           = "D2. Arisan"
         'E1'           = "E1. Other"
         'E2'           = "E2. Transfer"
         'E3'           = "E3. Earnings"
         'E4'           = "E4. Bonus"
         ;
  value  $HRTYPE
         'A'            = "A. House"
         'B'            = "B. Oth bldg"
         'C'            = "C. Farm land"
         'D'            = "D. Livestock"
         'E'            = "E. Vehicles"
         'F'            = "F. HH appls"
         'G'            = "G. Savings"
         'H'            = "H. Recvables"
         'J'            = "J. Jewelry"
         'K1'           = "K1. HH furn"
         'K2'           = "K2. Other"
         ;
  value  $KS1TYPE
         'A'            = "A. Rice"
         'AA'           = "AA.White sugar"
         'B'            = "B. Corn"
         'BA'           = "BA.Coffee"
         'C'            = "C. Sago/flour"
         'CA'           = "CA.Tea"
         'D'            = "D. Cassava"
         'DA'           = "DA.Cocoa"
         'E'            = "E. Other staple"
         'EA'           = "EA.Soda"
         'F'            = "F. Vegetables"
         'FA'           = "FA.Alcohol"
         'G'            = "G. Beans"
         'GA'           = "GA.Betel nut"
         'H'            = "H. Fruit"
         'HA'           = "HA.Cigarette"
         'I'            = "I. Noodles"
         'IA'           = "IA.Snacks"
         'IB'           = "IB.Food out"
         'J'            = "J. Bread"
         'K'            = "K. Beef"
         'L'            = "L. Poultry"
         'M'            = "M. Fresh fish"
         'N'            = "N. Salt fish"
         'OA'           = "OA.Dried meat"
         'OB'           = "OB.Tofu"
         'P'            = "P. Eggs"
         'Q'            = "Q. Milk"
         'R'            = "R. Soy sauce"
         'S'            = "S. Salt"
         'T'            = "T. Shrimp paste"
         'U'            = "U. Chilli sauce"
         'V'            = "V. Garlic"
         'W'            = "W. Brown sugar"
         'X'            = "X. Butter"
         'Y'            = "Y. Oil"
         'Z'            = "Z. Water"
         ;
  value  $KS2TYPE
         'A'            = "A. Elec & water"
         'B'            = "B. Personal care"
         'C'            = "C. HH goods"
         'C1'           = "C1.Dom services"
         'D'            = "D. Rec & entertn"
         'E'            = "E. Transport"
         'F1'           = "F1.Sweepstakes"
         'F2'           = "F2.Arisan"
         'G'            = "G. Gifts (reg)"
         ;
  value  $KS3TYPE
         'A'            = "A. Clothing"
         'B'            = "B. HH supplies"
         'C'            = "C. Medical costs"
         'D'            = "D. Ceremonies"
         'E'            = "E. Taxes"
         'F'            = "F. Other"
         'G'            = "G. Gifts (irreg)"
         ;
  value  $KS4TYPE
         'E'            = "E. Cooking oil"
         'F'            = "F. Sugar"
         'H1'           = "H1. Kangkung"
         'M'            = "M. Beef"
         'N'            = "N. Chicken"
         ;
  value  $MAATYP
         'AA'           = "AA. Headache"
         'BA'           = "BA. Runny nose"
         'CA'           = "CA. Cough"
         'CAa'          = "CAa. Dry cgh"
         'CAb'          = "CAb. Phlegm cgh"
         'CAc'          = "CAc. Bloody cgh"
         'DA'           = "DA. Resp. diffic."
         'DAa'          = "DAa. Wheezing"
         'DAb'          = "DAb. Short, fast"
         'EA'           = "EA. Fever"
         'FA'           = "FA. Stom ache"
         'GA'           = "GA. Heartburn"
         'HA'           = "HA. Nausea/Vomit"
         'IA'           = "IA. Diarrhea"
         'IAa'          = "IAa. Bloody"
         'IAb'          = "IAb. Mucous"
         'IAc'          = "IAc. Pale liquid"
         'JA'           = "JA. Skin inf"
         'KA'           = "KA. Eye inf"
         'LA'           = "LA. Toothache"
         'MA'           = "MA. Ear inf"
         'NA'           = "NA. Rash, red"
         'OA'           = "OA. Rash, pussy"
         'PA'           = "PA. Worms"
         'QA'           = "QA. Convulsions"
         'RA'           = "RA. Other"
         'SA'           = "SA. Wound/injury"
         ;
  value  $MATYPE
         'A'            = "A. Headache"
         'B'            = "B. Runny nose"
         'C'            = "C. Cough"
         'Ca'           = "Ca. Dry cough"
         'Cb'           = "Cb. Phlegm cough"
         'Cc'           = "Cc. Bloody cough"
         'D'            = "D. Resp. diffic."
         'Da'           = "Da. Wheezing"
         'Db'           = "Db. Short, fast"
         'E'            = "E. Fever"
         'F'            = "F. Stomach ache"
         'G'            = "G. Heartburn"
         'H'            = "H. Nausea/Vomit"
         'I'            = "I. Diarrhea"
         'Ia'           = "Ia. Bloody"
         'Ib'           = "Ib. Mucous"
         'Ic'           = "Ic. Pale liquid"
         'J'            = "J. Painful joints"
         'K'            = "K. Skin inf"
         'L'            = "L. Eye inf"
         'M'            = "M. Toothache"
         'N'            = "N. Other"
         'P'            = "P. Tired/cold"
         'Q'            = "Q. Ear,nose,thrt"
         'R'            = "R. Kidney"
         'S'            = "S. Heart/BP"
         'T'            = "T. Wound"
         ;
  value  $NTTYPE
         'A'            = "A. Land"
         'B'            = "B. Bldngs"
         'C1'           = "C1. Motor veh."
         'C2'           = "C2. Boat"
         'C3'           = "C3. Oth mot. veh"
         'D'            = "D. Nonfarm equip"
         'E'            = "E. Office equip"
         'F'            = "F. Supp/merch"
         'G'            = "G. Other"
         ;
  value  $PK2TYP
         'A'            = "A. Food at home"
         'B'            = "B. Routine HH exp"
         'C'            = "C. Own clothes"
         'D'            = "D. Spouse clothes"
         'E'            = "E. Kid clothes"
         'F'            = "F. Kid educ"
         'G'            = "G. Kid health"
         'H'            = "H. Durables"
         'I'            = "I. Rp to parents"
         'J'            = "J. Rp to p-in-law"
         'K'            = "K. Wedding gifts"
         'L'            = "L. Arisan"
         'M'            = "M. Savings"
         'N'            = "N. Husb social"
         'O'            = "O. Wife social"
         'P'            = "P. Wife work?"
         'Q'            = "Q. Contraception"
         ;
  value  $PK3TYP
         'A'            = "A. Father's job"
         'B'            = "B. Father's educ"
         'C'            = "C. Mother's educ"
         'D'            = "D. Commun status"
         'E'            = "E. Quality house"
         'F'            = "F. Earnings"
         'G'            = "G. Land"
         'H'            = "H. Other assets"
         ;
  value  $PM02X
         'A'            = "A. Office"
         'B'            = "B. Subnghbrhd"
         'C'            = "C. Neighbrhood"
         'D'            = "D. Vill/Twnshp"
         'E'            = "E. Wives CivServ"
         'F'            = "F. Women group"
         'G'            = "G. Other"
         'H'            = "H. Other"
         'J'            = "J. Market"
         'K'            = "K. Family group"
         'L'            = "L. Religous grp"
         ;
  value  $PMTYPE
         'A'            = "A. Comm mtg"
         'B'            = "B. Coop. mtg"
         'C'            = "C. Vol. labor"
         'D'            = "D. Ngbrhd Imp"
         'E'            = "E. Ngbrhd Sec"
         'F'            = "F. Drink water"
         'G'            = "G. Wash water"
         'H'            = "H. Garb coll."
         'I'            = "I. Women group"
         'J'            = "J. Comm Hlth Pst"
         'K'            = "K. Cont. Grp"
         'L'            = "L. Child Dev"
         ;
  value  $PPTYPE
         'A'            = "A. Public hospital"
         'B'            = "B. Private hospital"
         'C'            = "C. Public health ctr"
         'D'            = "D. Private clinic"
         'E'            = "E. Private physician"
         'F1'           = "F1. Midwife"
         'F2'           = "F2. Nurse"
         'G1'           = "G1. Trad birth attend"
         'G2'           = "G2. Trad practioner"
         'H'            = "H. Pharmacy"
         'I'            = "I. Posyandu"
         ;
  value  $PSTYPE
         'A'            = "A. Mod med"
         'B'            = "B. Trad med"
         'C'            = "C. Topical med"
         'D'            = "D. Other"
         'E'            = "E. Vitamin"
         'F'            = "F. Refresher"
         'G'            = "G. Provider"
         ;
  value  $RJTYPE
         'A'            = "A. Public hospital"
         'B'            = "B. Public health ctr"
         'E'            = "E. Private hospital"
         'F'            = "F. Private clinic"
         'G'            = "G. Private doctor"
         'H'            = "H. Nurse/mwife/other"
         'I'            = "I. Trad practitioner"
         'J'            = "J. Other"
         ;
  value  $RNTYPE
         'A'            = "A. Pub hosp"
         'B'            = "B. Pub hlth ctr"
         'C'            = "C. Pvt hosp"
         'D'            = "D. Pvt clinic"
         'E'            = "E. Other"
         'F'            = "F. Midwf clinic"
         ;
  value  $UTTYPE
         'A'            = "A. Land"
         'B'            = "B. Plants"
         'C'            = "C. Bldngs"
         'D'            = "D. Animals"
         'E'            = "E. Vehicles"
         'F'            = "F. Tractor"
         'G'            = "G. Hvy equip"
         'H'            = "H. Sml tools"
         'I'            = "I. Other"
         ;
  value  $YRSTR
         '9998'         = "DK"
         '9999'         = "Miss"
         ;
  value  AGE
         1 -5           = "1-5"
         6 -10          = "6-10"
         11 -20         = "11-20"
         21 -30         = "21-30"
         31 -40         = "31-40"
         41 -50         = "41-50"
         51 -60         = "51-60"
         61 -75         = "61-75"
         76 -90         = "76-90"
         91 -94         = "91-94"
         95             = ">=95"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  ANS_GIVN
         1              = "1.Given"
         3              = "3.Same"
         5              = "5.Topcde"
         6              = "6.N/A"
         7              = "7.Refuse"
         8              = "8.DK"
         9              = "9.Miss"
         ;
  value  ANS_LOCN
         1              = "1.Given"
         3              = "3.Same as res"
         5              = "5.Topcde"
         6              = "6.N/A"
         7              = "7.Refuse"
         8              = "8.DK"
         9              = "9.Miss"
         ;
  value  AR01A
         0              = "0. Dead"
         1              = "1. In HH"
         2              = "2. In HH later"
         3              = "3. Not in HH"
         4              = "4. In new HH"
         5              = "5. New HH mem"
         ;
  value  AR02B
         1              = "01. Head"
         2              = "02. Spouse"
         3              = "03. Child"
         4              = "04. Adopted child"
         5              = "05. S/D-in-law"
         6              = "06. Parent"
         7              = "07. F/M-in-law"
         8              = "08. Sibling"
         9              = "09. B/S-in-law"
         10             = "10. Grandchild"
         11             = "11. Grandparent"
         12             = "12. Uncle/aunt"
         13             = "13. Nephew/niece"
         14             = "14. Cousin"
         15             = "15. Servant"
         16             = "16. Relative"
         17             = "17. Non-relative"
         18             = "18. Tenant"
         19             = "19. Friend"
         21             = "21. Ex spouse"
         22             = "22. Fam of ex spse"
         91             = "91. Merged w/ oth HH"
         92             = "92. All target mems died"
         96             = "96. N/A"
         99             = "99. Miss"
         ;
  value  AR15_
         1              = "01. Islam"
         2              = "02. Prot."
         3              = "03. Cath."
         4              = "04. Hindu"
         5              = "05. Buddh."
         6              = "06. Other"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  AR18F
         1              = "01. Find work"
         2              = "02. School"
         3              = "03. Follow family"
         4              = "04. Marriage"
         5              = "05. Divorce"
         6              = "06. Died"
         7              = "07. Birth"
         8              = "08. Help family"
         9              = "09. Need place"
         10             = "10. Other"
         11             = "11. Not prev hhm"
         12             = "12. New opp/prefs"
         13             = "13. Want indep."
         14             = "14. Argue w. hhm"
         15             = "15. Adptd/invtd"
         16             = "16. Lv w oth fam"
         17             = "17. Stop work"
         19             = "19. Mrge oth hh"
         20             = "20. Hhm not list"
         21             = "21. Want return"
         22             = "22. Give birth"
         23             = "23. Stop take boardrs"
         98             = "98. DK"
         99             = "99. Missing"
         ;
  value  BA10A
         1              = "1. Fath=1, Moth=1"
         2              = "2. Fath=1, Moth>1"
         3              = "3. Fath>1, Moth=1"
         4              = "4. Fath>1, Moth>1"
         ;
  value  BA10X1_
         1              = "1. In HH/died 12+ mn ago"
         3              = "3. Died <12 mths ago"
         5              = "5. Still alive"
         ;
  value  BA28X
         1              = "1. Panel, w/ rost"
         2              = "2. Panel, no rost"
         3              = "3. New"
         ;
  value  BA58A
         1              = "1. No kid roster"
         3              = "3. Kid rost. BK3"
         5              = "5. Kid rost. BK4"
         ;
  value  BA58B
         1              = "1. Male resp"
         3              = "3. Fem resp >49"
         5              = "5. Fem resp <50"
         ;
  value  BA59_
         1              = "1. Yes"
         3              = "3. No"
         5              = "5. Unmarr"
         9              = "9. Miss"
         ;
  value  BA60_
         1              = "1. Once"
         3              = "3. > once"
         ;
  value  BA61_
         1              = "1. Yes"
         3              = "3. No"
         5              = "5. Unmarr"
         9              = "9. Miss"
         ;
  value  BAAR0_
         99             = "99. Not in HH rost"
         ;
  value  BACH5_
         99             = "99. Not in CH"
         ;
  value  BF00_
         1              = "1. Pan w/ CH00a"
         2              = "2. Pan w/o CH00a"
         3              = "3. New resp"
         ;
  value  BF06X
         3              = "03. Day"
         4              = "04. Week"
         5              = "05. Month"
         88             = "88. Died bef. fed"
         96             = "96. Not fed yet"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  BF07X
         5              = "05. Months"
         88             = "88. Died bef. wean"
         96             = "96. Still breastfed"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  BR00A
         1              = "1. Rost w CH00a"
         2              = "2. Rost, no CH00a"
         3              = "3. No roster"
         ;
  value  BR00X
         1              = "1. Male/Unmar F"
         3              = "3. Married Fem"
         ;
  value  CH00_
         1              = "1. Pan, with CH00a"
         2              = "2. Pan, no CH00a"
         3              = "3. New resp"
         ;
  value  CH01AC
         0              = "0. No"
         1              = "1. Yes"
         ;
  value  CH01BC
         0              = "0. Not preg"
         1              = "1. Pregnant"
         ;
  value  CH01BCX
         1              = "1. Pregnant"
         3              = "3. Not preg"
         ;
  value  CH06_
         1              = "1. Is pregnant"
         2              = "2. Live birth"
         3              = "3. Still birth"
         4              = "4. Miscarriage"
         ;
  value  CH09X
         1              = "1. DMY given"
         2              = "2. MY given, DK D"
         3              = "3. DY given, DK M"
         4              = "4. Y given, DK DM"
         8              = "8. DK DMY"
         ;
  value  CH11_
         1              = "1. Consist."
         3              = "3. Inconsist."
         ;
  value  CH12_
         1              = "1. Preg ended before 1992"
         3              = "3. Preg ended after 1991"
         ;
  value  CH13_
         1              = "1. Live birth"
         3              = "3. Oth outcome"
         ;
  value  CH14_
         1              = "1. Ever"
         3              = "3. Never"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  CH18_
         1              = "1. Preg, miscarr"
         3              = "3. Live, still birth"
         ;
  value  CH19_
         1              = "01. Pub hosp"
         2              = "02. Pvt hosp"
         3              = "03. Del hosp"
         4              = "04. Comm hlth ctr"
         5              = "05. Vill del pst"
         6              = "06. Dr clin/off."
         7              = "07. Mdwf clin/off"
         8              = "08. Trad midwife"
         9              = "09. Own house"
         10             = "10. Family house"
         11             = "11. Other"
         99             = "99. Miss"
         ;
  value  CH21_
         1              = "1. Live birth"
         3              = "3. Non-live birth"
         ;
  value  CH22_
         1              = "1. Much bigger"
         2              = "2. Bigger"
         3              = "3. Similar"
         4              = "4. Smaller"
         5              = "5. Much smaller"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  CH23_
         1              = "1. Yes"
         2              = "2. Weighed but DK wgt"
         3              = "3. No"
         9              = "9. Miss"
         ;
  value  CH24CX
         3              = "03. Days"
         4              = "04. Weeks"
         5              = "05. Months"
         88             = "88. Died bef fed"
         96             = "96. N/A"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  CH24EX
         3              = "03. Days"
         4              = "04. Weeks"
         5              = "05. Months"
         88             = "88. Died"
         96             = "96. N/A"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  CH27B
         1              = "1. Alive in HH"
         3              = "3. Alive not in HH"
         5              = "5. Dead"
         ;
  value  CH28A
         1              = "1. >=15 yrs"
         3              = "3. <15 yrs"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  COUNT
         1              = "1"
         2              = "2"
         3              = "3"
         4              = "4"
         5              = "5"
         6              = "6"
         7              = "7"
         8              = "8"
         9              = "9"
         10             = "10"
         11             = "11"
         12             = "12"
         13             = "13"
         14             = "14"
         15             = "15"
         16             = "16"
         17             = "17"
         18             = "18"
         19             = "19"
         20             = "20"
         21             = "21"
         22             = "22"
         23             = "23"
         24             = "24"
         25             = "25"
         ;
  value  CP23_
         1              = "1. Excellent"
         2              = "2. Good"
         3              = "3. Fair"
         4              = "4. Not good"
         5              = "5. Very bad"
         9              = "9. Miss"
         ;
  value  CX03_
         1              = "01. Pub hosp"
         2              = "02. Pvt hosp"
         3              = "03. Govt clin"
         4              = "04. Pvt clin"
         5              = "05. Hlth post"
         6              = "06. FP post"
         7              = "07. Fldwrkr"
         8              = "08. Mobile team"
         9              = "09. Pharmacy"
         10             = "10. Gen prac"
         11             = "11. Nrse, parm"
         12             = "12. Midwife"
         13             = "13. Trad mdwf"
         14             = "14. Frnd, fam"
         15             = "15. FP safari"
         16             = "16. Nowhere"
         18             = "18. Vill staff"
         51             = "51. Other 1"
         52             = "52. Other 2"
         53             = "53. Other 3"
         54             = "54. Other 4"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  CX11B
         1              = "1. 1 mn"
         2              = "2. 2 mn"
         3              = "3. 3 mn"
         5              = "5. Oth"
         9              = "9. Miss"
         ;
  value  CX19_
         1              = "1. Resp marr"
         3              = "3. Resp unmarr"
         ;
  value  CX21_
         1              = "01. Pill"
         2              = "02. 1 mth inj"
         3              = "03. 2 mth inj"
         4              = "04. 3 mth inj"
         5              = "05. Diaphrgm"
         6              = "06. Condom"
         7              = "07. IUD"
         8              = "08. Implant"
         9              = "09. Fem ster"
         10             = "10. Male ster"
         11             = "11. Calendar"
         12             = "12. Withdraw"
         13             = "13. Trad herbs"
         14             = "14. Massage"
         15             = "15. Oth"
         16             = "16. None"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  DL05_
         1              = "1. >=50 yrs"
         3              = "3. < 50 yrs"
         ;
  value  DL07E
         1              = "1. Before 1992"
         3              = "3. 1992/later"
         ;
  value  DL16D
         0              = "0. Valid number"
         1              = "1. Poss sp. code"
         ;
  value  DL16GX
         1              = "01. Hours"
         96             = "96. Thesis work"
         99             = "99. Missing"
         ;
  value  DL31A
         1              = "1. Yes, value given"
         2              = "2. Yes, DK value"
         3              = "3. No"
         6              = "6. N/A"
         7              = "7. Refuse"
         8              = "8. DK"
         9              = "9. Missing"
         ;
  value  DL31C
         1              = "1. In school"
         3              = "3. Not in schl"
         9              = "9. Miss"
         ;
  value  DL32_
         1              = "1. <25"
         3              = "3. >=25"
         ;
  value  DLA13_
         1              = "1. Same"
         3              = "3. More hours"
         5              = "5. Less hours"
         6              = "6. No prev work"
         9              = "9. Miss"
         ;
  value  DLA17_
         1              = "1. Yes"
         2              = "2. Yes, DK hrs"
         3              = "3. No"
         4              = "4. Not probed"
         6              = "6. N/A"
         7              = "7. Refuse"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  DLA27_
         1              = "1. In school"
         3              = "3. Not in schl"
         9              = "9. Miss"
         ;
  value  DLA28_
         1              = "1. After 7/92"
         3              = "3. Before 7/92"
         ;
  value  DLA31_
         1              = "1. >=1 time"
         3              = "3. 0 times"
         ;
  value  DLA33X
         1              = "1. Wks"
         3              = "3. Full yr"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  DLA44_
         0              = "0. Same as prev yr"
         9              = "9. Miss"
         ;
  value  DLA48_
         1              = "1. Yes, alone"
         2              = "2. Yes, shared"
         3              = "3. No"
         9              = "9. Miss"
         ;
  value  DLR01_
         1              = "1. Before 1993"
         3              = "3. 1993/later"
         5              = "5. In schl now"
         ;
  value  DLR04_
         1              = "1. > 0"
         3              = "3. 0 time"
         ;
  value  DLTYPE
         1              = "1. Elem"
         2              = "2. JrHigh"
         3              = "3. SrHigh"
         4              = "4. College"
         ;
  value  ED4_
         1              = "1. Elem."
         2              = "2. Jr High"
         3              = "3. Sr High"
         4              = "4. Coll/Uni"
         ;
  value  EDGRD
         0              = "00. Gr1 incomplete"
         1              = "01. Grade 1"
         2              = "02. Grade 2"
         3              = "03. Grade 3"
         4              = "04. Grade 4"
         5              = "05. Grade 5"
         6              = "06. Grade 6"
         7              = "07. Graduated"
         96             = "96. N/A"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  EDITST
         1              = "1. No errors"
         2              = "2. Corrected"
         3              = "3. Not correct"
         4              = "4. Manual edit"
         ;
  value  EDLEV
         1              = "01. None"
         2              = "02. Elem"
         3              = "03. Gen JrHi"
         4              = "04. Voc JrHi"
         5              = "05. Gen SrHi"
         6              = "06. Voc SrHi"
         7              = "07. Dipl(1/2)"
         8              = "08. Dipl(3)"
         9              = "09. Univ"
         10             = "10. Other"
         11             = "11. Adlt Ed A"
         12             = "12. Adlt Ed B"
         13             = "13. Open Univ"
         14             = "14. Islam Scl"
         17             = "17. Disabl Scl"
         70             = "70. Madrasah"
         90             = "90. KG"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  EMPTYP
         1              = "01. Self-emp"
         4              = "04. Govt wkr"
         5              = "05. Pvt wkr"
         6              = "06. Fam wkr"
         98             = "98. DK"
         99             = "99. Missing"
         ;
  value  FRQSEE
         1              = "1. Never"
         2              = "2. >= 1* year"
         3              = "3. >= 1* mnth"
         4              = "4. >= 1* week"
         5              = "5. Daily"
         9              = "9. Miss"
         ;
  value  HR06_
         1              = "1. Yes"
         3              = "3. No-Rpt%"
         4              = "4. No-DK %"
         7              = "7. Refuse"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  INHH
         51             = "51. OutHH"
         52             = "52. Died"
         96             = "96. N/A"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  KK01_
         1              = "1. Very healthy"
         2              = "2. S/what healthy"
         3              = "3. S/what unhealthy"
         4              = "4. Unhealthy"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  KK02C
         1              = "1. Lots better"
         2              = "2. Better"
         3              = "3. Same"
         4              = "4. Worse"
         5              = "5. Lots worse"
         9              = "9. Miss"
         ;
  value  KK02HAX
         3              = "3. Days"
         4              = "4. Weeks"
         5              = "5. Months"
         95             = "95. Out of range"
         96             = "96. Still ill"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  KK03_
         1              = "1. Easy"
         3              = "3. Hard"
         5              = "5. Cannot"
         9              = "9. Miss"
         ;
  value  KM04_
         1              = "1. Still"
         3              = "3. Quit"
         9              = "9. Miss"
         ;
  value  KR03_
         1              = "1. Self own"
         2              = "2. Occupy"
         5              = "5. Rented"
         6              = "6. Other"
         9              = "9. Miss"
         ;
  value  KR13B
         1              = "1. Yes delivered"
         2              = "2. Yes selfserve"
         3              = "3. No"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  KR13_
         1              = "01. Pipe"
         2              = "02. Pump"
         3              = "03. Well"
         4              = "04. Spring"
         5              = "05. Rain"
         6              = "06. River"
         7              = "07. Pond"
         8              = "08. Basin"
         9              = "09. Other"
         10             = "10. Bottled"
         11             = "11. Purchased"
         99             = "99. Miss"
         ;
  value  KR14_
         1              = "1. Inside"
         3              = "3. Outside"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  KR20_
         1              = "01. Own w/septic"
         2              = "02. Own no septic"
         3              = "03. Communal"
         4              = "04. Public"
         5              = "05. Creek/ditch"
         6              = "06. Yard/field"
         7              = "07. Sewer"
         8              = "08. Other"
         9              = "09. Pond"
         10             = "10. Stable"
         11             = "11. Sea, lake"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  KR21_
         1              = "01. Running sew."
         2              = "02. Clogged sew."
         3              = "03. Perm. pit"
         4              = "04. River"
         5              = "05. Yard"
         6              = "06. Other"
         7              = "07. Pond"
         8              = "08. Hole"
         9              = "09. Field"
         11             = "11. Sea/lake"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  KR22_
         1              = "01. Collected"
         2              = "02. Burned"
         3              = "03. River/creek"
         4              = "04. Yard"
         5              = "05. Pit"
         6              = "06. Other"
         7              = "07. Forest"
         8              = "08. Sea/lake/beach"
         9              = "09. Field"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  KR23_
         1              = "1. Yes"
         3              = "3. No"
         6              = "6. No fridge"
         8              = "8. DK"
         ;
  value  KR24_
         1              = "01. Electricity"
         2              = "02. Gas"
         3              = "03. Ker stove"
         4              = "04. Firewood"
         5              = "05. Charcoal"
         6              = "06. Other"
         96             = "96. Do not cook"
         98             = "98. DK"
         ;
  value  KR27_
         1              = "1. Yes"
         3              = "3. No"
         6              = "6. No program"
         8              = "8. DK"
         ;
  value  KRK01_
         1              = "01. 1 unit/1 lvl"
         2              = "02. 1 unit/multilvl"
         3              = "03. 2 units/ 1 lvl"
         4              = "04. 2 units/ mult lvl"
         5              = "05. Multunit 1 levl"
         6              = "06. Multunit multi lvl"
         7              = "07. Other"
         8              = "08. House on stilts"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  KRK08_
         1              = "01. Ceram/stone"
         2              = "02. Tiles"
         3              = "03. Cmnt/brck"
         4              = "04. Lumber"
         5              = "05. Bamboo"
         6              = "06. Dirt"
         7              = "07. Other"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  KRK09_
         1              = "1. Cmnt/brck"
         2              = "2. Wood"
         3              = "3. Bamboo"
         4              = "4. Other"
         9              = "9. Miss"
         ;
  value  KRK10_
         1              = "01. Concrete"
         2              = "02. Wood"
         3              = "03. Metal"
         4              = "04. Tiles"
         5              = "05. Asbestos"
         6              = "06. Foliage"
         7              = "07. Other"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  KS14_
         1              = "1. Kg"
         2              = "2. Liter"
         3              = "3. Bunch"
         4              = "4. Bottle"
         5              = "5. Bag"
         6              = "6. Scoop"
         7              = "7. Piece"
         8              = "8. Gram"
         9              = "9. Ounce"
         97             = "97. Other"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  KW04_
         1              = "1. Parents"
         3              = "3. Self"
         4              = "4. Family"
         5              = "5. Other"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  KW14A
         1              = "1. Ys new vill"
         2              = "2. Ys same vill"
         3              = "3. No"
         9              = "9. Miss"
         ;
  value  KW17A
         1              = "1. in HH"
         3              = "3. not in HH"
         ;
  value  KW22A
         1              = "1. Marr after 1991"
         2              = "2. Marr before 1992"
         3              = "3. No other marriage"
         9              = "9. Missing"
         ;
  value  KW22B
         1              = "1. Other marr"
         3              = "3. No oth marr"
         9              = "9. Miss"
         ;
  value  KW23A
         95             = "95. Up to God"
         99             = "99. Miss"
         ;
  value  KW23AX
         1              = "1. Value"
         5              = "5. Up to God"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  KW23C
         1              = "1. < 35"
         3              = "3. >=35"
         ;
  value  KW23_
         1              = "1. Marr male"
         3              = "3. Unmarr male"
         5              = "5. Female"
         ;
  value  KWN
         1              = "01. Latest"
         2              = "02. 2nd last"
         3              = "03. 3rd last"
         4              = "04. 4th last"
         5              = "05. 5th last"
         6              = "06. 6th last"
         7              = "07. 7th last"
         8              = "08. 8th last"
         9              = "09. 9th last"
         10             = "10. 10th last"
         11             = "11. 11th last"
         12             = "12. 12th last"
         ;
  value  LANGDET
         0              = "00. B.Indonesia"
         1              = "01. Javanese"
         2              = "02. Sundanese"
         3              = "03. Balinese"
         4              = "04. Batak"
         5              = "05. Bugis"
         6              = "06. Chinese"
         7              = "07. Maduranese"
         8              = "08. Sasak"
         9              = "09. Minang"
         10             = "10. Banjar"
         11             = "11. Bima"
         12             = "12. Makassar"
         13             = "13. Nias"
         14             = "14. Palembang"
         15             = "15. Sumbawa"
         16             = "16. Toraja"
         17             = "17. Lahat"
         18             = "18. Oth SumSel"
         19             = "19. Betawi"
         20             = "20. Lampung"
         91             = "91. Other"
         96             = "96. None"
         99             = "99. Miss"
         ;
  value  MA07_
         1              = "1. >= 50"
         3              = "3. < 50"
         ;
  value  MAA0A
         1              = "1. Very hlthy"
         2              = "2. Fairly hlthy"
         3              = "3. Poor hlth"
         4              = "4. Very unhlthy"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  MACT
         1              = "01. Work"
         2              = "02. Job srch"
         3              = "03. School"
         4              = "04. Kp house"
         5              = "05. Retired"
         6              = "06. At home"
         7              = "07. Sick"
         8              = "08. Other"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  MARSTAT
         1              = "1. Unmarr"
         2              = "2. Marr"
         3              = "3. Sep"
         4              = "4. Div"
         5              = "5. Widow/er"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  MISS1_
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  MOVER
         0              = "0. Did not move"
         1              = "1. w/in same desa"
         2              = "2. w/in same kec"
         3              = "3. w/in same kab"
         4              = "4. w/in same prov"
         5              = "5. Other IFLS prov"
         ;
  value  MTH
         1              = "01. Jan"
         2              = "02. Feb"
         3              = "03. Mar"
         4              = "04. Apr"
         5              = "05. May"
         6              = "06. Jun"
         7              = "07. Jul"
         8              = "08. Aug"
         9              = "09. Sep"
         10             = "10. Oct"
         11             = "11. Nov"
         12             = "12. Dec"
         98             = "98. DK"
         99             = "99. Mss"
         ;
  value  MTHYR
         1              = "1. Mth & yr given"
         2              = "2. Yr given, DK mth"
         3              = "3. Mth given, DK yr"
         8              = "8. DK year & mth"
         9              = "9. Miss"
         ;
  value  NOTSIB_
         1              = "1. Not a sib"
         3              = "3. Sibling"
         ;
  value  NT07X
         1              = "1. Rp per year"
         2              = "2. Rp per day"
         3              = "3. None"
         5              = "5. Topcde"
         6              = "6. N/A"
         7              = "7. Refuse"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  NUM2_
         95             = "95. Topcode"
         96             = "96. N/A"
         97             = "97. Refuse"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  NUM3_
         995            = "995. Topcode"
         996            = "996. N/A"
         997            = "997. Refuse"
         998            = "998. DK"
         999            = "999. Miss"
         ;
  value  NUM4_
         9995           = "9995. Topcode"
         9996           = "9996. N/A"
         9997           = "9997. Refuse"
         9998           = "9998. DK"
         9999           = "9999. Miss"
         ;
  value  PANEW
         1              = "1. Panel"
         3              = "3. New"
         6              = "6. N/A"
         ;
  value  PK02_
         1              = "1. Yes all HH exp"
         2              = "2. Yes some HH exp"
         3              = "3. Yes daily expenses"
         5              = "5. No"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  PK06_
         1              = "1. < 10%"
         2              = "2. Approx 25%"
         3              = "3. Approx 50%"
         4              = "4. > 50%"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  PK13_
         1              = "1. Much less reg"
         2              = "2. Some less reg"
         3              = "3. About same"
         4              = "4. More reg"
         5              = "5. Much more reg"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  PK14_
         1              = "1. Yes"
         3              = "3. No"
         6              = "6. Never"
         7              = "7. Refused"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  PK15_
         1              = "1. Often"
         2              = "2. Smtimes"
         3              = "3. Rarely"
         4              = "4. Never"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  PK21_
         1              = "1. Much higher"
         2              = "2. Some higher"
         3              = "3. About same"
         4              = "4. Some lower"
         5              = "5. Much lower"
         6              = "6. N/A"
         7              = "7. Unwill ans"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  PM08_
         1              = "1. Yes"
         3              = "3. Tried"
         5              = "5. No"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  PM13X
         1              = "1. Int./yr"
         3              = "3. Int./mth"
         5              = "5. Top code"
         7              = "7. Refuse"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  PM17X
         1              = "01. Minutes"
         2              = "02. Hours"
         3              = "03. Days"
         4              = "04. Weeks"
         5              = "05. Months"
         6              = "06. No time spent"
         95             = "95. Top code"
         96             = "96. No time spent"
         97             = "97. Refuse"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  PP6X
         1              = "1. Cost"
         3              = "3. Walk"
         5              = "5. Own trnsp"
         8              = "8. DK"
         ;
  value  PPCHILD
         1              = "1. Preprt roster used"
         2              = "2. Preprt ros not use"
         3              = "3. No preprt roster"
         ;
  value  PPSIB_
         1              = "1. Preprt roster used"
         2              = "2. Preprt rost not used"
         3              = "3. No preprint roster"
         ;
  value  PROB16_
         0              = "0. No problem"
         1              = "1. Special code?"
         ;
  value  PROV
         10             = "10. Sumatra"
         12             = "12. North Sumatra"
         13             = "13. West Sumatra"
         16             = "16. South Sumatra"
         18             = "18. Lampung"
         30             = "30. Java"
         31             = "31. Jakarta"
         32             = "32. West Java"
         33             = "33. Central Java"
         34             = "34. Yogyakarta"
         35             = "35. East Java"
         51             = "51. Bali"
         52             = "52. W. Nusa Tenggara"
         60             = "60. Kalimantan"
         63             = "63. South Kalimantan"
         70             = "70. Sulawesi"
         73             = "73. South Sulawesi"
         ;
  value  REASON
         1              = "1. Not at home"
         2              = "2. Ill"
         3              = "3. Refused"
         4              = "4. Lang prob"
         5              = "5. Other"
         6              = "6. Moved"
         7              = "7. Dead"
         8              = "8. Supp prob"
         9              = "9. Old/disable"
         ;
  value  RELATP
         1              = "1. Spouse"
         2              = "2. Child"
         3              = "3. Other"
         4              = "4. Parent"
         5              = "5. Sibling"
         6              = "6. S/D in law"
         9              = "9. Miss"
         ;
  value  RELCHILD
         1              = "1. Mother"
         2              = "2. Father"
         3              = "3. Sibling"
         4              = "4. Aunt/Uncle"
         5              = "5. G/parent"
         6              = "6. Child self"
         7              = "7. Other"
         ;
  value  RES
         0              = "00. This HH"
         1              = "01. Same desa"
         2              = "02. Same kec"
         3              = "03. Same kab"
         4              = "04. Same prov"
         5              = "05. Oth prov"
         6              = "06. Oth cntry"
         10             = "10. Sumatra"
         11             = "11. Aceh"
         12             = "12. N. Sumat"
         13             = "13. W. Sumat"
         14             = "14. Riau"
         15             = "15. Jambi"
         16             = "16. S. Sumat"
         17             = "17. Bengkulu"
         18             = "18. Lampung"
         30             = "30. Java"
         31             = "31. Jakarta"
         32             = "32. W. Java"
         33             = "33. C. Java"
         34             = "34. Ygykarta"
         35             = "35. E. Java"
         51             = "51. Bali"
         52             = "52. W.N.Teng."
         53             = "53. E.N.Teng."
         54             = "54. E. Timor"
         60             = "60. Kalim."
         61             = "61. W. Kalim."
         62             = "62. C. Kalim."
         63             = "63. S. Kalim."
         64             = "64. E. Kalim."
         70             = "70. Sulawesi"
         71             = "71. N. Sulaw."
         72             = "72. C. Sulaw."
         73             = "73. S. Sulaw."
         74             = "74. SE Sulaw."
         81             = "81. Maluku"
         82             = "82. Ir. Jaya"
         85             = "85. Malaysia"
         86             = "86. Singapore"
         87             = "87. Argentina"
         88             = "88. Yemen"
         89             = "89. Taiwan"
         90             = "90. US"
         91             = "91. S. Arabia"
         92             = "92. Australia"
         93             = "93. Holland"
         94             = "94. Brunei"
         95             = "95. Hong Kong"
         96             = "96. Japan"
         97             = "97. Korea"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  RESBKCOV
         1              = "01. Interview conducted"
         2              = "02. Joined other IFLS HH"
         3              = "03. All target mems dead"
         4              = "04. Refused"
         5              = "05. Too old/too sick"
         11             = "11. Moved (w/in prov)"
         12             = "12. Moved (oth IFLS prov)"
         13             = "13. Moved (non IFLS prov)"
         14             = "14. Moved (diff country)"
         15             = "15. Moved (DK location)"
         21             = "21. Unable to contact"
         22             = "22. Building vacant"
         23             = "23. Building demolished"
         24             = "24. Building not found"
         25             = "25. Address not found"
         96             = "96. Other"
         ;
  value  RESPID5_
         96             = "96. Not HH mem"
         ;
  value  RES_5TRK
         1              = "1. Done by child"
         2              = "2. Done by adult"
         3              = "3. Not done"
         ;
  value  RES_DONE
         1              = "1. Done"
         3              = "3. Not done"
         ;
  value  RES_IVW
         1              = "1. Intervwd"
         3              = "3. Not ivwd"
         ;
  value  RES_PTRK
         1              = "1. Done"
         2              = "2. Done by proxy"
         3              = "3. Not done"
         ;
  value  RJ09_
         1              = "1. First visit"
         3              = "3. Repeat visit"
         9              = "9. Miss"
         ;
  value  RJ20X
         1              = "1. Value"
         3              = "3. No presc"
         5              = "5. Not filled"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  RJA26_
         1              = "1. Yes seen"
         2              = "2. Yes can't see"
         3              = "3. No card"
         9              = "9. Miss"
         ;
  value  RJA28_X
         0              = "0. No vaccin reported"
         1              = "1. Vaccin - report DMY"
         2              = "2. Vaccin - report MY"
         3              = "3. Vaccin - report Yr onl"
         4              = "4. Vaccin - DK date"
         6              = "6. Vaccin rpt after probi"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  RN10_
         1              = "1. Illness"
         2              = "2. Accident"
         3              = "3. Give brth"
         4              = "4. Other"
         5              = "5. Operation"
         9              = "9. Miss"
         ;
  value  RSPNDNT
         1              = "1. HH Head"
         2              = "2. Spse of head"
         3              = "3. Oth HHM"
         4              = "4. Non HHM"
         9              = "9. Miss"
         ;
  value  RUPCURR
         1              = "01. Rupiah"
         2              = "02. Gulden"
         3              = "03. Perak"
         4              = "04. Tali"
         5              = "05. Kethip"
         6              = "06. Ringgit"
         7              = "07. Cent/Sen"
         8              = "08. Suku"
         9              = "09. Kepeng Belong"
         10             = "10. Gelo"
         11             = "11. Grams of gold"
         12             = "12. Kg of rice"
         90             = "90. Foreign currency"
         95             = "95. Top code"
         96             = "96. N/A"
         97             = "97. Refuse"
         98             = "98. DK"
         99             = "99. Missing"
         ;
  value  RUPIAH
         1              = "1. Value"
         3              = "3. None"
         4              = "4. Not probed"
         5              = "5. Topcde"
         6              = "6. N/A"
         7              = "7. Refuse"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  SC05_
         1              = "1. Urban"
         2              = "2. Rural"
         ;
  value  SC21X
         1              = "1. Distance"
         2              = "2. Split off HH"
         3              = "3. Out of vill"
         6              = "6. No move"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  SCLTYP
         1              = "01. Pub non-relig"
         2              = "02. Pub relig"
         3              = "03. Pvt non-relig"
         4              = "04. Pvt Islam"
         5              = "05. Pvt Catholic"
         6              = "06. Pvt Oth Christ"
         7              = "07. Other"
         8              = "08. Pvt Buddhist"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  SECT
         1              = "01. Prof/tech"
         2              = "02. Mngmt/admin"
         3              = "03. Clerical"
         4              = "04. Sales"
         5              = "05. Services"
         6              = "06. Farm/for/fsh"
         7              = "07. Production"
         8              = "08. Transp oper"
         9              = "09. Man. labor"
         10             = "10. Other"
         74             = "74. Housewife"
         75             = "75. Military"
         76             = "76. At home"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  SEX
         1              = "1. M"
         3              = "3. F"
         9              = "9. Ms"
         ;
  value  SHARE
         1              = "1. % given"
         6              = "6. A nor B"
         7              = "7. Refuse"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  TUNIT
         1              = "01. Mins"
         2              = "02. Hours"
         3              = "03. Days"
         4              = "04. Weeks"
         5              = "05. Mnths"
         6              = "06. Years"
         95             = "95. Topcode"
         96             = "96. N/A"
         97             = "97. Refuse"
         98             = "98. DK"
         99             = "99. Miss"
         ;
  value  YESNO
         1              = "1. Yes"
         3              = "3. No"
         4              = "4. Not probed"
         6              = "6. N/A"
         7              = "7. Refuse"
         8              = "8. DK"
         9              = "9. Miss"
         ;
  value  YR
         LOW -1899.99999= "<1900"
         1900 -1929.9999= "1900-1929"
         1930 -1949.9999= "1930-1949"
         1950 -1959.9999= "1950-1959"
         1960 -1969.9999= "1960-1969"
         1970 -1979.9999= "1970-1979"
         1980 -1989.9999= "1980-1989"
         1990 -1990.9999= "1990"
         1991 -1991.9999= "1991"
         1992 -1992.9999= "1992"
         1993 -1993.9999= "1993"
         1994 -1994.9999= "1994"
         1995 -1995.9999= "1995"
         1996 -1996.9999= "1996"
         1997 -1997.9999= "1997"
         1998 -1998.9999= "1998"
         1999 -1999.9999= "1999"
         9996           = "N/A"
         9997           = "Refuse"
         9998           = "DK"
         9999           = "Miss"
         ;
  value  YRLONG
         1980           = "1990"
         1981           = "1981"
         1982           = "1982"
         1983           = "1983"
         1984           = "1984"
         1985           = "1985"
         1986           = "1986"
         1987           = "1987"
         1988           = "1988"
         1989           = "1989"
         1990           = "1990"
         1991           = "1991"
         1992           = "1992"
         1993           = "1993"
         1994           = "1994"
         1995           = "1995"
         1996           = "1996"
         1997           = "1997"
         1998           = "1998"
         1999           = "1999"
         9996           = "N/A"
         9997           = "Refuse"
         9998           = "DK"
         9999           = "Miss"
         ;


*-------------------------------------------*;
*START READING DATA...
*-------------------------------------------*;


*===========================================*
* BOOK trk
*===========================================*;

*-------------------------------------------*
* MODULE htrack
*-------------------------------------------*;
data htrack ;

    infile intrk pad lrecl= 141 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib HHID93   length= $7.0    label="Household ID (1993 wave)" ;
    attrib CASE                     label="IFLS HH number (used in IFLS1)" ;
    attrib COMMID93 length= $4.0    label="Community ID (1993 wave)" ;
    attrib COMMID97 length= $4.0    label="Community ID (1997 wave)" ;
    attrib RESULT93                 label="93 Result of HH ivw" ;
    attrib RES93BK                  label="93 Result Bk K" ;
    attrib RES93B1                  label="93 Result Bk 1" ;
    attrib RES93B2                  label="93 Result Bk 2" ;
    attrib RESULT97                 label="97 Result of HH ivw" ;
    attrib RES97BK                  label="97 Result Bk K" ;
    attrib RES97B1                  label="97 Result Bk 1" ;
    attrib RES97B2                  label="97 Result Bk 2" ;
    attrib HWT93                    label="93: HH weight =HHWT224 in IFLS1" ;
    attrib HWT93SMP                 label="93: HH wt for target sample=HHWT730" ;
    attrib HWT97L                   label="97: Longitudinal HH weight" ;
    attrib HWT97X                   label="97 Xsection HH weight (raked->SUSENAS97)" ;
    attrib SC01_93                  label="93: Province of residence (93 BPS code)" ;
    attrib SC02_93                  label="93: Kabupaten of residence (93 BPS code)" ;
    attrib SC03_93                  label="93: Kecamatan of residence (93 BPS code)" ;
    attrib SC05_93                  label="93: Urban/rural residence" ;
    attrib SC02_93R                 label="93: Kabupaten resid(revise->98 BPS code)" ;
    attrib SC03_93R                 label="93: Kecamatan resid(revise->98 BPS code)" ;
    attrib SC01_97                  label="97: Province of residence (98 BPS code)" ;
    attrib SC02_97                  label="97: Kabupaten of residence (98 BPS code)" ;
    attrib SC03_97                  label="97: Kecamatan of residence (98 BPS code)" ;
    attrib SC05_97                  label="97: Urban/rural residence" ;
    attrib MOVER97                  label="Moved between 1993 & 1997?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "htrack  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          HHID93    $CHAR7.0
           @23          CASE      9.0
           @32          COMMID93  $CHAR4.0
           @36          COMMID97  $CHAR4.0
           @40          RESULT93  1.0
           @41          RES93BK   1.0
           @42          RES93B1   1.0
           @43          RES93B2   1.0
           @44          RESULT97  2.0
           @46          RES97BK   1.0
           @47          RES97B1   1.0
           @48          RES97B2   1.0
           @49          HWT93     8.6
           @57          HWT93SMP  8.6
           @65          HWT97L    8.6
           @73          HWT97X    8.6
           @81          SC01_93   2.0
           @83          SC02_93   2.0
           @85          SC03_93   3.0
           @88          SC05_93   1.0
           @89          SC02_93R  2.0
           @91          SC03_93R  3.0
           @94          SC01_97   2.0
           @96          SC02_97   2.0
           @98          SC03_97   3.0
           @101         SC05_97   1.0
           @102         MOVER97   1.0
           @103         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RESULT93     RES_DONE. ;
    format RES93BK      RES_DONE. ;
    format RES93B1      RES_DONE. ;
    format RES93B2      RES_DONE. ;
    format RESULT97     RESBKCOV. ;
    format RES97BK      RES_DONE. ;
    format RES97B1      RES_DONE. ;
    format RES97B2      RES_DONE. ;
    format SC01_93      PROV. ;
    format SC05_93      SC05_. ;
    format SC01_97      PROV. ;
    format SC05_97      SC05_. ;
    format MOVER97      MOVER. ;

*-------------------------------------------*
* MODULE ptrack
*-------------------------------------------*;
data ptrack ;

    infile intrk pad lrecl= 141 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="97: HH identifier" ;
    attrib PID97                    label="97: Person identifier" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib HHID93   length= $7.0    label="93: HH identifier" ;
    attrib PID93                    label="93: Person identifier" ;
    attrib CASE                     label="1993 HHID (numeric)" ;
    attrib MEMBER93                 label="Current resident of HH (93)" ;
    attrib MEMBER97                 label="Current resident of HH (97)" ;
    attrib SEX                      label="Sex of Respondent" ;
    attrib AGE_93                   label="Age of Resp in 1993 (constructed)" ;
    attrib AGE_97                   label="Age of Resp in 1997 (constructed)" ;
    attrib BTH_YR                   label="Birth YEAR - (Constructed) (97)" ;
    attrib BTH_MTH                  label="Birth MONTH - (Constructed) (97)" ;
    attrib BTH_DAY                  label="Birth DAY - (Constructed) (97)" ;
    attrib AR02_93                  label="93: Relation to HH Head" ;
    attrib AR01A_97                 label="97: Is person member of HH?" ;
    attrib AR01B_97                 label="97: Track respond? (Preprinted in IFLS2)" ;
    attrib AR02_97                  label="97: Relation to HH head (=ar02b in AR1)" ;
    attrib RES93B3                  label="Result 93: Book 3 done by Resp?" ;
    attrib RES93B4                  label="Result 93: Book 4 done by Resp?" ;
    attrib RES93B5                  label="Result 93: Book 5 done by Resp?" ;
    attrib RES93US                  label="Result 93: (US=CA)Health assess done?" ;
    attrib RES97B3A                 label="Result 97: Book 3A done by Resp?" ;
    attrib RES97B3B                 label="Result 97: Book 3B done by Resp?" ;
    attrib RES97B3P                 label="Result 97: Book 3P done by Proxy?" ;
    attrib RES97B4                  label="Result 97: Book 4 done by Resp?" ;
    attrib RES97B5                  label="Result 97: Book 5 done by Resp?" ;
    attrib PWT93                    label="93 person weight (=ROSTERWT in IFLS1)" ;
    attrib PWT97L                   label="97 Longitudinal analysis person weight" ;
    attrib PWT97X                   label="97 Xsection person weight" ;
    attrib PWT93IN                  label="93 MAIN respondent wt (=RESPWT in IFLS1)" ;
    attrib PWT97INL                 label="97 Longitudinal person wt--93 MAIN resp" ;
    attrib PWT93US                  label="93 psn wt for health msrs (=CA_WT IFLS1)" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "ptrack  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          HHID93    $CHAR7.0
           @34          PID93     2.0
           @36          CASE      9.0
           @45          MEMBER93  1.0
           @46          MEMBER97  1.0
           @47          SEX       1.0
           @48          AGE_93    3.0
           @51          AGE_97    3.0
           @54          BTH_YR    4.0
           @58          BTH_MTH   2.0
           @60          BTH_DAY   2.0
           @62          AR02_93   2.0
           @64          AR01A_97  1.0
           @65          AR01B_97  1.0
           @66          AR02_97   2.0
           @68          RES93B3   1.0
           @69          RES93B4   1.0
           @70          RES93B5   1.0
           @71          RES93US   1.0
           @72          RES97B3A  1.0
           @73          RES97B3B  1.0
           @74          RES97B3P  1.0
           @75          RES97B4   1.0
           @76          RES97B5   1.0
           @77          PWT93     8.6
           @85          PWT97L    8.6
           @93          PWT97X    8.6
           @101         PWT93IN   8.6
           @109         PWT97INL  8.6
           @117         PWT93US   8.6
           @125         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format SEX          SEX. ;
    format AR02_93      AR02B. ;
    format AR01A_97     AR01A. ;
    format AR01B_97     YESNO. ;
    format AR02_97      AR02B. ;
    format RES93B3      RES_PTRK. ;
    format RES93B4      RES_PTRK. ;
    format RES93B5      RES_5TRK. ;
    format RES93US      RES_PTRK. ;
    format RES97B3A     RES_PTRK. ;
    format RES97B3B     RES_PTRK. ;
    format RES97B3P     RES_PTRK. ;
    format RES97B4      RES_PTRK. ;
    format RES97B5      RES_5TRK. ;


*===========================================*
* BOOK bk
*===========================================*;

*-------------------------------------------*
* MODULE bk_cov
*-------------------------------------------*;
data bk_cov ;

    infile inbk  pad lrecl= 297 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib EDITOR   length= $3.0    label="Field editor ID code" ;
    attrib IDIVWR   length= $3.0    label="Interviewer ID code" ;
    attrib RSPNDNT                  label="Respondent" ;
    attrib NUMVIS                   label="Number of visits" ;
    attrib IVWDAY1                  label="Date of 1st interview: day" ;
    attrib IVWMTH1                  label="Date of 1st interview: month" ;
    attrib IVWYR1                   label="Date of 1st interview: year" ;
    attrib BEGHR1                   label="Time 1st interview began (hour)" ;
    attrib BEGMIN1                  label="Time 1st interview began (minute)" ;
    attrib ENDHR1                   label="Time 1st interview ended (hour)" ;
    attrib ENDMIN1                  label="Time 1st interview ended (minute)" ;
    attrib IVWDAY2                  label="Date of 2nd interview: day" ;
    attrib IVWMTH2                  label="Date of 2nd interview: month" ;
    attrib IVWYR2                   label="Date of 2nd interview: year" ;
    attrib BEGHR2                   label="Time 2nd interview began (hour)" ;
    attrib BEGMIN2                  label="Time 2nd interview began (minute)" ;
    attrib ENDHR2                   label="Time 2nd interview ended (hour)" ;
    attrib ENDMIN2                  label="Time 2nd interview ended (minute)" ;
    attrib IVWDAY3                  label="Date of 3rd interview: day" ;
    attrib IVWMTH3                  label="Date of 3rd interview: month" ;
    attrib IVWYR3                   label="Date of 3rd interview: year" ;
    attrib BEGHR3                   label="Time 3rd interview began (hour)" ;
    attrib BEGMIN3                  label="Time 3rd interview began (minute)" ;
    attrib ENDHR3                   label="Time 3rd interview ended (hour)" ;
    attrib ENDMIN3                  label="Time 3rd interview ended (minute)" ;
    attrib LANGMAIN                 label="Main language of interview" ;
    attrib LANGOTHR                 label="Other language of interview if any" ;
    attrib EDIT_CK                  label="Result of editor checks" ;
    attrib SUP_OBS                  label="Supervisor observed ivw?" ;
    attrib SUP_EDIT                 label="Supervisor checked edits?" ;
    attrib RESULT97                 label="97 Result of HH ivw" ;
    attrib NUM_97BK                 label="97 Number of BKs" ;
    attrib CP1      length= $6.0    label="Who else was present at interview?" ;
    attrib CP2                      label="Ivwr eval of accuracy of Resp answers" ;
    attrib CP3                      label="Ivwr eval of serious/attentiveness of R" ;
    attrib CP4      length= $60.0   label="Qs R found difficlt/embarassng/confusing" ;
    attrib CP5      length= $60.0   label="Qs ivwr found diffic/embarassng/confusng" ;
    attrib CP6      length= $60.0   label="Qs in which Resp seem interested" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "bk_cov  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          EDITOR    $CHAR3.0
           @30          IDIVWR    $CHAR3.0
           @33          RSPNDNT   1.0
           @34          NUMVIS    1.0
           @35          IVWDAY1   2.0
           @37          IVWMTH1   2.0
           @39          IVWYR1    4.0
           @43          BEGHR1    2.0
           @45          BEGMIN1   2.0
           @47          ENDHR1    2.0
           @49          ENDMIN1   2.0
           @51          IVWDAY2   2.0
           @53          IVWMTH2   2.0
           @55          IVWYR2    4.0
           @59          BEGHR2    2.0
           @61          BEGMIN2   2.0
           @63          ENDHR2    2.0
           @65          ENDMIN2   2.0
           @67          IVWDAY3   2.0
           @69          IVWMTH3   2.0
           @71          IVWYR3    4.0
           @75          BEGHR3    2.0
           @77          BEGMIN3   2.0
           @79          ENDHR3    2.0
           @81          ENDMIN3   2.0
           @83          LANGMAIN  2.0
           @85          LANGOTHR  2.0
           @87          EDIT_CK   1.0
           @88          SUP_OBS   1.0
           @89          SUP_EDIT  1.0
           @90          RESULT97  2.0
           @92          NUM_97BK  1.0
           @93          CP1       $CHAR6.0
           @99          CP2       1.0
           @100         CP3       1.0
           @101         CP4       $CHAR60.0
           @161         CP5       $CHAR60.0
           @221         CP6       $CHAR60.0
           @281         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RSPNDNT      RSPNDNT. ;
    format NUMVIS       COUNT. ;
    format IVWMTH1      MTH. ;
    format IVWYR1       YR. ;
    format IVWMTH2      MTH. ;
    format IVWYR2       YR. ;
    format IVWMTH3      MTH. ;
    format IVWYR3       YR. ;
    format LANGMAIN     LANGDET. ;
    format LANGOTHR     LANGDET. ;
    format EDIT_CK      EDITST. ;
    format SUP_OBS      YESNO. ;
    format SUP_EDIT     YESNO. ;
    format RESULT97     RESBKCOV. ;
    format NUM_97BK     COUNT. ;
    format CP2          CP23_. ;
    format CP3          CP23_. ;

*-------------------------------------------*
* MODULE bk_sc
*-------------------------------------------*;
data bk_sc ;

    infile inbk  pad lrecl= 297 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib SC01                     label="Code of province" ;
    attrib SC02                     label="Code of kabupaten" ;
    attrib SC03                     label="Code of kecamatan" ;
    attrib SC05                     label="(1) Urban area (2) Rural (From BPS)" ;
    attrib SC10     length= $2.0    label="Code of field coordinator" ;
    attrib SC11A    length= $3.0    label="Code of assistant field coord." ;
    attrib SC12     length= $3.0    label="Code of local supervisor" ;
    attrib SC14     length= $3.0    label="Code of male interviewer" ;
    attrib SC15     length= $3.0    label="Code of female interviewer" ;
    attrib SC16                     label="Household # in IFLS 1993" ;
    attrib MOVER97                  label="Moved from 93 location?" ;
    attrib SC21X                    label="Distance household moved" ;
    attrib SC21                     label="Distance household moved" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "bk_sc   " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          SC01      2.0
           @18          SC02      2.0
           @20          SC03      3.0
           @23          SC05      1.0
           @24          SC10      $CHAR2.0
           @26          SC11A     $CHAR3.0
           @29          SC12      $CHAR3.0
           @32          SC14      $CHAR3.0
           @35          SC15      $CHAR3.0
           @38          SC16      2.0
           @40          MOVER97   1.0
           @41          SC21X     1.0
           @42          SC21      5.2
           @47          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format SC01         PROV. ;
    format SC05         SC05_. ;
    format MOVER97      MOVER. ;
    format SC21X        SC21X. ;

*-------------------------------------------*
* MODULE bk_ar0
*-------------------------------------------*;
data bk_ar0 ;

    infile inbk  pad lrecl= 297 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib AR00X                    label="Panel or new HH?" ;
    attrib HHSIZE                   label="Total # household members" ;
    attrib AR03                     label="Any unlisted child" ;
    attrib AR04                     label="Any unlisted person" ;
    attrib AR05                     label="Any person absent < 6 months" ;
    attrib AR06                     label="Anyone visited for 6 months" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "bk_ar0  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          AR00X     1.0
           @17          HHSIZE    2.0
           @19          AR03      1.0
           @20          AR04      1.0
           @21          AR05      1.0
           @22          AR06      1.0
           @23          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format AR00X        PANEW. ;
    format AR03         YESNO. ;
    format AR04         YESNO. ;
    format AR05         YESNO. ;
    format AR06         YESNO. ;

*-------------------------------------------*
* MODULE bk_ar1
*-------------------------------------------*;
data bk_ar1 ;

    infile inbk  pad lrecl= 297 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib AR02                     label="Relation to HH head (preprt IFLS93)" ;
    attrib AR01A                    label="Member of HH?" ;
    attrib AR01B                    label="Respondent to be tracked?" ;
    attrib AR02B                    label="Relation to HH head" ;
    attrib AR07                     label="Sex" ;
    attrib AR08MTHX                 label="Birth month (able ans)" ;
    attrib AR08MTH                  label="Birth month" ;
    attrib AR08YRX                  label="Birth year (able ans)" ;
    attrib AR08YR                   label="Birth year" ;
    attrib AR09                     label="Age in 1997" ;
    attrib AR10                     label="PID97 of birth father" ;
    attrib AR11                     label="PID97 of birth mother" ;
    attrib AR12                     label="PID97 of caretaker (if <12 yo)" ;
    attrib AR13                     label="Marital status" ;
    attrib AR14                     label="PID97 of spouse" ;
    attrib AR15                     label="Religion" ;
    attrib AR15A                    label="Worked in last 12 months?" ;
    attrib AR15BX                   label="Annual salary (able ans)" ;
    attrib AR15B                    label="Annual salary, Rp" ;
    attrib AR16                     label="HH member highest level of edu" ;
    attrib AR17                     label="Highest grade completed" ;
    attrib AR18A                    label="Interviewer check: age < 25" ;
    attrib AR18B                    label="Interviewer check: live in HH" ;
    attrib AR18C                    label="Still in school?" ;
    attrib AR18D                    label="Interviewer check AR01a" ;
    attrib AR18EMTX                 label="Dep/Entry in HH, Mth (able ans)" ;
    attrib AR18EMTH                 label="Dep./Entry into HH (Month)" ;
    attrib AR18EYRX                 label="Dep/entry in HH, Yr (able ans)" ;
    attrib AR18EYR                  label="Dep./Entry into HH (Year)" ;
    attrib AR18F                    label="Reason for dep/entry" ;
    attrib AR18G                    label="Int. check AR01A" ;
    attrib AR18H                    label="Still alive" ;
    attrib AR18I                    label="Where does [..] live now?" ;
    attrib AR18J                    label="Need to enter on tracking form" ;
    attrib AGE_97                   label="1997 age of resp (constructed)" ;
    attrib RES97B3A                 label="Result 97: Book 3A done by Resp?" ;
    attrib RES97B3B                 label="Result 97: Book 3B done by Resp?" ;
    attrib RES97B3P                 label="Result 97: Book 3P done by Proxy?" ;
    attrib RES97B4                  label="Result 97: Book 4 done by Resp?" ;
    attrib RES97B5                  label="Result 97: Book 5 done by Resp?" ;
    attrib PANEL3                   label="97 Panel resp for Book 3" ;
    attrib PANEL4                   label="97 Panel resp for Book 4" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "bk_ar1  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          AR02      2.0
           @29          AR01A     1.0
           @30          AR01B     1.0
           @31          AR02B     2.0
           @33          AR07      1.0
           @34          AR08MTHX  1.0
           @35          AR08MTH   2.0
           @37          AR08YRX   1.0
           @38          AR08YR    4.0
           @42          AR09      3.0
           @45          AR10      2.0
           @47          AR11      2.0
           @49          AR12      2.0
           @51          AR13      1.0
           @52          AR14      2.0
           @54          AR15      2.0
           @56          AR15A     1.0
           @57          AR15BX    1.0
           @58          AR15B     8.0
           @66          AR16      2.0
           @68          AR17      2.0
           @70          AR18A     1.0
           @71          AR18B     1.0
           @72          AR18C     1.0
           @73          AR18D     1.0
           @74          AR18EMTX  1.0
           @75          AR18EMTH  2.0
           @77          AR18EYRX  1.0
           @78          AR18EYR   4.0
           @82          AR18F     2.0
           @84          AR18G     1.0
           @85          AR18H     1.0
           @86          AR18I     2.0
           @88          AR18J     1.0
           @89          AGE_97    3.0
           @92          RES97B3A  1.0
           @93          RES97B3B  1.0
           @94          RES97B3P  1.0
           @95          RES97B4   1.0
           @96          RES97B5   1.0
           @97          PANEL3    1.0
           @98          PANEL4    1.0
           @99          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format AR02         AR02B. ;
    format AR01A        AR01A. ;
    format AR01B        YESNO. ;
    format AR02B        AR02B. ;
    format AR07         SEX. ;
    format AR08MTHX     ANS_GIVN. ;
    format AR08YRX      ANS_GIVN. ;
    format AR10         INHH. ;
    format AR11         INHH. ;
    format AR12         INHH. ;
    format AR13         MARSTAT. ;
    format AR14         INHH. ;
    format AR15         AR15_. ;
    format AR15A        YESNO. ;
    format AR15BX       ANS_GIVN. ;
    format AR16         EDLEV. ;
    format AR17         EDGRD. ;
    format AR18A        YESNO. ;
    format AR18B        YESNO. ;
    format AR18C        YESNO. ;
    format AR18D        AR01A. ;
    format AR18EMTX     ANS_GIVN. ;
    format AR18EMTH     MTH. ;
    format AR18EYRX     ANS_GIVN. ;
    format AR18F        AR18F. ;
    format AR18G        AR01A. ;
    format AR18H        YESNO. ;
    format AR18I        RES. ;
    format AR18J        YESNO. ;
    format RES97B3A     RES_PTRK. ;
    format RES97B3B     RES_PTRK. ;
    format RES97B3P     RES_PTRK. ;
    format RES97B4      RES_PTRK. ;
    format RES97B5      RES_5TRK. ;
    format PANEL3       PANEW. ;
    format PANEL4       PANEW. ;

*-------------------------------------------*
* MODULE bk_krk
*-------------------------------------------*;
data bk_krk ;

    infile inbk  pad lrecl= 297 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib KRK01                    label="Intrvwr observation(io)dwellng" ;
    attrib KRK02A                   label="Hum+animal waste near house?io" ;
    attrib KRK02B                   label="Piles of trash around house?io" ;
    attrib KRK02C                   label="Hse surrounded by puddles? io" ;
    attrib KRK02D                   label="Stable under/next to house? io" ;
    attrib KRK02E                   label="Has adequate ventilation? io" ;
    attrib KRK02F                   label="House has well kept yard? io" ;
    attrib KRK02G                   label="House has mod. size yard? io" ;
    attrib KRK02H                   label="House has kitchen outside? io" ;
    attrib KRK02I                   label="Cooking rm & sleeping same? io" ;
    attrib KRK05AX                  label="Size of house given" ;
    attrib KRK05A                   label="Size of house (m sq)" ;
    attrib KRK06                    label="How many rooms are there?" ;
    attrib KRK08                    label="What material for floor ?" ;
    attrib KRK09                    label="Walls made of what materials?" ;
    attrib KRK10                    label="What materials used for roof?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "bk_krk  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          KRK01     2.0
           @18          KRK02A    1.0
           @19          KRK02B    1.0
           @20          KRK02C    1.0
           @21          KRK02D    1.0
           @22          KRK02E    1.0
           @23          KRK02F    1.0
           @24          KRK02G    1.0
           @25          KRK02H    1.0
           @26          KRK02I    1.0
           @27          KRK05AX   1.0
           @28          KRK05A    4.0
           @32          KRK06     2.0
           @34          KRK08     2.0
           @36          KRK09     1.0
           @37          KRK10     2.0
           @39          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KRK01        KRK01_. ;
    format KRK02A       YESNO. ;
    format KRK02B       YESNO. ;
    format KRK02C       YESNO. ;
    format KRK02D       YESNO. ;
    format KRK02E       YESNO. ;
    format KRK02F       YESNO. ;
    format KRK02G       YESNO. ;
    format KRK02H       YESNO. ;
    format KRK02I       YESNO. ;
    format KRK05AX      ANS_GIVN. ;
    format KRK08        KRK08_. ;
    format KRK09        KRK09_. ;
    format KRK10        KRK10_. ;


*===========================================*
* BOOK b1
*===========================================*;

*-------------------------------------------*
* MODULE b1_cov
*-------------------------------------------*;
data b1_cov ;

    infile inb1  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib EDITOR   length= $3.0    label="Editor" ;
    attrib IDIVWR   length= $3.0    label="Interviewer" ;
    attrib RSPNDNT                  label="Respondent" ;
    attrib NUMVIS                   label="Number of visits" ;
    attrib IVWDAY1                  label="Date of 1st interview: day" ;
    attrib IVWMTH1                  label="Date of 1st interview: month" ;
    attrib IVWYR1                   label="Date of 1st interview: year" ;
    attrib BEGHR1                   label="Time 1st interview began (hour)" ;
    attrib BEGMIN1                  label="Time 1st interview began (minute)" ;
    attrib ENDHR1                   label="Time 1st interview ended (hour)" ;
    attrib ENDMIN1                  label="Time 1st interview ended (minute)" ;
    attrib IVWDAY2                  label="Date of 2nd interview: day" ;
    attrib IVWMTH2                  label="Date of 2nd interview: month" ;
    attrib IVWYR2                   label="Date of 2nd interview: year" ;
    attrib BEGHR2                   label="Time 2nd interview began (hour)" ;
    attrib BEGMIN2                  label="Time 2nd interview began (minute)" ;
    attrib ENDHR2                   label="Time 2nd interview ended (hour)" ;
    attrib ENDMIN2                  label="Time 2nd interview ended (minute)" ;
    attrib IVWDAY3                  label="Date of 3rd interview: day" ;
    attrib IVWMTH3                  label="Date of 3rd interview: month" ;
    attrib IVWYR3                   label="Date of 3rd interview: year" ;
    attrib BEGHR3                   label="Time 3rd interview began (hour)" ;
    attrib BEGMIN3                  label="Time 3rd interview began (minute)" ;
    attrib ENDHR3                   label="Time 3rd interview ended (hour)" ;
    attrib ENDMIN3                  label="Time 3rd interview ended (minute)" ;
    attrib LANGMAIN                 label="Main language of interview" ;
    attrib LANGOTHR                 label="Other language of interview if any" ;
    attrib RESULT                   label="Result of interview" ;
    attrib REASON                   label="Reason interview not completed" ;
    attrib EDIT_CK                  label="Result of editor checks" ;
    attrib SUP_OBS                  label="Supervisor observed ivw?" ;
    attrib SUP_EDIT                 label="Supervisor checked edits?" ;
    attrib CP1      length= $6.0    label="Who else present during interview?" ;
    attrib CP2                      label="Ivwr eval of accuracy of Resp answers" ;
    attrib CP3                      label="Ivwr eval of serious/attentiveness of R" ;
    attrib CP4      length= $60.0   label="Qs R found difficlt/embarassng/confusing" ;
    attrib CP5      length= $60.0   label="Qs ivwr found diffic/embarassng/confusng" ;
    attrib CP6      length= $60.0   label="Qs in which Resp seem interested" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b1_cov  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          EDITOR    $CHAR3.0
           @30          IDIVWR    $CHAR3.0
           @33          RSPNDNT   1.0
           @34          NUMVIS    1.0
           @35          IVWDAY1   2.0
           @37          IVWMTH1   2.0
           @39          IVWYR1    4.0
           @43          BEGHR1    2.0
           @45          BEGMIN1   2.0
           @47          ENDHR1    2.0
           @49          ENDMIN1   2.0
           @51          IVWDAY2   2.0
           @53          IVWMTH2   2.0
           @55          IVWYR2    4.0
           @59          BEGHR2    2.0
           @61          BEGMIN2   2.0
           @63          ENDHR2    2.0
           @65          ENDMIN2   2.0
           @67          IVWDAY3   2.0
           @69          IVWMTH3   2.0
           @71          IVWYR3    4.0
           @75          BEGHR3    2.0
           @77          BEGMIN3   2.0
           @79          ENDHR3    2.0
           @81          ENDMIN3   2.0
           @83          LANGMAIN  2.0
           @85          LANGOTHR  2.0
           @87          RESULT    1.0
           @88          REASON    1.0
           @89          EDIT_CK   1.0
           @90          SUP_OBS   1.0
           @91          SUP_EDIT  1.0
           @92          CP1       $CHAR6.0
           @98          CP2       1.0
           @99          CP3       1.0
           @100         CP4       $CHAR60.0
           @160         CP5       $CHAR60.0
           @220         CP6       $CHAR60.0
           @280         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RSPNDNT      RSPNDNT. ;
    format NUMVIS       COUNT. ;
    format IVWMTH1      MTH. ;
    format IVWYR1       YR. ;
    format IVWMTH2      MTH. ;
    format IVWYR2       YR. ;
    format IVWMTH3      MTH. ;
    format IVWYR3       YR. ;
    format LANGMAIN     LANGDET. ;
    format LANGOTHR     LANGDET. ;
    format RESULT       RES_IVW. ;
    format REASON       REASON. ;
    format EDIT_CK      EDITST. ;
    format SUP_OBS      YESNO. ;
    format SUP_EDIT     YESNO. ;
    format CP2          CP23_. ;
    format CP3          CP23_. ;

*-------------------------------------------*
* MODULE b1_ks0
*-------------------------------------------*;
data b1_ks0 ;

    infile inb1  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib KS04BX                   label="Out of hh food transfers (able ans)" ;
    attrib KS04B                    label="Out of hh food transfers, Rp" ;
    attrib KS07AX                   label="Own prod/in-kind non-food (able ans)" ;
    attrib KS07A                    label="Own prod/in-kind non-food items, Rp" ;
    attrib KS10AAX                  label="Edu exp(mems in HH):tuition (able ans)" ;
    attrib KS10AA                   label="Edu exp last yr (mems in HH)tuition Rp" ;
    attrib KS10ABX                  label="Edu exp(mems out HH):tuition(able ans)" ;
    attrib KS10AB                   label="Edu exp last yr (mems out HH)tuition Rp" ;
    attrib KS11AAX                  label="Edu exp(mems in HH):supplies(able ans)" ;
    attrib KS11AA                   label="Edu exp last yr (mems in HH)supplies Rp" ;
    attrib KS11ABX                  label="Edu exp(mems out HH):supplies(able ans)" ;
    attrib KS11AB                   label="Edu exp last yr (mems out HH)supplies Rp" ;
    attrib KS12AAX                  label="Edu exp(mems in HH):transport(able ans)" ;
    attrib KS12AA                   label="Edu exp last yr (mems in HH)transport Rp" ;
    attrib KS12ABX                  label="Edu exp(mems out HH):tnsp (able ans)" ;
    attrib KS12AB                   label="Edu exp last yr (mems out HH)transprt Rp" ;
    attrib KS12BBX                  label="Edu exp(mems out HH):board (able ans)" ;
    attrib KS12BB                   label="Edu exp last yr (mems out HH)board Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b1_ks0  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          KS04BX    1.0
           @17          KS04B     7.0
           @24          KS07AX    1.0
           @25          KS07A     7.0
           @32          KS10AAX   1.0
           @33          KS10AA    8.0
           @41          KS10ABX   1.0
           @42          KS10AB    8.0
           @50          KS11AAX   1.0
           @51          KS11AA    8.0
           @59          KS11ABX   1.0
           @60          KS11AB    7.0
           @67          KS12AAX   1.0
           @68          KS12AA    8.0
           @76          KS12ABX   1.0
           @77          KS12AB    8.0
           @85          KS12BBX   1.0
           @86          KS12BB    7.0
           @93          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KS04BX       RUPIAH. ;
    format KS07AX       RUPIAH. ;
    format KS10AAX      RUPIAH. ;
    format KS10ABX      RUPIAH. ;
    format KS11AAX      RUPIAH. ;
    format KS11ABX      RUPIAH. ;
    format KS12AAX      RUPIAH. ;
    format KS12ABX      RUPIAH. ;
    format KS12BBX      RUPIAH. ;

*-------------------------------------------*
* MODULE b1_ks1
*-------------------------------------------*;
data b1_ks1 ;

    infile inb1  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib KS1TYPE  length= $2.0    label="Types of staple foods listed" ;
    attrib KS02X                    label="Food expend last wk (able ans)" ;
    attrib KS02                     label="Food expenditure last wk-purchases,Rp" ;
    attrib KS03X                    label="Food consum last wk-own prod(able ans)" ;
    attrib KS03                     label="Food consumption last wk-own prodn,Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b1_ks1  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          KS1TYPE   $CHAR2.0
           @18          KS02X     1.0
           @19          KS02      7.0
           @26          KS03X     1.0
           @27          KS03      6.0
           @33          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KS1TYPE      KS1TYPE. ;
    format KS02X        RUPIAH. ;
    format KS03X        RUPIAH. ;

*-------------------------------------------*
* MODULE b1_ks2
*-------------------------------------------*;
data b1_ks2 ;

    infile inb1  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib KS2TYPE  length= $2.0    label="Type of nonfood item" ;
    attrib KS06X                    label="Nonfood exp last mth (able ans)" ;
    attrib KS06                     label="Nonfood expenditure in last month, Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b1_ks2  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          KS2TYPE   $CHAR2.0
           @18          KS06X     1.0
           @19          KS06      8.0
           @27          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KS2TYPE      KS2TYPE. ;
    format KS06X        RUPIAH. ;

*-------------------------------------------*
* MODULE b1_ks3
*-------------------------------------------*;
data b1_ks3 ;

    infile inb1  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib KS3TYPE  length= $1.0    label="Type of non-food items" ;
    attrib KS08X                    label="Nonfood expend last yr (able ans)" ;
    attrib KS08                     label="Nonfood expend last year-purchases, Rp" ;
    attrib KS09AX                   label="Nonfood cons last yr-own prod(able ans)" ;
    attrib KS09A                    label="Nonfood consumptn last yr-own prodn, Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b1_ks3  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          KS3TYPE   $CHAR1.0
           @17          KS08X     1.0
           @18          KS08      9.0
           @27          KS09AX    1.0
           @28          KS09A     8.0
           @36          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KS3TYPE      KS3TYPE. ;
    format KS08X        RUPIAH. ;
    format KS09AX       RUPIAH. ;

*-------------------------------------------*
* MODULE b1_ks4
*-------------------------------------------*;
data b1_ks4 ;

    infile inb1  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib KS4TYPE  length= $2.0    label="Type of consumption" ;
    attrib KS13A                    label="Bought item last month" ;
    attrib KS13                     label="Quantity of item bought" ;
    attrib KS14                     label="Quantity - unit of measure" ;
    attrib KS14A                    label="Estimated qty of item bought" ;
    attrib KS14B                    label="Quantity estimated - unit of measure" ;
    attrib KS15X                    label="Price paid last time (able ans)" ;
    attrib KS15                     label="Price paid last time bought" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b1_ks4  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          KS4TYPE   $CHAR2.0
           @18          KS13A     1.0
           @19          KS13      6.2
           @25          KS14      2.0
           @27          KS14A     6.2
           @33          KS14B     2.0
           @35          KS15X     1.0
           @36          KS15      7.0
           @43          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KS4TYPE      KS4TYPE. ;
    format KS13A        YESNO. ;
    format KS14         KS14_. ;
    format KS14B        KS14_. ;
    format KS15X        RUPIAH. ;

*-------------------------------------------*
* MODULE b1_pp1
*-------------------------------------------*;
data b1_pp1 ;

    infile inb1  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PPTYPE   length= $2.0    label="Out-Patient Facility" ;
    attrib PP2                      label="Know where a [..] is located?" ;
    attrib PP4AX                    label="Village of [..] (able ans)" ;
    attrib PP4BX                    label="Kecamatan of [..] (able ans)" ;
    attrib PP4CX                    label="Kabupaten of [..] (able ans)" ;
    attrib PP4DX                    label="Province of [..] (able ans)" ;
    attrib PP5X                     label="Travel time (units/able ans)" ;
    attrib PP5                      label="One way travel time" ;
    attrib PP6X                     label="Transport cost (able ans)" ;
    attrib PP6                      label="Transport cost, rupiah" ;
    attrib PP7X                     label="Cost of 1 visit (able ans)" ;
    attrib PP7                      label="Cost of 1 visit, rupiah" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b1_pp1  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PPTYPE    $CHAR2.0
           @18          PP2       1.0
           @19          PP4AX     1.0
           @20          PP4BX     1.0
           @21          PP4CX     1.0
           @22          PP4DX     1.0
           @23          PP5X      2.0
           @25          PP5       5.2
           @30          PP6X      1.0
           @31          PP6       6.0
           @37          PP7X      1.0
           @38          PP7       6.0
           @44          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PPTYPE       PPTYPE. ;
    format PP2          YESNO. ;
    format PP4AX        ANS_LOCN. ;
    format PP4BX        ANS_LOCN. ;
    format PP4CX        ANS_LOCN. ;
    format PP4DX        ANS_LOCN. ;
    format PP5X         TUNIT. ;
    format PP6X         PP6X. ;
    format PP7X         RUPIAH. ;


*===========================================*
* BOOK b2
*===========================================*;

*-------------------------------------------*
* MODULE b2_cov
*-------------------------------------------*;
data b2_cov ;

    infile inb2  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib EDITOR   length= $3.0    label="Editor" ;
    attrib IDIVWR   length= $3.0    label="Interviewer ID code" ;
    attrib RSPNDNT                  label="Respondent 1" ;
    attrib NUMVIS                   label="Number of visits" ;
    attrib IVWDAY1                  label="Date of 1st interview: day" ;
    attrib IVWMTH1                  label="Date of 1st interview: month" ;
    attrib IVWYR1                   label="Date of 1st interview: year" ;
    attrib BEGHR1                   label="Time 1st interview began (hour)" ;
    attrib BEGMIN1                  label="Time 1st interview began (minute)" ;
    attrib ENDHR1                   label="Time 1st interview ended (hour)" ;
    attrib ENDMIN1                  label="Time 1st interview ended (minute)" ;
    attrib IVWDAY2                  label="Date of 2nd interview: day" ;
    attrib IVWMTH2                  label="Date of 2nd interview: month" ;
    attrib IVWYR2                   label="Date of 2nd interview: year" ;
    attrib BEGHR2                   label="Time 2nd interview began (hour)" ;
    attrib BEGMIN2                  label="Time 2nd interview began (minute)" ;
    attrib ENDHR2                   label="Time 2nd interview ended (hour)" ;
    attrib ENDMIN2                  label="Time 2nd interview ended (minute)" ;
    attrib IVWDAY3                  label="Date of 3rd interview: day" ;
    attrib IVWMTH3                  label="Date of 3rd interview: month" ;
    attrib IVWYR3                   label="Date of 3rd interview: year" ;
    attrib BEGHR3                   label="Time 3rd interview began (hour)" ;
    attrib BEGMIN3                  label="Time 3rd interview began (minute)" ;
    attrib ENDHR3                   label="Time 3rd interview ended (hour)" ;
    attrib ENDMIN3                  label="Time 3rd interview ended (minute)" ;
    attrib LANGMAIN                 label="Main language of interview" ;
    attrib LANGOTHR                 label="Other language of interview if any" ;
    attrib RESULT                   label="Result of interview" ;
    attrib REASON                   label="Reason interview not completed" ;
    attrib EDIT_CK                  label="Result of editor checks" ;
    attrib SUP_OBS                  label="Supervisor observed ivw?" ;
    attrib SUP_EDIT                 label="Supervisor checked edits?" ;
    attrib CP1      length= $6.0    label="Who else present during interview?" ;
    attrib CP2                      label="Ivwr eval of accuracy of Resp answers" ;
    attrib CP3                      label="Ivwr eval of serious/attentiveness of R" ;
    attrib CP4      length= $60.0   label="Qs R found difficlt/embarassng/confusing" ;
    attrib CP5      length= $60.0   label="Qs ivwr found diffic/embarassng/confusng" ;
    attrib CP6      length= $60.0   label="Qs in which Resp seem interested" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b2_cov  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          EDITOR    $CHAR3.0
           @30          IDIVWR    $CHAR3.0
           @33          RSPNDNT   1.0
           @34          NUMVIS    1.0
           @35          IVWDAY1   2.0
           @37          IVWMTH1   2.0
           @39          IVWYR1    4.0
           @43          BEGHR1    2.0
           @45          BEGMIN1   2.0
           @47          ENDHR1    2.0
           @49          ENDMIN1   2.0
           @51          IVWDAY2   2.0
           @53          IVWMTH2   2.0
           @55          IVWYR2    4.0
           @59          BEGHR2    2.0
           @61          BEGMIN2   2.0
           @63          ENDHR2    2.0
           @65          ENDMIN2   2.0
           @67          IVWDAY3   2.0
           @69          IVWMTH3   2.0
           @71          IVWYR3    4.0
           @75          BEGHR3    2.0
           @77          BEGMIN3   2.0
           @79          ENDHR3    2.0
           @81          ENDMIN3   2.0
           @83          LANGMAIN  2.0
           @85          LANGOTHR  2.0
           @87          RESULT    1.0
           @88          REASON    1.0
           @89          EDIT_CK   1.0
           @90          SUP_OBS   1.0
           @91          SUP_EDIT  1.0
           @92          CP1       $CHAR6.0
           @98          CP2       1.0
           @99          CP3       1.0
           @100         CP4       $CHAR60.0
           @160         CP5       $CHAR60.0
           @220         CP6       $CHAR60.0
           @280         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RSPNDNT      RSPNDNT. ;
    format NUMVIS       COUNT. ;
    format IVWMTH1      MTH. ;
    format IVWYR1       YR. ;
    format IVWMTH2      MTH. ;
    format IVWYR2       YR. ;
    format IVWMTH3      MTH. ;
    format IVWYR3       YR. ;
    format LANGMAIN     LANGDET. ;
    format LANGOTHR     LANGDET. ;
    format RESULT       RES_IVW. ;
    format REASON       REASON. ;
    format EDIT_CK      EDITST. ;
    format SUP_OBS      YESNO. ;
    format SUP_EDIT     YESNO. ;
    format CP2          CP23_. ;
    format CP3          CP23_. ;

*-------------------------------------------*
* MODULE b2_kr
*-------------------------------------------*;
data b2_kr ;

    infile inb2  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib KR03                     label="Status of your house" ;
    attrib KR04X                    label="Monthly rent (able ans)" ;
    attrib KR04                     label="Monthly rent, Rp" ;
    attrib KR05X                    label="Rent would pay monthly (able ans)" ;
    attrib KR05                     label="Rent would pay monthly, Rp" ;
    attrib KR11                     label="Does house use electricity?" ;
    attrib KR13                     label="Main source drink/cook water" ;
    attrib KR13A                    label="Water boiled before drinking" ;
    attrib KR13B                    label="Do you purchase water" ;
    attrib KR14                     label="Where is water source located?" ;
    attrib KR15                     label="Distance to main drinking water source" ;
    attrib KR16                     label="Same wtr source for bath/laund" ;
    attrib KR17                     label="Main source bath/laundry water" ;
    attrib KR17B                    label="Do you purchase the water" ;
    attrib KR18                     label="Where is the other watr source" ;
    attrib KR19                     label="Distance to other water source" ;
    attrib KR20                     label="Where do hh members defecate?" ;
    attrib KR21                     label="Where does hh sewage drain" ;
    attrib KR22                     label="How does hh dispose of garbage" ;
    attrib KR23                     label="Food stored in refrigerator" ;
    attrib KR24                     label="Kind of stove for cooking" ;
    attrib KR24A                    label="Household has television" ;
    attrib KR25                     label="Language most often used in HH" ;
    attrib KR26                     label="Does HH have Kartu Sehat?" ;
    attrib KR27                     label="HH participates in Dana Sehat" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b2_kr   " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          KR03      1.0
           @17          KR04X     1.0
           @18          KR04      7.0
           @25          KR05X     1.0
           @26          KR05      9.0
           @35          KR11      1.0
           @36          KR13      2.0
           @38          KR13A     1.0
           @39          KR13B     1.0
           @40          KR14      1.0
           @41          KR15      6.1
           @47          KR16      1.0
           @48          KR17      2.0
           @50          KR17B     1.0
           @51          KR18      1.0
           @52          KR19      4.0
           @56          KR20      2.0
           @58          KR21      2.0
           @60          KR22      2.0
           @62          KR23      1.0
           @63          KR24      2.0
           @65          KR24A     1.0
           @66          KR25      2.0
           @68          KR26      1.0
           @69          KR27      1.0
           @70          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KR03         KR03_. ;
    format KR04X        ANS_GIVN. ;
    format KR05X        ANS_GIVN. ;
    format KR11         YESNO. ;
    format KR13         KR13_. ;
    format KR13A        YESNO. ;
    format KR13B        KR13B. ;
    format KR14         KR14_. ;
    format KR16         YESNO. ;
    format KR17         KR13_. ;
    format KR17B        KR13B. ;
    format KR18         KR14_. ;
    format KR20         KR20_. ;
    format KR21         KR21_. ;
    format KR22         KR22_. ;
    format KR23         KR23_. ;
    format KR24         KR24_. ;
    format KR24A        YESNO. ;
    format KR25         LANGDET. ;
    format KR26         YESNO. ;
    format KR27         KR27_. ;

*-------------------------------------------*
* MODULE b2_ut1
*-------------------------------------------*;
data b2_ut1 ;

    infile inb2  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib UT01                     label="Any HH member a farmer past yr" ;
    attrib UT02                     label="Farm business is owned by HH?" ;
    attrib UT03                     label="% of farm bus owned by HH" ;
    attrib UT04     length= $7.0    label="Who outside of HH owns farm" ;
    attrib UT04A                    label="# of owners outside HH" ;
    attrib UT05     length= $8.0    label="Which hh members own farm" ;
    attrib UT05A                    label="Total # of owners in HH" ;
    attrib UT06X                    label="Farm owned by resp/spouse (able ans)" ;
    attrib UT06A                    label="% of farm bus owned by resp" ;
    attrib UT06B                    label="% of farm bus owned by spouse" ;
    attrib UT07X                    label="Farm revenue past yr (able ans)" ;
    attrib UT07                     label="Farm revenue past yr, Rp" ;
    attrib UT08X                    label="Farm expenses past yr (able ans)" ;
    attrib UT08                     label="Farm expenses past yr, Rp" ;
    attrib UT09X                    label="Farm net profit past yr, Rp" ;
    attrib UT09                     label="Farm bus net profit past year" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b2_ut1  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          UT01      1.0
           @17          UT02      1.0
           @18          UT03      2.0
           @20          UT04      $CHAR7.0
           @27          UT04A     2.0
           @29          UT05      $CHAR8.0
           @37          UT05A     2.0
           @39          UT06X     1.0
           @40          UT06A     4.1
           @44          UT06B     4.1
           @48          UT07X     1.0
           @49          UT07      8.0
           @57          UT08X     1.0
           @58          UT08      8.0
           @66          UT09X     1.0
           @67          UT09      8.0
           @75          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format UT01         YESNO. ;
    format UT02         YESNO. ;
    format UT06X        SHARE. ;
    format UT07X        RUPIAH. ;
    format UT08X        RUPIAH. ;
    format UT09X        RUPIAH. ;

*-------------------------------------------*
* MODULE b2_ut2
*-------------------------------------------*;
data b2_ut2 ;

    infile inb2  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib UTTYPE   length= $1.0    label="Type of assets" ;
    attrib UT10                     label="Does hh farm business own [..]" ;
    attrib UT11X                    label="Mkt value of [..] (able ans)" ;
    attrib UT11                     label="Mkt value of [..], Rp" ;
    attrib UT12X                    label="Cost of [..] past yr (able ans)" ;
    attrib UT12                     label="Cost of [..] past yr, Rp" ;
    attrib UT13X                    label="Sales of [..] past yr (able ans)" ;
    attrib UT13                     label="Sales of [..] past yr, Rp" ;
    attrib UT14X                    label="Income from [..] past yr (able ans)" ;
    attrib UT14                     label="Income from [..] past yr, Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b2_ut2  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          UTTYPE    $CHAR1.0
           @17          UT10      1.0
           @18          UT11X     1.0
           @19          UT11      10.0
           @29          UT12X     1.0
           @30          UT12      9.0
           @39          UT13X     1.0
           @40          UT13      9.0
           @49          UT14X     1.0
           @50          UT14      9.0
           @59          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format UTTYPE       UTTYPE. ;
    format UT10         YESNO. ;
    format UT11X        RUPIAH. ;
    format UT12X        RUPIAH. ;
    format UT13X        RUPIAH. ;
    format UT14X        RUPIAH. ;

*-------------------------------------------*
* MODULE b2_nt1
*-------------------------------------------*;
data b2_nt1 ;

    infile inb2  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib NT01                     label="Any HH mems in non-farm bus" ;
    attrib NT02                     label="Non-farm bus owned by HH" ;
    attrib NT03                     label="% of non-farm bus owned by HH" ;
    attrib NT04     length= $7.0    label="Who outside of HH owns bus" ;
    attrib NT04A                    label="# of owners outside HH" ;
    attrib NT05     length= $8.0    label="Which hh members own bus" ;
    attrib NT05A                    label="Total # of owners in HH" ;
    attrib NT06X                    label="Business owned by resp/spouse (able ans)" ;
    attrib NT06A                    label="% of bus owned by resp" ;
    attrib NT06B                    label="% of bus owned by spouse" ;
    attrib NT07X                    label="Business revenue past yr (able ans)" ;
    attrib NT07                     label="Business revenue past yr, Rp" ;
    attrib NT08X                    label="Business expenses past yr (able ans)" ;
    attrib NT08                     label="Business expenses past yr, Rp" ;
    attrib NT09X                    label="Business net profit past yr (able ans)" ;
    attrib NT09                     label="Business net profit past yr, Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b2_nt1  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          NT01      1.0
           @17          NT02      1.0
           @18          NT03      2.0
           @20          NT04      $CHAR7.0
           @27          NT04A     2.0
           @29          NT05      $CHAR8.0
           @37          NT05A     2.0
           @39          NT06X     1.0
           @40          NT06A     2.0
           @42          NT06B     2.0
           @44          NT07X     1.0
           @45          NT07      9.0
           @54          NT08X     1.0
           @55          NT08      9.0
           @64          NT09X     1.0
           @65          NT09      8.0
           @73          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format NT01         YESNO. ;
    format NT02         YESNO. ;
    format NT06X        SHARE. ;
    format NT07X        NT07X. ;
    format NT08X        RUPIAH. ;
    format NT09X        NT07X. ;

*-------------------------------------------*
* MODULE b2_nt2
*-------------------------------------------*;
data b2_nt2 ;

    infile inb2  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib NTTYPE   length= $2.0    label="Type of assets" ;
    attrib NT10                     label="Does the hh business own [..]?" ;
    attrib NT11X                    label="Mkt value of [..] (able ans)" ;
    attrib NT11                     label="Mkt value of [..], Rp" ;
    attrib NT12X                    label="Cost of [..] past yr (able ans)" ;
    attrib NT12                     label="Cost of [..] past yr, Rp" ;
    attrib NT13X                    label="Sales of [..] past yr (able ans)" ;
    attrib NT13                     label="Sales of [..] past yr, Rp" ;
    attrib NT14X                    label="Income from [..] past yr (able ans)" ;
    attrib NT14                     label="Income from [..] past yr, Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b2_nt2  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          NTTYPE    $CHAR2.0
           @18          NT10      1.0
           @19          NT11X     1.0
           @20          NT11      9.0
           @29          NT12X     1.0
           @30          NT12      10.0
           @40          NT13X     1.0
           @41          NT13      10.0
           @51          NT14X     1.0
           @52          NT14      8.0
           @60          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format NTTYPE       NTTYPE. ;
    format NT10         YESNO. ;
    format NT11X        RUPIAH. ;
    format NT12X        RUPIAH. ;
    format NT13X        RUPIAH. ;
    format NT14X        RUPIAH. ;

*-------------------------------------------*
* MODULE b2_hr1
*-------------------------------------------*;
data b2_hr1 ;

    infile inb2  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib HRTYPE   length= $2.0    label="Type of assets" ;
    attrib HR01                     label="Do any HH members own [..]" ;
    attrib HR02X                    label="Value of [..] (able ans)" ;
    attrib HR02                     label="Value of [..], Rp" ;
    attrib HR05X                    label="[..] income past yr (able ans)" ;
    attrib HR05                     label="[..] income past yr, Rp" ;
    attrib HR06                     label="Entire [..] owned by HH?" ;
    attrib HR07                     label="% of [..] owned by HH" ;
    attrib HR08     length= $7.0    label="Who outside HH owns [..]" ;
    attrib HR10     length= $8.0    label="Which HH members own [..]" ;
    attrib HR11                     label="# of HH owners of [..]" ;
    attrib HR12X                    label="[..] owned by resp/spouse (able ans)" ;
    attrib HR12A                    label="% of [..] owned by resp" ;
    attrib HR12B                    label="% of [..] owned by spouse" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b2_hr1  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          HRTYPE    $CHAR2.0
           @18          HR01      1.0
           @19          HR02X     1.0
           @20          HR02      15.0
           @35          HR05X     1.0
           @36          HR05      9.0
           @45          HR06      1.0
           @46          HR07      2.0
           @48          HR08      $CHAR7.0
           @55          HR10      $CHAR8.0
           @63          HR11      2.0
           @65          HR12X     1.0
           @66          HR12A     3.0
           @69          HR12B     3.0
           @72          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format HRTYPE       HRTYPE. ;
    format HR01         YESNO. ;
    format HR02X        RUPIAH. ;
    format HR05X        RUPIAH. ;
    format HR06         YESNO. ;
    format HR12X        SHARE. ;

*-------------------------------------------*
* MODULE b2_hr2
*-------------------------------------------*;
data b2_hr2 ;

    infile inb2  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib HR13X                    label="New debts past yr (able ans)" ;
    attrib HR13                     label="New debts past yr, Rp" ;
    attrib HR14X                    label="Debts repaid past yr (able ans)" ;
    attrib HR14                     label="Debts repaid past yr, Rp" ;
    attrib HR15X                    label="Total HH debt (able ans)" ;
    attrib HR15                     label="Total HH debt, Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b2_hr2  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          HR13X     1.0
           @17          HR13      9.0
           @26          HR14X     1.0
           @27          HR14      8.0
           @35          HR15X     1.0
           @36          HR15      9.0
           @45          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format HR13X        RUPIAH. ;
    format HR14X        RUPIAH. ;
    format HR15X        RUPIAH. ;

*-------------------------------------------*
* MODULE b2_hi
*-------------------------------------------*;
data b2_hi ;

    infile inb2  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib HITYPE   length= $2.0    label="Income source" ;
    attrib HI14X                    label="HH other income past yr (able ans)" ;
    attrib HI14                     label="HH other income past yr, Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b2_hi   " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          HITYPE    $CHAR2.0
           @18          HI14X     1.0
           @19          HI14      9.0
           @28          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format HITYPE       HITYPE. ;
    format HI14X        RUPIAH. ;

*-------------------------------------------*
* MODULE b2_ge
*-------------------------------------------*;
data b2_ge ;

    infile inb2  pad lrecl= 296 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib GETYPE   length= $1.0    label="Type of econ hardship" ;
    attrib GE01                     label="Has HH suffered[..]past 5 yrs?" ;
    attrib GE_C_RSN length= $4.0    label="Reason for crop loss (GETYPE=C:Open-end)" ;
    attrib GE02MTHX                 label="Mth of hardship (able ans)" ;
    attrib GE02MTH                  label="Month of hardship" ;
    attrib GE02YRX                  label="Year of hardship (able ans)" ;
    attrib GE02YR                   label="Year of hardship" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b2_ge   " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          GETYPE    $CHAR1.0
           @17          GE01      1.0
           @18          GE_C_RSN  $CHAR4.0
           @22          GE02MTHX  1.0
           @23          GE02MTH   2.0
           @25          GE02YRX   1.0
           @26          GE02YR    4.0
           @30          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format GETYPE       GETYPE. ;
    format GE01         YESNO. ;
    format GE02MTHX     ANS_GIVN. ;
    format GE02MTH      MTH. ;
    format GE02YRX      ANS_GIVN. ;
    format GE02YR       NUM2_. ;


*===========================================*
* BOOK b3a
*===========================================*;

*-------------------------------------------*
* MODULE b3a_cov
*-------------------------------------------*;
data b3a_cov ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib EDITOR   length= $3.0    label="Editor" ;
    attrib IDIVWR   length= $3.0    label="Interviewer" ;
    attrib PANEL                    label="Respondent is in panel or new" ;
    attrib RSPNDNT                  label="Respondent position" ;
    attrib AGE                      label="Respondent's age in years" ;
    attrib MARSTAT                  label="Marital status" ;
    attrib SEX                      label="Sex" ;
    attrib NUMVIS                   label="Number of visits" ;
    attrib IVWDAY1                  label="Date of 1st interview: day" ;
    attrib IVWMTH1                  label="Date of 1st interview: month" ;
    attrib IVWYR1                   label="Date of 1st interview: year" ;
    attrib BEGHR1                   label="Time 1st interview began (hour)" ;
    attrib BEGMIN1                  label="Time 1st interview began (minute)" ;
    attrib ENDHR1                   label="Time 1st interview ended (hour)" ;
    attrib ENDMIN1                  label="Time 1st interview ended (minute)" ;
    attrib IVWDAY2                  label="Date of 2nd interview: day" ;
    attrib IVWMTH2                  label="Date of 2nd interview: month" ;
    attrib IVWYR2                   label="Date of 2nd interview: year" ;
    attrib BEGHR2                   label="Time 2nd interview began (hour)" ;
    attrib BEGMIN2                  label="Time 2nd interview began (minute)" ;
    attrib ENDHR2                   label="Time 2nd interview ended (hour)" ;
    attrib ENDMIN2                  label="Time 2nd interview ended (minute)" ;
    attrib IVWDAY3                  label="Date of 3rd interview: day" ;
    attrib IVWMTH3                  label="Date of 3rd interview: month" ;
    attrib IVWYR3                   label="Date of 3rd interview: year" ;
    attrib BEGHR3                   label="Time 3rd interview began (hour)" ;
    attrib BEGMIN3                  label="Time 3rd interview began (minute)" ;
    attrib ENDHR3                   label="Time 3rd interview ended (hour)" ;
    attrib ENDMIN3                  label="Time 3rd interview ended (minute)" ;
    attrib LANGMAIN                 label="Main language of interview" ;
    attrib LANGOTHR                 label="Other language of interview if any" ;
    attrib RESULT                   label="Result of interview" ;
    attrib REASON                   label="Reason interview not completed" ;
    attrib EDIT_CK                  label="Result of editor checks" ;
    attrib SUP_OBS                  label="Supervisor observed ivw?" ;
    attrib SUP_EDIT                 label="Supervisor checked edits?" ;
    attrib DOB_DAY                  label="Date of birth (day)" ;
    attrib DOB_MTH                  label="Date of birth (month)" ;
    attrib DOB_YR                   label="Date of birth (year)" ;
    attrib CP1      length= $6.0    label="Who else present during interview?" ;
    attrib CP2                      label="Ivwr eval of accuracy of Resp answers" ;
    attrib CP3                      label="Ivwr eval of serious/attentiveness of R" ;
    attrib CP4      length= $60.0   label="Qs R found difficlt/embarassng/confusing" ;
    attrib CP5      length= $60.0   label="Qs ivwr found diffic/embarassng/confusng" ;
    attrib CP6      length= $60.0   label="Qs in which Resp seem interested" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_cov " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          EDITOR    $CHAR3.0
           @30          IDIVWR    $CHAR3.0
           @33          PANEL     1.0
           @34          RSPNDNT   1.0
           @35          AGE       2.0
           @37          MARSTAT   1.0
           @38          SEX       1.0
           @39          NUMVIS    1.0
           @40          IVWDAY1   2.0
           @42          IVWMTH1   2.0
           @44          IVWYR1    4.0
           @48          BEGHR1    2.0
           @50          BEGMIN1   2.0
           @52          ENDHR1    2.0
           @54          ENDMIN1   2.0
           @56          IVWDAY2   2.0
           @58          IVWMTH2   2.0
           @60          IVWYR2    4.0
           @64          BEGHR2    2.0
           @66          BEGMIN2   2.0
           @68          ENDHR2    2.0
           @70          ENDMIN2   2.0
           @72          IVWDAY3   2.0
           @74          IVWMTH3   2.0
           @76          IVWYR3    4.0
           @80          BEGHR3    2.0
           @82          BEGMIN3   2.0
           @84          ENDHR3    2.0
           @86          ENDMIN3   2.0
           @88          LANGMAIN  2.0
           @90          LANGOTHR  2.0
           @92          RESULT    1.0
           @93          REASON    1.0
           @94          EDIT_CK   1.0
           @95          SUP_OBS   1.0
           @96          SUP_EDIT  1.0
           @97          DOB_DAY   2.0
           @99          DOB_MTH   2.0
           @101         DOB_YR    4.0
           @105         CP1       $CHAR6.0
           @111         CP2       1.0
           @112         CP3       1.0
           @113         CP4       $CHAR60.0
           @173         CP5       $CHAR60.0
           @233         CP6       $CHAR60.0
           @293         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PANEL        PANEW. ;
    format RSPNDNT      RSPNDNT. ;
    format AGE          AGE. ;
    format MARSTAT      MARSTAT. ;
    format SEX          SEX. ;
    format NUMVIS       COUNT. ;
    format IVWMTH1      MTH. ;
    format IVWYR1       YR. ;
    format IVWMTH2      MTH. ;
    format IVWYR2       YR. ;
    format IVWMTH3      MTH. ;
    format IVWYR3       YR. ;
    format LANGMAIN     LANGDET. ;
    format LANGOTHR     LANGDET. ;
    format RESULT       RES_IVW. ;
    format REASON       REASON. ;
    format EDIT_CK      EDITST. ;
    format SUP_OBS      YESNO. ;
    format SUP_EDIT     YESNO. ;
    format CP2          CP23_. ;
    format CP3          CP23_. ;

*-------------------------------------------*
* MODULE b3a_dl1
*-------------------------------------------*;
data b3a_dl1 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DL01A    length= $11.0   label="Languages in daily life" ;
    attrib DL02                     label="Can you read Indonesian newspaper?" ;
    attrib DL02A                    label="Read news in other language?" ;
    attrib DL03                     label="Can you write a letter in Indonesian?" ;
    attrib DL03A                    label="Can you write in other language?" ;
    attrib DL04                     label="Have you ever attended school?" ;
    attrib DL05                     label="Int check: Resp Age" ;
    attrib DL06                     label="Highest level of edu attended" ;
    attrib DL07X                    label="Interviewer check" ;
    attrib DL07                     label="Highest grade completed" ;
    attrib DL07A                    label="Currently attending school" ;
    attrib DL07BX                   label="Date stopped school (able ans)" ;
    attrib DL07BMTH                 label="Date last attended school(mth)" ;
    attrib DL07BYR                  label="Date last attended school (yr)" ;
    attrib DL07CX                   label="Age stopped school (able ans)" ;
    attrib DL07C                    label="Age stopped attending school" ;
    attrib DL07D                    label="Int check: still in school" ;
    attrib DL07E                    label="Int check: grad/stop school" ;
    attrib DL07F                    label="Int check: Resp age>=25" ;
    attrib DL08A                    label="Highest level attended since 8/92" ;
    attrib DL09A                    label="Column in DL10-DL15 to use" ;
    attrib DL08B                    label="Highest level attended/attending" ;
    attrib DL09B                    label="Columns in DL10-DL15 to use" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_dl1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DL01A     $CHAR11.0
           @38          DL02      1.0
           @39          DL02A     1.0
           @40          DL03      1.0
           @41          DL03A     1.0
           @42          DL04      1.0
           @43          DL05      1.0
           @44          DL06      2.0
           @46          DL07X     1.0
           @47          DL07      2.0
           @49          DL07A     1.0
           @50          DL07BX    1.0
           @51          DL07BMTH  2.0
           @53          DL07BYR   4.0
           @57          DL07CX    1.0
           @58          DL07C     2.0
           @60          DL07D     1.0
           @61          DL07E     1.0
           @62          DL07F     1.0
           @63          DL08A     1.0
           @64          DL09A     1.0
           @65          DL08B     1.0
           @66          DL09B     1.0
           @67          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DL02         YESNO. ;
    format DL02A        YESNO. ;
    format DL03         YESNO. ;
    format DL03A        YESNO. ;
    format DL04         YESNO. ;
    format DL05         DL05_. ;
    format DL06         EDLEV. ;
    format DL07X        PANEW. ;
    format DL07         EDGRD. ;
    format DL07A        YESNO. ;
    format DL07BX       ANS_GIVN. ;
    format DL07BMTH     MTH. ;
    format DL07BYR      YR. ;
    format DL07CX       ANS_GIVN. ;
    format DL07D        YESNO. ;
    format DL07E        DL07E. ;
    format DL07F        YESNO. ;
    format DL08A        ED4_. ;
    format DL09A        COUNT. ;
    format DL08B        ED4_. ;
    format DL09B        COUNT. ;

*-------------------------------------------*
* MODULE b3a_dl2
*-------------------------------------------*;
data b3a_dl2 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DL2TYPE                  label="School level" ;
    attrib DL10                     label="School type" ;
    attrib DL11                     label="Administration type" ;
    attrib DL12                     label="Highest grade completed at [..]" ;
    attrib DL13                     label="Fail a grade at [..]" ;
    attrib DL14A                    label="# of times repeated grade 1" ;
    attrib DL14B                    label="# of times repeated grade 2" ;
    attrib DL14C                    label="# of times repeated grade 3" ;
    attrib DL14D                    label="# of times repeated grade 4" ;
    attrib DL14E                    label="# of times repeated grade 5" ;
    attrib DL14F                    label="# of times repeated grade 6" ;
    attrib DL15                     label="Work while attending [..]?" ;
    attrib DL15X                    label="Interviewer check" ;
    attrib DL15A                    label="Age >= 25 years" ;
    attrib DL15B                    label="How old when entered school?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_dl2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DL2TYPE   1.0
           @28          DL10      2.0
           @30          DL11      2.0
           @32          DL12      2.0
           @34          DL13      1.0
           @35          DL14A     1.0
           @36          DL14B     1.0
           @37          DL14C     1.0
           @38          DL14D     1.0
           @39          DL14E     1.0
           @40          DL14F     1.0
           @41          DL15      1.0
           @42          DL15X     1.0
           @43          DL15A     1.0
           @44          DL15B     2.0
           @46          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DL2TYPE      DLTYPE. ;
    format DL10         EDLEV. ;
    format DL11         SCLTYP. ;
    format DL12         EDGRD. ;
    format DL13         YESNO. ;
    format DL14A        MISS1_. ;
    format DL14B        MISS1_. ;
    format DL14C        MISS1_. ;
    format DL14D        MISS1_. ;
    format DL14E        MISS1_. ;
    format DL14F        MISS1_. ;
    format DL15         YESNO. ;
    format DL15X        PANEW. ;
    format DL15A        YESNO. ;
    format DL15B        NUM2_. ;

*-------------------------------------------*
* MODULE b3a_dl3
*-------------------------------------------*;
data b3a_dl3 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DL16N                    label="Number of columns completed in grid" ;
    attrib DL3TYPE                  label="Highest level school attended?" ;
    attrib DL16A                    label="Ever taken EBTANAS?" ;
    attrib DL16B                    label="Could we see EBTANAS scores?" ;
    attrib DL16CX                   label="Date took EBTANAS (able ans)" ;
    attrib DL16CMTH                 label="Date took EBTANAS (month)" ;
    attrib DL16CYR                  label="Date took EBTANAS (year)" ;
    attrib DL16DX                   label="School level" ;
    attrib DL16DAX                  label="PMP score (able ans)" ;
    attrib DL16DA                   label="PMP score" ;
    attrib DL16DBX                  label="Indonesian lang score (able ans)" ;
    attrib DL16DB                   label="Bahasa Indonesia score" ;
    attrib DL16DCX                  label="English score (able ans)" ;
    attrib DL16DC                   label="English score" ;
    attrib DL16DDX                  label="Mathematics score (able ans)" ;
    attrib DL16DD                   label="Math score" ;
    attrib DL16DEX                  label="Science score (able ans)" ;
    attrib DL16DE                   label="Science score" ;
    attrib DL16DFX                  label="Biology score (able ans)" ;
    attrib DL16DF                   label="Biology score" ;
    attrib DL16DGX                  label="Chemistry score (able ans)" ;
    attrib DL16DG                   label="Chemistry score" ;
    attrib DL16DHX                  label="Physics score (able ans)" ;
    attrib DL16DH                   label="Physics score" ;
    attrib DL16DIX                  label="Social studies score (able ans)" ;
    attrib DL16DI                   label="Social studies score" ;
    attrib DL16DJX                  label="Economics score (able ans)" ;
    attrib DL16DJ                   label="Economics score" ;
    attrib DL16DKX                  label="Sociology score (able ans)" ;
    attrib DL16DK                   label="Sociology score" ;
    attrib DL16DLX                  label="Anthropology score (able ans)" ;
    attrib DL16DL                   label="Anthropology score" ;
    attrib DL16DMX                  label="Government score (able ans)" ;
    attrib DL16DM                   label="Government score" ;
    attrib DL16EX                   label="Total score (able ans)" ;
    attrib DL16E                    label="Total EBTANAS score" ;
    attrib DL16FAX                  label="School village (able ans)" ;
    attrib DL16FBX                  label="School kecamatan (able ans)" ;
    attrib DL16FCX                  label="School kabupaten (able ans)" ;
    attrib DL16FDX                  label="School province (able ans)" ;
    attrib DL16GX                   label="Hours/day at school (able ans)" ;
    attrib DL16G                    label="Hours per day at school" ;
    attrib DL16HX                   label="Study hrs/wk (able ans)" ;
    attrib DL16H                    label="Study hour per week" ;
    attrib DL16IX                   label="Class size (able ans)" ;
    attrib DL16I                    label="Class size" ;
    attrib DL16JX                   label="Travel time to school (units/able ans)" ;
    attrib DL16J                    label="1-way travel time to school" ;
    attrib DL16K    length= $3.0    label="Received books from school" ;
    attrib PROB16DA                 label="Possible spec code in DL16DA" ;
    attrib PROB16DB                 label="Possible spec code in DL16DB" ;
    attrib PROB16DC                 label="Possible spec code in DL16DC" ;
    attrib PROB16DD                 label="Possible spec code in DL16DD" ;
    attrib PROB16DE                 label="Possible spec code in DL16DE" ;
    attrib PROB16DF                 label="Possible spec code in DL16DF" ;
    attrib PROB16DG                 label="Possible spec code in DL16DG" ;
    attrib PROB16DH                 label="Possible spec code in DL16DH" ;
    attrib PROB16DI                 label="Possible spec code in DL16DI" ;
    attrib PROB16DJ                 label="Possible spec code in DL16DJ" ;
    attrib PROB16DK                 label="Possible spec code in DL16DK" ;
    attrib PROB16DL                 label="Possible spec code in DL16DL" ;
    attrib PROB16DM                 label="Possible spec code in DL16DM" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_dl3 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DL16N     1.0
           @28          DL3TYPE   1.0
           @29          DL16A     1.0
           @30          DL16B     1.0
           @31          DL16CX    1.0
           @32          DL16CMTH  2.0
           @34          DL16CYR   4.0
           @38          DL16DX    1.0
           @39          DL16DAX   1.0
           @40          DL16DA    5.2
           @45          DL16DBX   1.0
           @46          DL16DB    5.2
           @51          DL16DCX   1.0
           @52          DL16DC    5.2
           @57          DL16DDX   1.0
           @58          DL16DD    5.2
           @63          DL16DEX   1.0
           @64          DL16DE    5.2
           @69          DL16DFX   1.0
           @70          DL16DF    5.2
           @75          DL16DGX   1.0
           @76          DL16DG    5.2
           @81          DL16DHX   1.0
           @82          DL16DH    5.2
           @87          DL16DIX   1.0
           @88          DL16DI    5.2
           @93          DL16DJX   1.0
           @94          DL16DJ    5.2
           @99          DL16DKX   1.0
           @100         DL16DK    5.2
           @105         DL16DLX   1.0
           @106         DL16DL    5.2
           @111         DL16DMX   1.0
           @112         DL16DM    5.2
           @117         DL16EX    1.0
           @118         DL16E     5.2
           @123         DL16FAX   1.0
           @124         DL16FBX   1.0
           @125         DL16FCX   1.0
           @126         DL16FDX   1.0
           @127         DL16GX    2.0
           @129         DL16G     4.1
           @133         DL16HX    1.0
           @134         DL16H     2.0
           @136         DL16IX    1.0
           @137         DL16I     3.0
           @140         DL16JX    2.0
           @142         DL16J     2.0
           @144         DL16K     $CHAR3.0
           @147         PROB16DA  1.0
           @148         PROB16DB  1.0
           @149         PROB16DC  1.0
           @150         PROB16DD  1.0
           @151         PROB16DE  1.0
           @152         PROB16DF  1.0
           @153         PROB16DG  1.0
           @154         PROB16DH  1.0
           @155         PROB16DI  1.0
           @156         PROB16DJ  1.0
           @157         PROB16DK  1.0
           @158         PROB16DL  1.0
           @159         PROB16DM  1.0
           @160         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DL16N        COUNT. ;
    format DL3TYPE      DLTYPE. ;
    format DL16A        YESNO. ;
    format DL16B        YESNO. ;
    format DL16CX       ANS_GIVN. ;
    format DL16CMTH     MTH. ;
    format DL16CYR      YR. ;
    format DL16DX       COUNT. ;
    format DL16DAX      RUPIAH. ;
    format DL16DBX      RUPIAH. ;
    format DL16DCX      RUPIAH. ;
    format DL16DDX      RUPIAH. ;
    format DL16DEX      RUPIAH. ;
    format DL16DFX      RUPIAH. ;
    format DL16DGX      RUPIAH. ;
    format DL16DHX      RUPIAH. ;
    format DL16DIX      RUPIAH. ;
    format DL16DJX      RUPIAH. ;
    format DL16DKX      RUPIAH. ;
    format DL16DLX      RUPIAH. ;
    format DL16DMX      RUPIAH. ;
    format DL16EX       RUPIAH. ;
    format DL16FAX      ANS_GIVN. ;
    format DL16FBX      ANS_GIVN. ;
    format DL16FCX      ANS_GIVN. ;
    format DL16FDX      ANS_GIVN. ;
    format DL16GX       DL16GX. ;
    format DL16HX       ANS_GIVN. ;
    format DL16IX       ANS_GIVN. ;
    format DL16JX       TUNIT. ;
    format PROB16DA     PROB16_. ;
    format PROB16DB     PROB16_. ;
    format PROB16DC     PROB16_. ;
    format PROB16DD     PROB16_. ;
    format PROB16DE     PROB16_. ;
    format PROB16DF     PROB16_. ;
    format PROB16DG     PROB16_. ;
    format PROB16DH     PROB16_. ;
    format PROB16DI     PROB16_. ;
    format PROB16DJ     PROB16_. ;
    format PROB16DK     PROB16_. ;
    format PROB16DL     PROB16_. ;
    format PROB16DM     PROB16_. ;

*-------------------------------------------*
* MODULE b3a_dl4
*-------------------------------------------*;
data b3a_dl4 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DL30                     label="Were you in school last year ?" ;
    attrib DL31A_A1                 label="School exp 96/7? A1:School fees-regist" ;
    attrib DL31B_A1                 label="Registration fee" ;
    attrib DL31A_A2                 label="School exp 96/7? A2:School fees-other" ;
    attrib DL31B_A2                 label="School fee" ;
    attrib DL31A_A3                 label="School exp 96/7? A3:School fees-exams" ;
    attrib DL31B_A3                 label="Exam fees" ;
    attrib DL31A_B1                 label="School exp 96/7? B1:School supp-books" ;
    attrib DL31B_B1                 label="Books/school supplies" ;
    attrib DL31A_B2                 label="School exp 96/7? B2:School supp-unifm" ;
    attrib DL31B_B2                 label="Uniform/sport fees" ;
    attrib DL31A_C1                 label="School exp 96/7? C1:Tnsp/etc-transport" ;
    attrib DL31B_C1                 label="Transport costs" ;
    attrib DL31A_C2                 label="School exp 96/7? C2:Tnsp/etc-hous/food" ;
    attrib DL31B_C2                 label="Housing/food costs" ;
    attrib DL31A_C3                 label="School exp 96/7? C3:Tnsp/etc-special" ;
    attrib DL31B_C3                 label="Special course costs" ;
    attrib DL31A_D                  label="School exp 96/7? D:Other" ;
    attrib DL31B_D                  label="Other school expenses" ;
    attrib DL31C                    label="Int check DL07A: Still in school?" ;
    attrib DL31D                    label="Work while in school?" ;
    attrib DL31E                    label="Work hours/wk on school days" ;
    attrib DL31F                    label="Work hours/wk on non-school days" ;
    attrib DL31G                    label="Amt work relative to other school yrs" ;
    attrib DL32                     label="Resp age < 25 years old" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_dl4 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DL30      1.0
           @28          DL31A_A1  1.0
           @29          DL31B_A1  7.0
           @36          DL31A_A2  1.0
           @37          DL31B_A2  8.0
           @45          DL31A_A3  1.0
           @46          DL31B_A3  7.0
           @53          DL31A_B1  1.0
           @54          DL31B_B1  7.0
           @61          DL31A_B2  1.0
           @62          DL31B_B2  6.0
           @68          DL31A_C1  1.0
           @69          DL31B_C1  7.0
           @76          DL31A_C2  1.0
           @77          DL31B_C2  7.0
           @84          DL31A_C3  1.0
           @85          DL31B_C3  7.0
           @92          DL31A_D   1.0
           @93          DL31B_D   7.0
           @100         DL31C     1.0
           @101         DL31D     1.0
           @102         DL31E     2.0
           @104         DL31F     2.0
           @106         DL31G     1.0
           @107         DL32      1.0
           @108         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DL30         YESNO. ;
    format DL31A_A1     DL31A. ;
    format DL31A_A2     DL31A. ;
    format DL31A_A3     DL31A. ;
    format DL31A_B1     DL31A. ;
    format DL31A_B2     DL31A. ;
    format DL31A_C1     DL31A. ;
    format DL31A_C2     DL31A. ;
    format DL31A_C3     DL31A. ;
    format DL31A_D      DL31A. ;
    format DL31C        DL31C. ;
    format DL31D        YESNO. ;
    format DL32         DL32_. ;

*-------------------------------------------*
* MODULE b3a_dlr1
*-------------------------------------------*;
data b3a_dlr1 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DLR01                    label="Last in school before 1993" ;
    attrib DLR02                    label="Did you ever miss school?" ;
    attrib DLR03                    label="Times missed school" ;
    attrib DLR04                    label="Check DLR03 > 0" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_dlr1" then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DLR01     1.0
           @28          DLR02     1.0
           @29          DLR03     1.0
           @30          DLR04     1.0
           @31          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DLR01        DLR01_. ;
    format DLR02        YESNO. ;
    format DLR03        MISS1_. ;
    format DLR04        DLR04_. ;

*-------------------------------------------*
* MODULE b3a_dlr2
*-------------------------------------------*;
data b3a_dlr2 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DLR04X                   label="Index for disruption from school" ;
    attrib DLR05MX                  label="Month last missed school given" ;
    attrib DLR05MTH                 label="Month last missed school" ;
    attrib DLR05YX                  label="Year last missed school given" ;
    attrib DLR05YR                  label="Year missed school" ;
    attrib DLR07X                   label="Weeks missed school given" ;
    attrib DLR07                    label="Number of weeks missed school" ;
    attrib DLR08    length= $12.0   label="Reason missed school ?" ;
    attrib DLR09                    label="Worked for a wage/profit ?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_dlr2" then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DLR04X    1.0
           @28          DLR05MX   1.0
           @29          DLR05MTH  2.0
           @31          DLR05YX   1.0
           @32          DLR05YR   4.0
           @36          DLR07X    1.0
           @37          DLR07     2.0
           @39          DLR08     $CHAR12.0
           @51          DLR09     1.0
           @52          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DLR04X       COUNT. ;
    format DLR05MX      ANS_GIVN. ;
    format DLR05MTH     MTH. ;
    format DLR05YX      ANS_GIVN. ;
    format DLR05YR      YRLONG. ;
    format DLR07X       ANS_GIVN. ;
    format DLR09        YESNO. ;

*-------------------------------------------*
* MODULE b3a_hr0
*-------------------------------------------*;
data b3a_hr0 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib HR00A                    label="Resp answered in Book II" ;
    attrib HR00B                    label="Currently married" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_hr0 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          HR00A     1.0
           @28          HR00B     1.0
           @29          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format HR00A        YESNO. ;
    format HR00B        YESNO. ;

*-------------------------------------------*
* MODULE b3a_hr1
*-------------------------------------------*;
data b3a_hr1 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib HRTYPE   length= $2.0    label="Type of assets" ;
    attrib HR01                     label="Do any HH members own [..]" ;
    attrib HR02X                    label="Value of [..] (able ans)" ;
    attrib HR02                     label="Value of [..], Rp" ;
    attrib HR05X                    label="[..] income past yr (able ans)" ;
    attrib HR05                     label="[..] income past yr, Rp" ;
    attrib HR06                     label="Entire [..] owned by HH?" ;
    attrib HR07                     label="% of [..] owned by HH" ;
    attrib HR08     length= $7.0    label="Who outside HH owns [..]" ;
    attrib HR10     length= $8.0    label="Which HH members own [..]" ;
    attrib HR11                     label="# of HH owners of [..]" ;
    attrib HR12X                    label="[..] owned by resp/spouse (able ans)" ;
    attrib HR12A                    label="% of [..] owned by resp" ;
    attrib HR12B                    label="% of [..] owned by spouse" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_hr1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          HRTYPE    $CHAR2.0
           @29          HR01      1.0
           @30          HR02X     1.0
           @31          HR02      10.0
           @41          HR05X     1.0
           @42          HR05      9.0
           @51          HR06      1.0
           @52          HR07      2.0
           @54          HR08      $CHAR7.0
           @61          HR10      $CHAR8.0
           @69          HR11      2.0
           @71          HR12X     1.0
           @72          HR12A     3.0
           @75          HR12B     2.0
           @77          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format HRTYPE       HRTYPE. ;
    format HR01         YESNO. ;
    format HR02X        RUPIAH. ;
    format HR05X        RUPIAH. ;
    format HR06         HR06_. ;
    format HR12X        SHARE. ;

*-------------------------------------------*
* MODULE b3a_hr2
*-------------------------------------------*;
data b3a_hr2 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib HR13X                    label="New debts past yr (able ans)" ;
    attrib HR13                     label="New debts past yr, Rp" ;
    attrib HR14X                    label="Debts repaid past yr (able ans)" ;
    attrib HR14                     label="Debts repaid past yr, Rp" ;
    attrib HR15X                    label="Total HH debt (able ans)" ;
    attrib HR15                     label="Total HH debt, Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_hr2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          HR13X     1.0
           @28          HR13      9.0
           @37          HR14X     1.0
           @38          HR14      8.0
           @46          HR15X     1.0
           @47          HR15      9.0
           @56          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format HR13X        RUPIAH. ;
    format HR14X        RUPIAH. ;
    format HR15X        RUPIAH. ;

*-------------------------------------------*
* MODULE b3a_hi
*-------------------------------------------*;
data b3a_hi ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib HITYPE   length= $2.0    label="Income source" ;
    attrib HI14X                    label="HH other income past yr (able ans)" ;
    attrib HI14                     label="HH other income past yr, Rp" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_hi  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          HITYPE    $CHAR2.0
           @29          HI14X     1.0
           @30          HI14      9.0
           @39          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format HITYPE       HITYPE. ;
    format HI14X        RUPIAH. ;

*-------------------------------------------*
* MODULE b3a_kw1
*-------------------------------------------*;
data b3a_kw1 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib KW00                     label="Ivwr check: Panel resp to Book 4?" ;
    attrib KW01                     label="R is married woman age<50 yrs" ;
    attrib KW02                     label="Marital status of respondent" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_kw1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          KW00      1.0
           @28          KW01      1.0
           @29          KW02      1.0
           @30          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KW00         YESNO. ;
    format KW01         YESNO. ;
    format KW02         MARSTAT. ;

*-------------------------------------------*
* MODULE b3a_kw2
*-------------------------------------------*;
data b3a_kw2 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib KW12A    length= $10.0   label="What was the form of dowry ?" ;
    attrib KW12BX                   label="Currency dowry (Able ans?)" ;
    attrib KW12B                    label="Value of dowry" ;
    attrib KW13A    length= $10.0   label="Non consumed form of dowry?" ;
    attrib KW13BX                   label="Currency nc dowry (Able ans?)" ;
    attrib KW13B                    label="Value of nc dowry" ;
    attrib KW14X                    label="Currency tot assets (Able ans?)" ;
    attrib KW14                     label="Tot assets before marriage" ;
    attrib KW14A                    label="Did you move after your weddng" ;
    attrib KW14BAX                  label="Name village given" ;
    attrib KW14BBX                  label="Name kecamatan given" ;
    attrib KW14BCX                  label="Name kabupaten given" ;
    attrib KW14BDX                  label="Name province given" ;
    attrib KW14CX                   label="How long reside @1st resid? (units)" ;
    attrib KW14C                    label="How long reside @1st res after wedding?" ;
    attrib KW14D                    label="Did your spouse change residence?" ;
    attrib KW14E                    label="Start to live together ?" ;
    attrib KW14FX                   label="Time married before live togeth (units)" ;
    attrib KW14F                    label="Time after wedding start live together?" ;
    attrib KW14G    length= $9.0    label="Who else lived in the house ?" ;
    attrib KW03                     label="How many times have you been married? la" ;
    attrib KW04                     label="Who chose your husband?" ;
    attrib KW05                     label="Intv check sex" ;
    attrib KW06                     label="Do you have more than 1 wife" ;
    attrib KW09X                    label="Total number of marriages" ;
    attrib KW23AX                   label="Ideal number of children (Able ans)" ;
    attrib KW23A                    label="Ideal number of children" ;
    attrib KW23                     label="Intv note sex/marr stat" ;
    attrib KW24                     label="Can conceive a child w/spouse?" ;
    attrib KW25                     label="Do you want another child?" ;
    attrib KW26X                    label="How many children (Able ans)" ;
    attrib KW26                     label="How many children do you want?" ;
    attrib KW27AX                   label="# additional sons (Able ans)" ;
    attrib KW27A                    label="# of additional sons wanted" ;
    attrib KW27BX                   label="# additional daughters (Able ans)" ;
    attrib KW27B                    label="# of addit'l daughters wanted" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_kw2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          KW12A     $CHAR10.0
           @37          KW12BX    2.0
           @39          KW12B     7.0
           @46          KW13A     $CHAR10.0
           @56          KW13BX    2.0
           @58          KW13B     8.0
           @66          KW14X     2.0
           @68          KW14      9.0
           @77          KW14A     1.0
           @78          KW14BAX   1.0
           @79          KW14BBX   1.0
           @80          KW14BCX   1.0
           @81          KW14BDX   1.0
           @82          KW14CX    2.0
           @84          KW14C     2.0
           @86          KW14D     1.0
           @87          KW14E     1.0
           @88          KW14FX    2.0
           @90          KW14F     2.0
           @92          KW14G     $CHAR9.0
           @101         KW03      2.0
           @103         KW04      1.0
           @104         KW05      1.0
           @105         KW06      1.0
           @106         KW09X     2.0
           @108         KW23AX    1.0
           @109         KW23A     2.0
           @111         KW23      1.0
           @112         KW24      1.0
           @113         KW25      1.0
           @114         KW26X     1.0
           @115         KW26      2.0
           @117         KW27AX    1.0
           @118         KW27A     2.0
           @120         KW27BX    1.0
           @121         KW27B     1.0
           @122         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KW12BX       RUPCURR. ;
    format KW13BX       RUPCURR. ;
    format KW14X        RUPCURR. ;
    format KW14A        KW14A. ;
    format KW14BAX      ANS_GIVN. ;
    format KW14BBX      ANS_GIVN. ;
    format KW14BCX      ANS_GIVN. ;
    format KW14BDX      ANS_GIVN. ;
    format KW14CX       TUNIT. ;
    format KW14D        YESNO. ;
    format KW14E        YESNO. ;
    format KW14FX       TUNIT. ;
    format KW03         COUNT. ;
    format KW04         KW04_. ;
    format KW05         SEX. ;
    format KW06         YESNO. ;
    format KW09X        COUNT. ;
    format KW23AX       KW23AX. ;
    format KW23A        KW23A. ;
    format KW23         KW23_. ;
    format KW24         YESNO. ;
    format KW25         YESNO. ;
    format KW26X        KW23AX. ;
    format KW26         KW23A. ;
    format KW27AX       KW23AX. ;
    format KW27A        KW23A. ;
    format KW27BX       KW23AX. ;
    format KW27B        KW23A. ;

*-------------------------------------------*
* MODULE b3a_kw3
*-------------------------------------------*;
data b3a_kw3 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib KWN                      label="Marriage number" ;
    attrib KW10X                    label="When did you get married (able ans)" ;
    attrib KW10MTH                  label="When did you get married-mnth?" ;
    attrib KW10YR                   label="When did you get married-year?" ;
    attrib KW11X                    label="Age when you got married (able ans)" ;
    attrib KW11                     label="Age when you got married" ;
    attrib KW16                     label="Current status of the marriage" ;
    attrib KW17                     label="Your spouse lives in this hh?" ;
    attrib KW17A                    label="Spouse in HH" ;
    attrib KW17A1                   label="Line number of spouse in HH" ;
    attrib KW18X                    label="When did the marriage end (able ans)" ;
    attrib KW18MTH                  label="When did the marriage end-mnth" ;
    attrib KW18YR                   label="When did the marriage end-year" ;
    attrib KW19X                    label="Age when marriage ended (able ans)" ;
    attrib KW19                     label="Age when marriage ended" ;
    attrib KW20                     label="Spouses highest level of educ?" ;
    attrib KW21                     label="Highest grade spouse completed" ;
    attrib KW22X                    label="Interviewer check (panel) ?" ;
    attrib KW22A                    label="Intvw check (marr before 92)" ;
    attrib KW22B                    label="Intvw check (other marriage)" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_kw3 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          KWN       2.0
           @29          KW10X     1.0
           @30          KW10MTH   2.0
           @32          KW10YR    4.0
           @36          KW11X     1.0
           @37          KW11      2.0
           @39          KW16      1.0
           @40          KW17      1.0
           @41          KW17A     1.0
           @42          KW17A1    2.0
           @44          KW18X     1.0
           @45          KW18MTH   2.0
           @47          KW18YR    4.0
           @51          KW19X     1.0
           @52          KW19      2.0
           @54          KW20      2.0
           @56          KW21      2.0
           @58          KW22X     1.0
           @59          KW22A     1.0
           @60          KW22B     1.0
           @61          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KWN          KWN. ;
    format KW10X        MTHYR. ;
    format KW11X        ANS_GIVN. ;
    format KW16         MARSTAT. ;
    format KW17         YESNO. ;
    format KW17A        KW17A. ;
    format KW18X        MTHYR. ;
    format KW19X        ANS_GIVN. ;
    format KW20         EDLEV. ;
    format KW21         EDGRD. ;
    format KW22X        PANEW. ;
    format KW22A        KW22A. ;
    format KW22B        KW22B. ;

*-------------------------------------------*
* MODULE b3a_br
*-------------------------------------------*;
data b3a_br ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BR00X                    label="Interviewer check (Panel?New)?" ;
    attrib BR01                     label="Have you ever given birth?" ;
    attrib BR02                     label="Any biological children live w/you?" ;
    attrib BR03                     label="# biological sons living w/you" ;
    attrib BR04                     label="# biological daughtrs live w/you" ;
    attrib BR05                     label="Any chldren living elsewhere?" ;
    attrib BR06                     label="# sons living elsewhere" ;
    attrib BR07                     label="# daughters living elswhere" ;
    attrib BR08                     label="Have any of your children died?" ;
    attrib BR09                     label="# sons born alive who have died" ;
    attrib BR10                     label="# daughters born alive who have died" ;
    attrib BR11                     label="Have you ever had a stillbirth?" ;
    attrib BR12                     label="# of stillbirths" ;
    attrib BR13                     label="Have you ever had any miscarriages?" ;
    attrib BR14                     label="# of miscarriages" ;
    attrib BR15                     label="Total number of live births" ;
    attrib BR15K                    label="BR03+04+06+07+09+10=BR15=#live births?" ;
    attrib BR16                     label="Total stillbirths & miscarriages" ;
    attrib BR16K                    label="BR12+14=BR16=#stillbirths+miscarr?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_br  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          BR00X     1.0
           @28          BR01      1.0
           @29          BR02      1.0
           @30          BR03      1.0
           @31          BR04      1.0
           @32          BR05      1.0
           @33          BR06      1.0
           @34          BR07      1.0
           @35          BR08      1.0
           @36          BR09      1.0
           @37          BR10      1.0
           @38          BR11      1.0
           @39          BR12      1.0
           @40          BR13      1.0
           @41          BR14      1.0
           @42          BR15      2.0
           @44          BR15K     1.0
           @45          BR16      1.0
           @46          BR16K     1.0
           @47          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BR00X        BR00X. ;
    format BR01         YESNO. ;
    format BR02         YESNO. ;
    format BR03         COUNT. ;
    format BR04         COUNT. ;
    format BR05         YESNO. ;
    format BR06         COUNT. ;
    format BR07         COUNT. ;
    format BR08         YESNO. ;
    format BR09         COUNT. ;
    format BR10         COUNT. ;
    format BR11         YESNO. ;
    format BR12         COUNT. ;
    format BR13         YESNO. ;
    format BR14         COUNT. ;
    format BR15K        YESNO. ;
    format BR16K        YESNO. ;

*-------------------------------------------*
* MODULE b3a_pk1
*-------------------------------------------*;
data b3a_pk1 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PK00A                    label="Currently married" ;
    attrib PK00B                    label="Spouse reside in HH (past 6 mths)?" ;
    attrib PK01                     label="Do you earn money on a regular basis?" ;
    attrib PK02                     label="Free to spend money" ;
    attrib PK03                     label="Can you spend w/o consulting your spouse" ;
    attrib PK04X                    label="Amount kept for self (Able ans)" ;
    attrib PK04                     label="How much money did you keep for self?" ;
    attrib PK05X                    label="% kept for self (Able ans)" ;
    attrib PK05                     label="What % did you keep for yourself?" ;
    attrib PK06                     label="Estimate % you kept for yourself" ;
    attrib PK07                     label="Does your spouse earn money?" ;
    attrib PK07A                    label="Spouse free to spend money?" ;
    attrib PK07B                    label="Does spouse set aside money for self?" ;
    attrib PK08X                    label="How much spouse keep for self? (Able ans" ;
    attrib PK08                     label="How much money did spouse keep for self?" ;
    attrib PK09X                    label="What % spouse keep for self? (Able ans)" ;
    attrib PK09                     label="What % did spouse keep for self?" ;
    attrib PK10                     label="Estimate % spouse kept for self" ;
    attrib PK12                     label="IVWR CK:Both R & spouse receive money?" ;
    attrib PK13                     label="How regular your income rel to spouse?" ;
    attrib PK14                     label="Comfortable taking money from spouse?" ;
    attrib PK15                     label="Ever take money from spouse wallet?" ;
    attrib PK15A                    label="Spouse be upset if take money from?" ;
    attrib PK16                     label="Comfortable if spouse take money?" ;
    attrib PK17                     label="Spouse ever taken money from you?" ;
    attrib PK17A                    label="Upset if spouse take money from you?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_pk1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PK00A     1.0
           @28          PK00B     1.0
           @29          PK01      1.0
           @30          PK02      1.0
           @31          PK03      1.0
           @32          PK04X     1.0
           @33          PK04      7.0
           @40          PK05X     1.0
           @41          PK05      3.0
           @44          PK06      1.0
           @45          PK07      1.0
           @46          PK07A     1.0
           @47          PK07B     1.0
           @48          PK08X     1.0
           @49          PK08      7.0
           @56          PK09X     1.0
           @57          PK09      3.0
           @60          PK10      1.0
           @61          PK12      1.0
           @62          PK13      1.0
           @63          PK14      1.0
           @64          PK15      1.0
           @65          PK15A     1.0
           @66          PK16      1.0
           @67          PK17      1.0
           @68          PK17A     1.0
           @69          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PK00A        YESNO. ;
    format PK00B        YESNO. ;
    format PK01         YESNO. ;
    format PK02         PK02_. ;
    format PK03         YESNO. ;
    format PK04X        RUPIAH. ;
    format PK05X        RUPIAH. ;
    format PK05         NUM3_. ;
    format PK06         PK06_. ;
    format PK07         YESNO. ;
    format PK07A        PK02_. ;
    format PK07B        YESNO. ;
    format PK08X        RUPIAH. ;
    format PK09X        RUPIAH. ;
    format PK09         NUM3_. ;
    format PK10         PK06_. ;
    format PK12         YESNO. ;
    format PK13         PK13_. ;
    format PK14         PK14_. ;
    format PK15         PK15_. ;
    format PK15A        YESNO. ;
    format PK16         YESNO. ;
    format PK17         PK15_. ;
    format PK17A        YESNO. ;

*-------------------------------------------*
* MODULE b3a_pk2
*-------------------------------------------*;
data b3a_pk2 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PK2TYPE  length= $1.0    label="Decision domain" ;
    attrib PK18     length= $14.0   label="Who makes decision about [...]" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_pk2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PK2TYPE   $CHAR1.0
           @28          PK18      $CHAR14.0
           @42          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PK2TYPE      PK2TYP. ;

*-------------------------------------------*
* MODULE b3a_pk3
*-------------------------------------------*;
data b3a_pk3 ;

    infile inb3a pad lrecl= 309 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PK20A                    label="Was father alive when you married?" ;
    attrib PK20B                    label="Was mother alive when you married?" ;
    attrib PK20C                    label="Father-in-law alive when you married?" ;
    attrib PK20D                    label="Mother-in-law alive when you married?" ;
    attrib PK20AX                   label="IVW CK: Was father alive at marriage?" ;
    attrib PK20BX                   label="IVW CK: Was mother alive at marriage?" ;
    attrib PK20CX                   label="IVW CK: Was father-in-law alive?" ;
    attrib PK20DX                   label="IVW CK: Was mother-in-law alive?" ;
    attrib PK20ABX                  label="IVW CK: Were mother or father alive?" ;
    attrib PK20CDX                  label="IVW CK: Moth- or fath-in-law alive?" ;
    attrib PK3TYPE  length= $1.0    label="Characteristic compared (row of table)" ;
    attrib PK21                     label="Parent status rel to parents-in-law?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3a_pk3 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PK20A     1.0
           @28          PK20B     1.0
           @29          PK20C     1.0
           @30          PK20D     1.0
           @31          PK20AX    1.0
           @32          PK20BX    1.0
           @33          PK20CX    1.0
           @34          PK20DX    1.0
           @35          PK20ABX   1.0
           @36          PK20CDX   1.0
           @37          PK3TYPE   $CHAR1.0
           @38          PK21      1.0
           @39          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PK20A        YESNO. ;
    format PK20B        YESNO. ;
    format PK20C        YESNO. ;
    format PK20D        YESNO. ;
    format PK20AX       YESNO. ;
    format PK20BX       YESNO. ;
    format PK20CX       YESNO. ;
    format PK20DX       YESNO. ;
    format PK20ABX      YESNO. ;
    format PK20CDX      YESNO. ;
    format PK3TYPE      PK3TYP. ;
    format PK21         PK21_. ;


*===========================================*
* BOOK b3b
*===========================================*;

*-------------------------------------------*
* MODULE b3b_cov
*-------------------------------------------*;
data b3b_cov ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib EDITOR   length= $3.0    label="Editor" ;
    attrib IDIVWR   length= $3.0    label="Interviewer" ;
    attrib PANEL                    label="Respondent is in panel or new" ;
    attrib RSPNDNT                  label="Respondent position" ;
    attrib AGE                      label="Respondent's age in years" ;
    attrib MARSTAT                  label="Marital status" ;
    attrib SEX                      label="Sex" ;
    attrib NUMVIS                   label="Number of visits" ;
    attrib IVWDAY1                  label="Date of 1st interview: day" ;
    attrib IVWMTH1                  label="Date of 1st interview: month" ;
    attrib IVWYR1                   label="Date of 1st interview: year" ;
    attrib BEGHR1                   label="Time 1st interview began (hour)" ;
    attrib BEGMIN1                  label="Time 1st interview began (minute)" ;
    attrib ENDHR1                   label="Time 1st interview ended (hour)" ;
    attrib ENDMIN1                  label="Time 1st interview ended (minute)" ;
    attrib IVWDAY2                  label="Date of 2nd interview: day" ;
    attrib IVWMTH2                  label="Date of 2nd interview: month" ;
    attrib IVWYR2                   label="Date of 2nd interview: year" ;
    attrib BEGHR2                   label="Time 2nd interview began (hour)" ;
    attrib BEGMIN2                  label="Time 2nd interview began (minute)" ;
    attrib ENDHR2                   label="Time 2nd interview ended (hour)" ;
    attrib ENDMIN2                  label="Time 2nd interview ended (minute)" ;
    attrib IVWDAY3                  label="Date of 3rd interview: day" ;
    attrib IVWMTH3                  label="Date of 3rd interview: month" ;
    attrib IVWYR3                   label="Date of 3rd interview: year" ;
    attrib BEGHR3                   label="Time 3rd interview began (hour)" ;
    attrib BEGMIN3                  label="Time 3rd interview began (minute)" ;
    attrib ENDHR3                   label="Time 3rd interview ended (hour)" ;
    attrib ENDMIN3                  label="Time 3rd interview ended (minute)" ;
    attrib LANGMAIN                 label="Main language of interview" ;
    attrib LANGOTHR                 label="Other language of interview if any" ;
    attrib RESULT                   label="Result of interview" ;
    attrib REASON                   label="Reason interview not completed" ;
    attrib EDIT_CK                  label="Result of editor checks" ;
    attrib SUP_OBS                  label="Supervisor observed ivw?" ;
    attrib SUP_EDIT                 label="Supervisor checked edits?" ;
    attrib DOB_DAY                  label="Date of birth (day)" ;
    attrib DOB_MTH                  label="Date of birth (month)" ;
    attrib DOB_YR                   label="Date of birth (year)" ;
    attrib CP1      length= $6.0    label="Who else present during interview?" ;
    attrib CP2                      label="Ivwr eval of accuracy of Resp answers" ;
    attrib CP3                      label="Ivwr eval of serious/attentiveness of R" ;
    attrib CP4      length= $60.0   label="Qs R found difficlt/embarassng/confusing" ;
    attrib CP5      length= $60.0   label="Qs ivwr found diffic/embarassng/confusng" ;
    attrib CP6      length= $60.0   label="Qs in which Resp seem interested" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_cov " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          EDITOR    $CHAR3.0
           @30          IDIVWR    $CHAR3.0
           @33          PANEL     1.0
           @34          RSPNDNT   1.0
           @35          AGE       2.0
           @37          MARSTAT   1.0
           @38          SEX       1.0
           @39          NUMVIS    1.0
           @40          IVWDAY1   2.0
           @42          IVWMTH1   2.0
           @44          IVWYR1    4.0
           @48          BEGHR1    2.0
           @50          BEGMIN1   2.0
           @52          ENDHR1    2.0
           @54          ENDMIN1   2.0
           @56          IVWDAY2   2.0
           @58          IVWMTH2   2.0
           @60          IVWYR2    4.0
           @64          BEGHR2    2.0
           @66          BEGMIN2   2.0
           @68          ENDHR2    2.0
           @70          ENDMIN2   2.0
           @72          IVWDAY3   2.0
           @74          IVWMTH3   2.0
           @76          IVWYR3    4.0
           @80          BEGHR3    2.0
           @82          BEGMIN3   2.0
           @84          ENDHR3    2.0
           @86          ENDMIN3   2.0
           @88          LANGMAIN  2.0
           @90          LANGOTHR  2.0
           @92          RESULT    1.0
           @93          REASON    1.0
           @94          EDIT_CK   1.0
           @95          SUP_OBS   1.0
           @96          SUP_EDIT  1.0
           @97          DOB_DAY   2.0
           @99          DOB_MTH   2.0
           @101         DOB_YR    4.0
           @105         CP1       $CHAR6.0
           @111         CP2       1.0
           @112         CP3       1.0
           @113         CP4       $CHAR60.0
           @173         CP5       $CHAR60.0
           @233         CP6       $CHAR60.0
           @293         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PANEL        PANEW. ;
    format RSPNDNT      RSPNDNT. ;
    format AGE          AGE. ;
    format MARSTAT      MARSTAT. ;
    format SEX          SEX. ;
    format NUMVIS       COUNT. ;
    format IVWMTH1      MTH. ;
    format IVWYR1       YR. ;
    format IVWMTH2      MTH. ;
    format IVWYR2       YR. ;
    format IVWMTH3      MTH. ;
    format IVWYR3       YR. ;
    format LANGMAIN     LANGDET. ;
    format LANGOTHR     LANGDET. ;
    format RESULT       RES_IVW. ;
    format REASON       REASON. ;
    format EDIT_CK      EDITST. ;
    format SUP_OBS      YESNO. ;
    format SUP_EDIT     YESNO. ;
    format CP2          CP23_. ;
    format CP3          CP23_. ;

*-------------------------------------------*
* MODULE b3b_km
*-------------------------------------------*;
data b3b_km ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib KM01A                    label="Have you ever had a tobacco habit" ;
    attrib KM01B                    label="Ever had chewing tobacco habit" ;
    attrib KM01C                    label="Ever had a pipe smoking habit" ;
    attrib KM01D                    label="Ever had self-rolld cigs habit" ;
    attrib KM01E                    label="Ever had cigarette/cigar habit" ;
    attrib KM02                     label="Int note: km01d=1 or km01e=1" ;
    attrib KM03     length= $5.0    label="Type of cigarettes you smoke?" ;
    attrib KM04                     label="Still have habit or have quit" ;
    attrib KM05X                    label="Quit habit how long ago (able ans/units)" ;
    attrib KM05                     label="Amnt of time since quit habit" ;
    attrib KM05A                    label="Int check: km01b=1 or km01c=1" ;
    attrib KM06X                    label="How much did u consume b4 quit" ;
    attrib KM06                     label="# Ons (100gr) tobacco per week" ;
    attrib KM07                     label="Int check: km01d=1 or km01e=1" ;
    attrib KM08X                    label="Cigar consumption (able ans)" ;
    attrib KM08                     label="Cigar consumption, per day" ;
    attrib KM09X                    label="Cost of tobacco products (able ans)" ;
    attrib KM09                     label="Cost of tobacco products, Rp" ;
    attrib KM10X                    label="Age when started smoking (able ans)" ;
    attrib KM10                     label="Age when started smoking" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_km  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          KM01A     1.0
           @28          KM01B     1.0
           @29          KM01C     1.0
           @30          KM01D     1.0
           @31          KM01E     1.0
           @32          KM02      1.0
           @33          KM03      $CHAR5.0
           @38          KM04      1.0
           @39          KM05X     2.0
           @41          KM05      2.0
           @43          KM05A     1.0
           @44          KM06X     1.0
           @45          KM06      5.2
           @50          KM07      1.0
           @51          KM08X     1.0
           @52          KM08      5.2
           @57          KM09X     1.0
           @58          KM09      6.0
           @64          KM10X     1.0
           @65          KM10      2.0
           @67          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KM01A        YESNO. ;
    format KM01B        YESNO. ;
    format KM01C        YESNO. ;
    format KM01D        YESNO. ;
    format KM01E        YESNO. ;
    format KM02         YESNO. ;
    format KM04         KM04_. ;
    format KM05X        TUNIT. ;
    format KM05A        YESNO. ;
    format KM06X        ANS_GIVN. ;
    format KM07         YESNO. ;
    format KM08X        ANS_GIVN. ;
    format KM09X        ANS_GIVN. ;
    format KM10X        ANS_GIVN. ;

*-------------------------------------------*
* MODULE b3b_kk
*-------------------------------------------*;
data b3b_kk ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib KK01                     label="Generally how is your health?" ;
    attrib KK02AX                   label="Days missed activities (able ans)" ;
    attrib KK02A                    label="Days prim activities missed, past 4 wks" ;
    attrib KK02BX                   label="Days in bed past 4 wks (able ans)" ;
    attrib KK02B                    label="Days in bed past 4 wks from sickness" ;
    attrib KK02C                    label="Health comparison to 4 yrs ago" ;
    attrib KK02D    length= $140.017label="Why has health changed during past 4 yrs" ;
    attrib KK02E                    label="Serious illness last 4 years" ;
    attrib KK02FA   length= $80.0   label="Serious illness: A" ;
    attrib KK02GAMX                 label="Mth illness started (able ans): A" ;
    attrib KK02GAMT                 label="Month serious illness started" ;
    attrib KK02GAYX                 label="Year illness started (able ans): A" ;
    attrib KK02GAYR                 label="Year serious illness started" ;
    attrib KK02HAX                  label="Illness length (able ans/units): A" ;
    attrib KK02HA                   label="Illness duration: A" ;
    attrib KK02FB   length= $80.0   label="Serious illness: B" ;
    attrib KK02GBMX                 label="Mth illness started (able ans): B" ;
    attrib KK02GBMT                 label="Month serious illness started" ;
    attrib KK02GBYX                 label="Year illness started (able ans): B" ;
    attrib KK02GBYR                 label="Year serious illness started" ;
    attrib KK02HBX                  label="Illness length (able ans/units): B" ;
    attrib KK02HB                   label="Illness duration: B" ;
    attrib KK02FC   length= $80.0   label="Serious illness: C" ;
    attrib KK02GCMX                 label="Mth illness started (able ans): C" ;
    attrib KK02GCMT                 label="Month serious illness started" ;
    attrib KK02GCYX                 label="Year illness started (able ans): C" ;
    attrib KK02GCYR                 label="Year serious illness started" ;
    attrib KK02HCX                  label="Illness length (able ans/units): C" ;
    attrib KK02HC                   label="Illness duration: C" ;
    attrib KK03A                    label="Could you carry water pail 20 meters" ;
    attrib KK03C                    label="Could you walk for 5 kms" ;
    attrib KK03E                    label="Could you bow, squat & kneel" ;
    attrib KK03B                    label="Could you sweep house floor yard" ;
    attrib KK03D                    label="Could you draw pail of water from well" ;
    attrib KK03F                    label="Could you dress without help" ;
    attrib KK03G                    label="Could you stand from sitting on chair" ;
    attrib KK03H                    label="Could you got to bathroom unassisted" ;
    attrib KK03I                    label="Could you stand from sitting on floor" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_kk  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          KK01      1.0
           @28          KK02AX    1.0
           @29          KK02A     2.0
           @31          KK02BX    1.0
           @32          KK02B     2.0
           @34          KK02C     1.0
           @35          KK02D     $CHAR140.
           @175         KK02E     1.0
           @176         KK02FA    $CHAR80.0
           @256         KK02GAMX  1.0
           @257         KK02GAMT  2.0
           @259         KK02GAYX  1.0
           @260         KK02GAYR  4.0
           @264         KK02HAX   2.0
           @266         KK02HA    2.0
           @268         KK02FB    $CHAR80.0
           @348         KK02GBMX  1.0
           @349         KK02GBMT  2.0
           @351         KK02GBYX  1.0
           @352         KK02GBYR  4.0
           @356         KK02HBX   2.0
           @358         KK02HB    2.0
           @360         KK02FC    $CHAR80.0
           @440         KK02GCMX  1.0
           @441         KK02GCMT  2.0
           @443         KK02GCYX  1.0
           @444         KK02GCYR  4.0
           @448         KK02HCX   2.0
           @450         KK02HC    2.0
           @452         KK03A     1.0
           @453         KK03C     1.0
           @454         KK03E     1.0
           @455         KK03B     1.0
           @456         KK03D     1.0
           @457         KK03F     1.0
           @458         KK03G     1.0
           @459         KK03H     1.0
           @460         KK03I     1.0
           @461         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KK01         KK01_. ;
    format KK02AX       ANS_GIVN. ;
    format KK02BX       ANS_GIVN. ;
    format KK02C        KK02C. ;
    format KK02E        YESNO. ;
    format KK02GAMX     ANS_GIVN. ;
    format KK02GAMT     MTH. ;
    format KK02GAYX     ANS_GIVN. ;
    format KK02HAX      KK02HAX. ;
    format KK02GBMX     ANS_GIVN. ;
    format KK02GBMT     MTH. ;
    format KK02GBYX     ANS_GIVN. ;
    format KK02HBX      KK02HAX. ;
    format KK02GCMX     ANS_GIVN. ;
    format KK02GCMT     MTH. ;
    format KK02GCYX     ANS_GIVN. ;
    format KK02HCX      KK02HAX. ;
    format KK03A        KK03_. ;
    format KK03C        KK03_. ;
    format KK03E        KK03_. ;
    format KK03B        KK03_. ;
    format KK03D        KK03_. ;
    format KK03F        KK03_. ;
    format KK03G        KK03_. ;
    format KK03H        KK03_. ;
    format KK03I        KK03_. ;

*-------------------------------------------*
* MODULE b3b_ak
*-------------------------------------------*;
data b3b_ak ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $9.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib AK01                     label="Do you receive/have health benefits?" ;
    attrib AKTYPE   length= $1.0    label="Benefit Type" ;
    attrib AK02                     label="Do your benefits include [...]?" ;
    attrib AK03X                    label="When did benefit begin? (able ans)" ;
    attrib AK03                     label="When did benefit begin?" ;
    attrib AK04     length= $4.0    label="Does benefit cover outpatients" ;
    attrib AK05     length= $7.0    label="Who else this HH cover benefit" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ak  " then input;
      else do; 
       input
           @9           HHID97    $CHAR9.0
           @18          PID97     2.0
           @20          PIDLINK   $CHAR9.0
           @29          AK01      1.0
           @30          AKTYPE    $CHAR1.0
           @31          AK02      1.0
           @32          AK03X     1.0
           @33          AK03      4.0
           @37          AK04      $CHAR4.0
           @41          AK05      $CHAR7.0
           @48          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format AK01         YESNO. ;
    format AKTYPE       AKTYPE. ;
    format AK02         YESNO. ;
    format AK03X        ANS_GIVN. ;

*-------------------------------------------*
* MODULE b3b_ma1
*-------------------------------------------*;
data b3b_ma1 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib MATYPE   length= $2.0    label="Type of Symptom" ;
    attrib MA01                     label="Have you suffered from [...] in last 4 w" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ma1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          MATYPE    $CHAR2.0
           @29          MA01      1.0
           @30          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format MATYPE       MATYPE. ;
    format MA01         YESNO. ;

*-------------------------------------------*
* MODULE b3b_ma2
*-------------------------------------------*;
data b3b_ma2 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib MA07                     label="Respondent < 50 check" ;
    attrib MA08A                    label="Get up to urinate during night" ;
    attrib MA08B                    label="Wound takes long to heal" ;
    attrib MA08C                    label="Pain on left side of chest" ;
    attrib MA08D                    label="Chest pains climbing hills" ;
    attrib MA08E                    label="Chest pains walking fast" ;
    attrib MA08F                    label="Headache when waking up" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ma2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          MA07      1.0
           @28          MA08A     1.0
           @29          MA08B     1.0
           @30          MA08C     1.0
           @31          MA08D     1.0
           @32          MA08E     1.0
           @33          MA08F     1.0
           @34          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format MA07         MA07_. ;
    format MA08A        YESNO. ;
    format MA08B        YESNO. ;
    format MA08C        YESNO. ;
    format MA08D        YESNO. ;
    format MA08E        YESNO. ;
    format MA08F        YESNO. ;

*-------------------------------------------*
* MODULE b3b_ps
*-------------------------------------------*;
data b3b_ps ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PSTYPE   length= $1.0    label="Type of self treatment" ;
    attrib PS01                     label="Did you use [...] in past 4 wks?" ;
    attrib PS02X                    label="Cost of self treatment (able ans)" ;
    attrib PS02                     label="Cost of self treatment" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ps  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PSTYPE    $CHAR1.0
           @28          PS01      1.0
           @29          PS02X     1.0
           @30          PS02      7.0
           @37          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PSTYPE       PSTYPE. ;
    format PS01         YESNO. ;
    format PS02X        RUPIAH. ;

*-------------------------------------------*
* MODULE b3b_rj1
*-------------------------------------------*;
data b3b_rj1 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RJ00                     label="Outpatient care past 4 wks" ;
    attrib RJ_NUM                   label="Total # outpatient care visits" ;
    attrib RJ1TYPE  length= $1.0    label="Outpatient care facility/svc" ;
    attrib RJ01                     label="Visit/see [..] past 4 wks" ;
    attrib RJ02                     label="# of visits past 4 wks" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_rj1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RJ00      1.0
           @28          RJ_NUM    2.0
           @30          RJ1TYPE   $CHAR1.0
           @31          RJ01      1.0
           @32          RJ02      2.0
           @34          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RJ00         YESNO. ;
    format RJ_NUM       COUNT. ;
    format RJ1TYPE      RJTYPE. ;
    format RJ01         YESNO. ;
    format RJ02         NUM2_. ;

*-------------------------------------------*
* MODULE b3b_rj2
*-------------------------------------------*;
data b3b_rj2 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RJ2TYPE                  label="Visit number" ;
    attrib RJ05A    length= $1.0    label="Facility type" ;
    attrib RJ06AX                   label="Facility village (able ans)" ;
    attrib RJ06BX                   label="Facility kecamatan (able ans)" ;
    attrib RJ06CX                   label="Facility kabupaten (able ans)" ;
    attrib RJ06DX                   label="Facility province (able ans)" ;
    attrib RJ08     length= $9.0    label="Purpose of visit" ;
    attrib RJ09                     label="First or follow-up visit" ;
    attrib RJ10A                    label="Treated by sole practitioner?" ;
    attrib RJ10                     label="Home visit" ;
    attrib RJ11X                    label="Distance traveled (able ans)" ;
    attrib RJ11                     label="Distance traveled, kilometers" ;
    attrib RJ12X                    label="Travel time (units/able ans)" ;
    attrib RJ12                     label="One-way travel time" ;
    attrib RJ14X                    label="Transport cost (able ans)" ;
    attrib RJ14                     label="Transport cost, Rp" ;
    attrib RJ15X                    label="Waiting time (units/able ans)" ;
    attrib RJ15                     label="Waiting time" ;
    attrib RJ17     length= $9.0    label="Treatment type received" ;
    attrib RJ20X                    label="Prescription cost (able ans)" ;
    attrib RJ20                     label="Prescription cost, Rp" ;
    attrib RJ21X                    label="Treatment cost-excl Rx (able ans)" ;
    attrib RJ21                     label="Treatment cost-excl Rx, Rp" ;
    attrib RJ22                     label="Any in-kind payment" ;
    attrib RJ23X                    label="In-kind pymt value (able ans)" ;
    attrib RJ23                     label="In-kind pymt value, Rp" ;
    attrib RJ24                     label="Int. check - Other visits" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_rj2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RJ2TYPE   2.0
           @29          RJ05A     $CHAR1.0
           @30          RJ06AX    1.0
           @31          RJ06BX    1.0
           @32          RJ06CX    1.0
           @33          RJ06DX    1.0
           @34          RJ08      $CHAR9.0
           @43          RJ09      1.0
           @44          RJ10A     1.0
           @45          RJ10      1.0
           @46          RJ11X     1.0
           @47          RJ11      7.3
           @54          RJ12X     2.0
           @56          RJ12      2.0
           @58          RJ14X     1.0
           @59          RJ14      5.0
           @64          RJ15X     2.0
           @66          RJ15      2.0
           @68          RJ17      $CHAR9.0
           @77          RJ20X     1.0
           @78          RJ20      6.0
           @84          RJ21X     1.0
           @85          RJ21      7.0
           @92          RJ22      1.0
           @93          RJ23X     1.0
           @94          RJ23      5.0
           @99          RJ24      1.0
           @100         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RJ2TYPE      COUNT. ;
    format RJ05A        RJTYPE. ;
    format RJ06AX       ANS_LOCN. ;
    format RJ06BX       ANS_LOCN. ;
    format RJ06CX       ANS_LOCN. ;
    format RJ06DX       ANS_LOCN. ;
    format RJ09         RJ09_. ;
    format RJ10A        YESNO. ;
    format RJ10         YESNO. ;
    format RJ11X        RUPIAH. ;
    format RJ12X        TUNIT. ;
    format RJ14X        RUPIAH. ;
    format RJ15X        TUNIT. ;
    format RJ20X        RJ20X. ;
    format RJ21X        RUPIAH. ;
    format RJ22         YESNO. ;
    format RJ23X        RUPIAH. ;
    format RJ24         YESNO. ;

*-------------------------------------------*
* MODULE b3b_rn1
*-------------------------------------------*;
data b3b_rn1 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RN00                     label="Hospitalized in past 12 mos" ;
    attrib RN_NUM                   label="Total hospitalizations" ;
    attrib RN1TYPE  length= $1.0    label="Inpatient facility type" ;
    attrib RN01                     label="Hosp at [..] past 12 mos" ;
    attrib RN02                     label="# of hosp at [..] past 12 mos" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_rn1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RN00      1.0
           @28          RN_NUM    1.0
           @29          RN1TYPE   $CHAR1.0
           @30          RN01      1.0
           @31          RN02      1.0
           @32          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RN00         YESNO. ;
    format RN_NUM       COUNT. ;
    format RN1TYPE      RNTYPE. ;
    format RN01         YESNO. ;
    format RN02         NUM2_. ;

*-------------------------------------------*
* MODULE b3b_rn2
*-------------------------------------------*;
data b3b_rn2 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RN2TYPE                  label="Visit number" ;
    attrib RN05A    length= $1.0    label="Facility type" ;
    attrib RN06AX                   label="Facility vill (able ans)" ;
    attrib RN06BX                   label="Facility kec (able ans)" ;
    attrib RN06CX                   label="Facility kab (able ans)" ;
    attrib RN06DX                   label="Facility prov (able ans)" ;
    attrib RN08                     label="Nights in hospital" ;
    attrib RN10                     label="Reason for hospitalization" ;
    attrib RN15     length= $8.0    label="Treatments received" ;
    attrib RN18X                    label="Prescription cost (able ans)" ;
    attrib RN18                     label="Prescription cost, Rp" ;
    attrib RN19X                    label="Hosp treatment cost (able ans)" ;
    attrib RN19                     label="Hosp treatment cost, Rp" ;
    attrib RN20                     label="Int. check - Other visits?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_rn2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RN2TYPE   1.0
           @28          RN05A     $CHAR1.0
           @29          RN06AX    1.0
           @30          RN06BX    1.0
           @31          RN06CX    1.0
           @32          RN06DX    1.0
           @33          RN08      3.0
           @36          RN10      1.0
           @37          RN15      $CHAR8.0
           @45          RN18X     1.0
           @46          RN18      7.0
           @53          RN19X     1.0
           @54          RN19      8.0
           @62          RN20      1.0
           @63          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RN2TYPE      COUNT. ;
    format RN05A        RNTYPE. ;
    format RN06AX       ANS_LOCN. ;
    format RN06BX       ANS_LOCN. ;
    format RN06CX       ANS_LOCN. ;
    format RN06DX       ANS_LOCN. ;
    format RN10         RN10_. ;
    format RN18X        RJ20X. ;
    format RN19X        RUPIAH. ;
    format RN20         YESNO. ;

*-------------------------------------------*
* MODULE b3b_pm1
*-------------------------------------------*;
data b3b_pm1 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PM01                     label="Do you participate arisan ?" ;
    attrib PM01A                    label="Interviewer check: sex" ;
    attrib PM1TYPE                  label="Type of arisan-row in grid" ;
    attrib PM02X    length= $1.0    label="Type of arisan" ;
    attrib PM02                     label="Do you participate in [..] arisan?" ;
    attrib PM03X                    label="Enter how often meet?" ;
    attrib PM03                     label="How often does [..] arisan meet?" ;
    attrib PM04X                    label="Enter value of money" ;
    attrib PM04                     label="How much money did U pay ?" ;
    attrib PM05X                    label="How long did you receive money?(Able ans" ;
    attrib PM05                     label="Length of time received money" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_pm1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PM01      1.0
           @28          PM01A     1.0
           @29          PM1TYPE   1.0
           @30          PM02X     $CHAR1.0
           @31          PM02      1.0
           @32          PM03X     2.0
           @34          PM03      2.0
           @36          PM04X     1.0
           @37          PM04      7.0
           @44          PM05X     2.0
           @46          PM05      3.0
           @49          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PM01         YESNO. ;
    format PM01A        SEX. ;
    format PM1TYPE      COUNT. ;
    format PM02X        PM02X. ;
    format PM02         YESNO. ;
    format PM03X        TUNIT. ;
    format PM04X        RUPIAH. ;
    format PM05X        TUNIT. ;

*-------------------------------------------*
* MODULE b3b_pm2
*-------------------------------------------*;
data b3b_pm2 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PM06                     label="Do you know a place to borrow money?" ;
    attrib PM07     length= $7.0    label="What type of place is it ?" ;
    attrib PM08                     label="You ever borrowed money ?" ;
    attrib PM09     length= $7.0    label="Place borrowed money from" ;
    attrib PM10     length= $80.0   label="What did you use money for?" ;
    attrib PM11X                    label="Enter the value of money" ;
    attrib PM11                     label="How much did you borrow" ;
    attrib PM12X                    label="Amount to repay" ;
    attrib PM12                     label="Amount to repay" ;
    attrib PM13X                    label="Percentage interest owed" ;
    attrib PM13                     label="Percent interest on loan" ;
    attrib PM14X                    label="Enter time to repay loan" ;
    attrib PM14YR                   label="Years to repay loan" ;
    attrib PM14MTH                  label="Months to repay loan" ;
    attrib PM20                     label="Sex of respondent" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_pm2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PM06      1.0
           @28          PM07      $CHAR7.0
           @35          PM08      1.0
           @36          PM09      $CHAR7.0
           @43          PM10      $CHAR80.0
           @123         PM11X     1.0
           @124         PM11      9.0
           @133         PM12X     1.0
           @134         PM12      9.0
           @143         PM13X     1.0
           @144         PM13      3.0
           @147         PM14X     1.0
           @148         PM14YR    2.0
           @150         PM14MTH   3.0
           @153         PM20      1.0
           @154         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PM06         YESNO. ;
    format PM08         PM08_. ;
    format PM11X        RUPIAH. ;
    format PM12X        RUPIAH. ;
    format PM13X        PM13X. ;
    format PM14X        ANS_GIVN. ;
    format PM20         SEX. ;

*-------------------------------------------*
* MODULE b3b_pm3
*-------------------------------------------*;
data b3b_pm3 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PM3TYPE  length= $1.0    label="Type of activity" ;
    attrib PM15                     label="Does [...] activity occur ?" ;
    attrib PM16                     label="Did you participate in or use [..]?" ;
    attrib PM17X                    label="Amt time you spent on [..]? (Able ans)" ;
    attrib PM17                     label="Amt time spent on [..]" ;
    attrib PM18X                    label="Did you receive any benefit? (Able ans)" ;
    attrib PM18                     label="Amt of benefit from [..]" ;
    attrib PM19     length= $4.0    label="Did U receive any benefit [..]" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_pm3 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PM3TYPE   $CHAR1.0
           @28          PM15      1.0
           @29          PM16      1.0
           @30          PM17X     2.0
           @32          PM17      3.0
           @35          PM18X     1.0
           @36          PM18      7.0
           @43          PM19      $CHAR4.0
           @47          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PM3TYPE      PMTYPE. ;
    format PM15         YESNO. ;
    format PM16         YESNO. ;
    format PM17X        PM17X. ;
    format PM18X        RUPIAH. ;

*-------------------------------------------*
* MODULE b3b_ba0
*-------------------------------------------*;
data b3b_ba0 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $9.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BA04P                    label="Does father live in this HH?" ;
    attrib BA04M                    label="Does mother live in this HH?" ;
    attrib BA04APX                  label="Ivwr check: Does father live in HH?" ;
    attrib BA04AMX                  label="Ivwr check: Does mother live in HH?" ;
    attrib BA04AP                   label="Line number of father in HH roster" ;
    attrib BA04AM                   label="Line number of mother in HH roster" ;
    attrib BA05P                    label="Is your father still alive?" ;
    attrib BA05M                    label="Is your mother still alive?" ;
    attrib BA06AP                   label="Was father alive 12 months ago?" ;
    attrib BA06AM                   label="Was mother alive 12 months ago?" ;
    attrib BA06BP                   label="How often do you see father?" ;
    attrib BA06BM                   label="How often do you see mother?" ;
    attrib BA06CP                   label="Iwvr Check:Father still alive?" ;
    attrib BA06CM                   label="Iwvr Check:mother still alive?" ;
    attrib BA06DPX                  label="When did father die? (Able answer)" ;
    attrib BA06DMX                  label="When did mother die? (Able answer)" ;
    attrib BA06DYRP                 label="Year of father's death" ;
    attrib BA06DYRM                 label="Year of mother's death" ;
    attrib BA06DMTP                 label="Month of father's death" ;
    attrib BA06DMTM                 label="Month of mother's death" ;
    attrib BA07PX                   label="Age of father at death/now (Able ans)" ;
    attrib BA07MX                   label="Age of mother at death/now (Able ans)" ;
    attrib BA07YRP                  label="Age of father at death/now" ;
    attrib BA07YRM                  label="Age of mother at death/now" ;
    attrib BA08P                    label="Father's highest level education" ;
    attrib BA08M                    label="Mother's highest level education" ;
    attrib BA09P                    label="Highest grade father completed" ;
    attrib BA09M                    label="Highest grade mother completed" ;
    attrib BA10P                    label="Int note-father alive/dead" ;
    attrib BA10M                    label="Int note-mother alive/dead" ;
    attrib BA10A                    label="Interviewer check BA10" ;
    attrib BA18                     label="Birth parents still married?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ba0 " then input;
      else do; 
       input
           @9           HHID97    $CHAR9.0
           @18          PID97     2.0
           @20          PIDLINK   $CHAR9.0
           @29          BA04P     1.0
           @30          BA04M     1.0
           @31          BA04APX   1.0
           @32          BA04AMX   1.0
           @33          BA04AP    2.0
           @35          BA04AM    2.0
           @37          BA05P     1.0
           @38          BA05M     1.0
           @39          BA06AP    1.0
           @40          BA06AM    1.0
           @41          BA06BP    1.0
           @42          BA06BM    1.0
           @43          BA06CP    1.0
           @44          BA06CM    1.0
           @45          BA06DPX   1.0
           @46          BA06DMX   1.0
           @47          BA06DYRP  4.0
           @51          BA06DYRM  4.0
           @55          BA06DMTP  2.0
           @57          BA06DMTM  2.0
           @59          BA07PX    1.0
           @60          BA07MX    1.0
           @61          BA07YRP   3.0
           @64          BA07YRM   3.0
           @67          BA08P     2.0
           @69          BA08M     2.0
           @71          BA09P     2.0
           @73          BA09M     2.0
           @75          BA10P     1.0
           @76          BA10M     1.0
           @77          BA10A     1.0
           @78          BA18      1.0
           @79          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BA04P        YESNO. ;
    format BA04M        YESNO. ;
    format BA04APX      YESNO. ;
    format BA04AMX      YESNO. ;
    format BA05P        YESNO. ;
    format BA05M        YESNO. ;
    format BA06AP       YESNO. ;
    format BA06AM       YESNO. ;
    format BA06BP       FRQSEE. ;
    format BA06BM       FRQSEE. ;
    format BA06CP       YESNO. ;
    format BA06CM       YESNO. ;
    format BA06DPX      ANS_GIVN. ;
    format BA06DMX      ANS_GIVN. ;
    format BA06DMTP     MTH. ;
    format BA06DMTM     MTH. ;
    format BA07PX       ANS_GIVN. ;
    format BA07MX       ANS_GIVN. ;
    format BA08P        EDLEV. ;
    format BA08M        EDLEV. ;
    format BA09P        EDGRD. ;
    format BA09M        EDGRD. ;
    format BA10P        BA10X1_. ;
    format BA10M        BA10X1_. ;
    format BA10A        BA10A. ;
    format BA18         YESNO. ;

*-------------------------------------------*
* MODULE b3b_ba1
*-------------------------------------------*;
data b3b_ba1 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BA19P                    label="Do you provide father w/ econ support?" ;
    attrib BA19M                    label="Do you provide mother w/ econ support?" ;
    attrib BA20XP   length= $4.0    label="Type econ support provided to father" ;
    attrib BA20XM   length= $4.0    label="Type econ support provided to mother" ;
    attrib BA20AP                   label="Amt money/loan provided to father?" ;
    attrib BA20AM                   label="Amt money/loan provided to mother?" ;
    attrib BA20DP                   label="Amt food/goods provided to father?" ;
    attrib BA20DM                   label="Amt food/goods provided to mother?" ;
    attrib BA20EPX                  label="Code of time for ba20ep" ;
    attrib BA20EMX                  label="Code of time for ba20em" ;
    attrib BA20EP                   label="Amt hh chores/childcare to father?" ;
    attrib BA20EM                   label="Amt hh chores/childcare to mother?" ;
    attrib BA20FP                   label="Amt other econ support to father?" ;
    attrib BA20FM                   label="Amt other econ support to mother?" ;
    attrib BA21P                    label="Have you recvd econ supprt from father" ;
    attrib BA21M                    label="Have you recvd econ supprt from mother" ;
    attrib BA22XP   length= $4.0    label="Type econ support received from father" ;
    attrib BA22XM   length= $4.0    label="Type econ support received from mother" ;
    attrib BA22AP                   label="Amt money/loan received from father?" ;
    attrib BA22AM                   label="Amt money/loan received from mother?" ;
    attrib BA22DP                   label="Amt food & goods received from father?" ;
    attrib BA22DM                   label="Amt food & goods received from mother?" ;
    attrib BA22EPX                  label="Code of time for ba22ep" ;
    attrib BA22EMX                  label="Code of time for ba22em" ;
    attrib BA22EP                   label="Amt hh chores/childcare from father?" ;
    attrib BA22EM                   label="Amt hh chores/childcare from mother?" ;
    attrib BA22FP                   label="Amt other economic support from father?" ;
    attrib BA22FM                   label="Amt other economic support from mother?" ;
    attrib BA23AP                   label="R is head or spouse of head of HH?" ;
    attrib BA23AM                   label="R is head or spouse of head of HH?" ;
    attrib BA24AP                   label="Your father also father of head/spouse?" ;
    attrib BA24AM                   label="Your mother also mother of head/spouse?" ;
    attrib BA11P                    label="Father's primary activity" ;
    attrib BA11M                    label="Mother's primary activity" ;
    attrib BA13P                    label="What type of work does fatherdo?" ;
    attrib BA13M                    label="What type of work does motherdo?" ;
    attrib BA15P    length= $8.0    label="With whom does/did father live?" ;
    attrib BA15M    length= $8.0    label="With whom does/did mother live?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ba1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          BA19P     1.0
           @28          BA19M     1.0
           @29          BA20XP    $CHAR4.0
           @33          BA20XM    $CHAR4.0
           @37          BA20AP    8.0
           @45          BA20AM    8.0
           @53          BA20DP    7.0
           @60          BA20DM    8.0
           @68          BA20EPX   2.0
           @70          BA20EMX   2.0
           @72          BA20EP    4.0
           @76          BA20EM    2.0
           @78          BA20FP    5.0
           @83          BA20FM    1.0
           @84          BA21P     1.0
           @85          BA21M     1.0
           @86          BA22XP    $CHAR4.0
           @90          BA22XM    $CHAR4.0
           @94          BA22AP    8.0
           @102         BA22AM    8.0
           @110         BA22DP    8.0
           @118         BA22DM    7.0
           @125         BA22EPX   2.0
           @127         BA22EMX   2.0
           @129         BA22EP    2.0
           @131         BA22EM    2.0
           @133         BA22FP    7.0
           @140         BA22FM    6.0
           @146         BA23AP    1.0
           @147         BA23AM    1.0
           @148         BA24AP    1.0
           @149         BA24AM    1.0
           @150         BA11P     2.0
           @152         BA11M     2.0
           @154         BA13P     2.0
           @156         BA13M     2.0
           @158         BA15P     $CHAR8.0
           @166         BA15M     $CHAR8.0
           @174         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BA19P        YESNO. ;
    format BA19M        YESNO. ;
    format BA20EPX      TUNIT. ;
    format BA20EMX      TUNIT. ;
    format BA21P        YESNO. ;
    format BA21M        YESNO. ;
    format BA22EPX      TUNIT. ;
    format BA22EMX      TUNIT. ;
    format BA23AP       YESNO. ;
    format BA23AM       YESNO. ;
    format BA24AP       YESNO. ;
    format BA24AM       YESNO. ;
    format BA11P        MACT. ;
    format BA11M        MACT. ;
    format BA13P        SECT. ;
    format BA13M        SECT. ;

*-------------------------------------------*
* MODULE b3b_ba2
*-------------------------------------------*;
data b3b_ba2 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BA28X                    label="Panel w preprint/no or new" ;
    attrib BA28                     label="Sibs not live this HH?" ;
    attrib BA28A                    label="HH head mom/dad?" ;
    attrib BA28B                    label="Wife HH head mom?" ;
    attrib BA28C                    label="HH head sibling?" ;
    attrib BA28D                    label="Wife HH head sister?" ;
    attrib BA29A                    label="# sibs not in HH--alive" ;
    attrib BA29B                    label="# sibs not in HH--dead" ;
    attrib BA30                     label="Total # sibs not in HH" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ba2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          BA28X     1.0
           @28          BA28      1.0
           @29          BA28A     1.0
           @30          BA28B     1.0
           @31          BA28C     1.0
           @32          BA28D     1.0
           @33          BA29A     2.0
           @35          BA29B     1.0
           @36          BA30      2.0
           @38          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BA28X        BA28X. ;
    format BA28         YESNO. ;
    format BA28A        YESNO. ;
    format BA28B        YESNO. ;
    format BA28C        YESNO. ;
    format BA28D        YESNO. ;

*-------------------------------------------*
* MODULE b3b_ba3
*-------------------------------------------*;
data b3b_ba3 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PPSIB                    label="Preprinted sib roster used/not" ;
    attrib BA30A_93                 label="ba30a on 93 roster (if roster used)" ;
    attrib BA30A                    label="Sibling line number" ;
    attrib BA30C                    label="Sibling gender" ;
    attrib BA30C1X                  label="Sibling age in 93 (able ans)" ;
    attrib BA30C1                   label="Sibling age in 93" ;
    attrib BA30C2                   label="Does [sib] live in hh?" ;
    attrib BA30D                    label="Is [sib] alive?" ;
    attrib BA30E                    label="Did [sib] die past 12 mo?" ;
    attrib BA30FX                   label="Sib current age (able ans)" ;
    attrib BA30F                    label="Sibling current age" ;
    attrib BA36                     label="Sibs highest level of educ" ;
    attrib BA37                     label="Highest grade sib completed" ;
    attrib BA39                     label="Sibs marital status" ;
    attrib BA40                     label="Primary activity of [sib]" ;
    attrib BA42                     label="What type work does [sib] do?" ;
    attrib BA43                     label="Where does/did [sib] live?" ;
    attrib BA45                     label="How often do you see [sibling]" ;
    attrib SAMESIB                  label="Line # for other record of this sib" ;
    attrib NOTSIB                   label="Not a sibling" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ba3 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PPSIB     1.0
           @28          BA30A_93  2.0
           @30          BA30A     2.0
           @32          BA30C     1.0
           @33          BA30C1X   1.0
           @34          BA30C1    2.0
           @36          BA30C2    1.0
           @37          BA30D     1.0
           @38          BA30E     1.0
           @39          BA30FX    1.0
           @40          BA30F     2.0
           @42          BA36      2.0
           @44          BA37      2.0
           @46          BA39      1.0
           @47          BA40      2.0
           @49          BA42      2.0
           @51          BA43      2.0
           @53          BA45      1.0
           @54          SAMESIB   1.0
           @55          NOTSIB    1.0
           @56          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PPSIB        PPSIB_. ;
    format BA30C        SEX. ;
    format BA30C1X      RUPIAH. ;
    format BA30C2       YESNO. ;
    format BA30D        YESNO. ;
    format BA30E        YESNO. ;
    format BA30FX       RUPIAH. ;
    format BA36         EDLEV. ;
    format BA37         EDGRD. ;
    format BA39         MARSTAT. ;
    format BA40         MACT. ;
    format BA42         SECT. ;
    format BA43         RES. ;
    format BA45         FRQSEE. ;
    format NOTSIB       NOTSIB_. ;

*-------------------------------------------*
* MODULE b3b_ba4
*-------------------------------------------*;
data b3b_ba4 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BA54                     label="Provide support to sibs?" ;
    attrib BA55X    length= $4.0    label="Econ support (of type ADEF) provided?" ;
    attrib BA55A                    label="Amount of money/loan provided?" ;
    attrib BA55D                    label="Amount/food & goods provided?" ;
    attrib BA55EX                   label="Time unit for BA55E: HH chores" ;
    attrib BA55E                    label="Amount hh chores/childcare?" ;
    attrib BA55F                    label="Amount/other economic support?" ;
    attrib BA56                     label="Rec'd support from other sibs?" ;
    attrib BA57X    length= $4.0    label="Econ support (of type ADEF) received?" ;
    attrib BA57A                    label="Amount of money/loan received?" ;
    attrib BA57D                    label="Amount/food & goods received?" ;
    attrib BA57EX                   label="Time unit for BA57E: HH chores" ;
    attrib BA57E                    label="Amount hh chores/childcare?" ;
    attrib BA57F                    label="Amount/other economic support?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ba4 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          BA54      1.0
           @28          BA55X     $CHAR4.0
           @32          BA55A     8.0
           @40          BA55D     7.0
           @47          BA55EX    1.0
           @48          BA55E     2.0
           @50          BA55F     5.0
           @55          BA56      1.0
           @56          BA57X     $CHAR4.0
           @60          BA57A     8.0
           @68          BA57D     7.0
           @75          BA57EX    1.0
           @76          BA57E     2.0
           @78          BA57F     6.0
           @84          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BA54         YESNO. ;
    format BA55EX       TUNIT. ;
    format BA56         YESNO. ;
    format BA57EX       TUNIT. ;

*-------------------------------------------*
* MODULE b3b_ba5
*-------------------------------------------*;
data b3b_ba5 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PPCHILD                  label="Preprinted child roster used/not" ;
    attrib BA58X                    label="Respondent is panel or new" ;
    attrib BA58A                    label="Preprint roster?" ;
    attrib BA58B                    label="Interviewer verify r's gender" ;
    attrib BA59                     label="Does your wife live in your HH" ;
    attrib BA60                     label="Intrvwr verify-r has married" ;
    attrib BA61                     label="Do you have children out of HH" ;
    attrib BA62                     label="Childen (age>=15) from other marriage?" ;
    attrib BA63                     label="Total # of children out of hh" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ba5 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PPCHILD   1.0
           @28          BA58X     1.0
           @29          BA58A     1.0
           @30          BA58B     1.0
           @31          BA59      1.0
           @32          BA60      1.0
           @33          BA61      1.0
           @34          BA62      1.0
           @35          BA63      2.0
           @37          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PPCHILD      PPCHILD. ;
    format BA58X        PANEW. ;
    format BA58A        BA58A. ;
    format BA58B        BA58B. ;
    format BA59         BA59_. ;
    format BA60         BA60_. ;
    format BA61         BA61_. ;
    format BA62         YESNO. ;

*-------------------------------------------*
* MODULE b3b_ba6
*-------------------------------------------*;
data b3b_ba6 ;

    infile inb3b pad lrecl= 477 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PPCHILD                  label="Preprinted child roster used/not" ;
    attrib AR00_93                  label="93 child line number AR00" ;
    attrib BA63A_93                 label="93 child line number BA63A" ;
    attrib CH05_93                  label="93 child line number CH05" ;
    attrib BA63A                    label="Line # of child listed" ;
    attrib BA64                     label="Gender of child" ;
    attrib BA64A                    label="Age in 1993" ;
    attrib BA64BMX                  label="Month of child birth (able ans)" ;
    attrib BA64BMT                  label="Date of birth of child (month)" ;
    attrib BA64BYX                  label="Year of child birth (able ans)" ;
    attrib BA64BYR                  label="Date of birth of child (year)" ;
    attrib BA64C                    label="In HH roster in 1997" ;
    attrib BA65                     label="Is [child] still alive?" ;
    attrib BA65AMX                  label="Date of death (month--able ans)" ;
    attrib BA65AMT                  label="Date of death (month)" ;
    attrib BA65AYX                  label="Date of death (year--able ans)" ;
    attrib BA65AYR                  label="Date of death (year)" ;
    attrib BA66X                    label="Child's age (able ans)" ;
    attrib BA66                     label="Child's age" ;
    attrib BA67                     label="Child's marital status?" ;
    attrib BA68                     label="Child's highest level of educa" ;
    attrib BA69                     label="Highest grade child completed" ;
    attrib BA70                     label="Where does child live?" ;
    attrib BA80                     label="Primary activity of [child]?" ;
    attrib BA81                     label="[Child's] work status?" ;
    attrib BA82                     label="What type work does child do?" ;
    attrib BA84                     label="How often do you see [child]?" ;
    attrib BA87A                    label="You provided economic support?" ;
    attrib BA88X    length= $4.0    label="Type/economic support provided" ;
    attrib BA88A                    label="Amount money/loan provided" ;
    attrib BA88D                    label="Amount food & gifts provided" ;
    attrib BA88EX                   label="Amt time on HH chores/childcare provided" ;
    attrib BA88E                    label="Amount hh chores/childcare?" ;
    attrib BA88F                    label="Amount other support provided" ;
    attrib BA89A                    label="You rec'd support from child?" ;
    attrib BA90X    length= $4.0    label="Type/economic support received" ;
    attrib BA90A                    label="Amount money/loan received" ;
    attrib BA90D                    label="Amount food & gifts received" ;
    attrib BA90EX                   label="Amt time on HH chores/childcare received" ;
    attrib BA90E                    label="Amount hh chores/childcare?" ;
    attrib BA90F                    label="Amount other support received" ;
    attrib SAMEKID                  label="Line # for other record of this child" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3b_ba6 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PPCHILD   1.0
           @28          AR00_93   2.0
           @30          BA63A_93  2.0
           @32          CH05_93   2.0
           @34          BA63A     2.0
           @36          BA64      1.0
           @37          BA64A     2.0
           @39          BA64BMX   1.0
           @40          BA64BMT   2.0
           @42          BA64BYX   1.0
           @43          BA64BYR   4.0
           @47          BA64C     1.0
           @48          BA65      1.0
           @49          BA65AMX   1.0
           @50          BA65AMT   2.0
           @52          BA65AYX   1.0
           @53          BA65AYR   2.0
           @55          BA66X     1.0
           @56          BA66      2.0
           @58          BA67      1.0
           @59          BA68      2.0
           @61          BA69      2.0
           @63          BA70      2.0
           @65          BA80      2.0
           @67          BA81      2.0
           @69          BA82      2.0
           @71          BA84      1.0
           @72          BA87A     1.0
           @73          BA88X     $CHAR4.0
           @77          BA88A     8.0
           @85          BA88D     7.0
           @92          BA88EX    2.0
           @94          BA88E     3.0
           @97          BA88F     5.0
           @102         BA89A     1.0
           @103         BA90X     $CHAR4.0
           @107         BA90A     8.0
           @115         BA90D     7.0
           @122         BA90EX    2.0
           @124         BA90E     3.0
           @127         BA90F     7.0
           @134         SAMEKID   1.0
           @135         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PPCHILD      PPCHILD. ;
    format AR00_93      BAAR0_. ;
    format CH05_93      BACH5_. ;
    format BA64         SEX. ;
    format BA64BMX      ANS_GIVN. ;
    format BA64BMT      MTH. ;
    format BA64BYX      ANS_GIVN. ;
    format BA64C        YESNO. ;
    format BA65         YESNO. ;
    format BA65AMX      ANS_GIVN. ;
    format BA65AMT      MTH. ;
    format BA65AYX      ANS_GIVN. ;
    format BA66X        RUPIAH. ;
    format BA67         MARSTAT. ;
    format BA68         EDLEV. ;
    format BA69         EDGRD. ;
    format BA70         RES. ;
    format BA80         MACT. ;
    format BA81         EMPTYP. ;
    format BA82         SECT. ;
    format BA84         FRQSEE. ;
    format BA87A        YESNO. ;
    format BA88EX       TUNIT. ;
    format BA89A        YESNO. ;
    format BA90EX       TUNIT. ;


*===========================================*
* BOOK b3p
*===========================================*;

*-------------------------------------------*
* MODULE b3p_cov
*-------------------------------------------*;
data b3p_cov ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib EDITOR   length= $3.0    label="Editor" ;
    attrib IDIVWR   length= $3.0    label="Interviewer" ;
    attrib PROXYPID                 label="Line number of proxy" ;
    attrib RELATP                   label="Relationship of proxy to resp." ;
    attrib AGE                      label="Respondent's age in years" ;
    attrib MARSTAT                  label="Marital status" ;
    attrib SEX                      label="Sex" ;
    attrib NUMVIS                   label="Number of visits" ;
    attrib IVWDAY1                  label="Date of 1st interview: day" ;
    attrib IVWMTH1                  label="Date of 1st interview: month" ;
    attrib IVWYR1                   label="Date of 1st interview: year" ;
    attrib BEGHR1                   label="Time 1st interview began (hour)" ;
    attrib BEGMIN1                  label="Time 1st interview began (minute)" ;
    attrib ENDHR1                   label="Time 1st interview ended (hour)" ;
    attrib ENDMIN1                  label="Time 1st interview ended (minute)" ;
    attrib IVWDAY2                  label="Date of 2nd interview: day" ;
    attrib IVWMTH2                  label="Date of 2nd interview: month" ;
    attrib IVWYR2                   label="Date of 2nd interview: year" ;
    attrib BEGHR2                   label="Time 2nd interview began (hour)" ;
    attrib BEGMIN2                  label="Time 2nd interview began (minute)" ;
    attrib ENDHR2                   label="Time 2nd interview ended (hour)" ;
    attrib ENDMIN2                  label="Time 2nd interview ended (minute)" ;
    attrib IVWDAY3                  label="Date of 3rd interview: day" ;
    attrib IVWMTH3                  label="Date of 3rd interview: month" ;
    attrib IVWYR3                   label="Date of 3rd interview: year" ;
    attrib BEGHR3                   label="Time 3rd interview began (hour)" ;
    attrib BEGMIN3                  label="Time 3rd interview began (minute)" ;
    attrib ENDHR3                   label="Time 3rd interview ended (hour)" ;
    attrib ENDMIN3                  label="Time 3rd interview ended (minute)" ;
    attrib LANGMAIN                 label="Main language of interview" ;
    attrib LANGOTHR                 label="Other language of interview if any" ;
    attrib RESULT                   label="Result of interview" ;
    attrib REASON                   label="Reason interview not completed" ;
    attrib EDIT_CK                  label="Result of editor checks" ;
    attrib SUP_OBS                  label="Supervisor observed ivw?" ;
    attrib SUP_EDIT                 label="Supervisor checked edits?" ;
    attrib PANELP                   label="Respondent is in panel or new" ;
    attrib DOB_DAY                  label="Date of birth (day)" ;
    attrib DOB_MTH                  label="Date of birth (month)" ;
    attrib DOB_YR                   label="Date of birth (year)" ;
    attrib CP1      length= $6.0    label="Who else present during interview?" ;
    attrib CP2                      label="Ivwr eval of accuracy of Resp answers" ;
    attrib CP3                      label="Ivwr eval of serious/attentiveness of R" ;
    attrib CP4      length= $60.0   label="Qs R found difficlt/embarassng/confusing" ;
    attrib CP5      length= $60.0   label="Qs ivwr found diffic/embarassng/confusng" ;
    attrib CP6      length= $60.0   label="Qs in which Resp seem interested" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_cov " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          EDITOR    $CHAR3.0
           @30          IDIVWR    $CHAR3.0
           @33          PROXYPID  2.0
           @35          RELATP    1.0
           @36          AGE       2.0
           @38          MARSTAT   1.0
           @39          SEX       1.0
           @40          NUMVIS    1.0
           @41          IVWDAY1   2.0
           @43          IVWMTH1   2.0
           @45          IVWYR1    4.0
           @49          BEGHR1    2.0
           @51          BEGMIN1   2.0
           @53          ENDHR1    2.0
           @55          ENDMIN1   2.0
           @57          IVWDAY2   2.0
           @59          IVWMTH2   2.0
           @61          IVWYR2    4.0
           @65          BEGHR2    2.0
           @67          BEGMIN2   2.0
           @69          ENDHR2    2.0
           @71          ENDMIN2   2.0
           @73          IVWDAY3   2.0
           @75          IVWMTH3   2.0
           @77          IVWYR3    4.0
           @81          BEGHR3    2.0
           @83          BEGMIN3   2.0
           @85          ENDHR3    2.0
           @87          ENDMIN3   2.0
           @89          LANGMAIN  2.0
           @91          LANGOTHR  2.0
           @93          RESULT    1.0
           @94          REASON    1.0
           @95          EDIT_CK   1.0
           @96          SUP_OBS   1.0
           @97          SUP_EDIT  1.0
           @98          PANELP    1.0
           @99          DOB_DAY   2.0
           @101         DOB_MTH   2.0
           @103         DOB_YR    4.0
           @107         CP1       $CHAR6.0
           @113         CP2       1.0
           @114         CP3       1.0
           @115         CP4       $CHAR60.0
           @175         CP5       $CHAR60.0
           @235         CP6       $CHAR60.0
           @295         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RELATP       RELATP. ;
    format AGE          AGE. ;
    format MARSTAT      MARSTAT. ;
    format SEX          SEX. ;
    format NUMVIS       COUNT. ;
    format IVWMTH1      MTH. ;
    format IVWYR1       YR. ;
    format IVWMTH2      MTH. ;
    format IVWYR2       YR. ;
    format IVWMTH3      MTH. ;
    format IVWYR3       YR. ;
    format LANGMAIN     LANGDET. ;
    format LANGOTHR     LANGDET. ;
    format RESULT       RES_IVW. ;
    format REASON       REASON. ;
    format EDIT_CK      EDITST. ;
    format SUP_OBS      YESNO. ;
    format SUP_EDIT     YESNO. ;
    format PANELP       PANEW. ;
    format CP2          CP23_. ;
    format CP3          CP23_. ;

*-------------------------------------------*
* MODULE b3p_kw1
*-------------------------------------------*;
data b3p_kw1 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib KW02                     label="Marital status of respondent?" ;
    attrib KW02A1                   label="Partner of respondent" ;
    attrib KW12A    length= $10.0   label="What was the form of dowry ?" ;
    attrib KW12BX                   label="Currency dowry/able ans" ;
    attrib KW12B                    label="Value of dowry" ;
    attrib KW13A    length= $10.0   label="Non consumed form of dowry?" ;
    attrib KW13BX                   label="Currency nc dowry/able ans" ;
    attrib KW13B                    label="Value of nc dowry" ;
    attrib KW14X                    label="Currency total assets/able ans" ;
    attrib KW14                     label="Tot assets before marriage" ;
    attrib KW14A                    label="Did you move after your weddng" ;
    attrib KW14BAX                  label="Name village given" ;
    attrib KW14BBX                  label="Name kecamatan given" ;
    attrib KW14BCX                  label="Name kabupaten given" ;
    attrib KW14BDX                  label="Name province given" ;
    attrib KW14D                    label="Did your husband/wife chg res?" ;
    attrib KW10X                    label="When get married (able ans)" ;
    attrib KW10MTH                  label="When did you get married-mnth?" ;
    attrib KW10YR                   label="When did you get married-year?" ;
    attrib KW11X                    label="Age when got married (able ans)" ;
    attrib KW11                     label="Age when you got married" ;
    attrib KW16                     label="Current status of the marriage" ;
    attrib KW17                     label="Your spouse lives in this hh?" ;
    attrib KW17A                    label="Spouse in HH" ;
    attrib KW17A1                   label="Line number of spouse in HH" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_kw1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          KW02      1.0
           @28          KW02A1    1.0
           @29          KW12A     $CHAR10.0
           @39          KW12BX    2.0
           @41          KW12B     8.0
           @49          KW13A     $CHAR10.0
           @59          KW13BX    2.0
           @61          KW13B     7.0
           @68          KW14X     2.0
           @70          KW14      9.0
           @79          KW14A     1.0
           @80          KW14BAX   1.0
           @81          KW14BBX   1.0
           @82          KW14BCX   1.0
           @83          KW14BDX   1.0
           @84          KW14D     1.0
           @85          KW10X     1.0
           @86          KW10MTH   2.0
           @88          KW10YR    4.0
           @92          KW11X     1.0
           @93          KW11      2.0
           @95          KW16      1.0
           @96          KW17      1.0
           @97          KW17A     1.0
           @98          KW17A1    2.0
           @100         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KW02         MARSTAT. ;
    format KW02A1       YESNO. ;
    format KW12BX       RUPCURR. ;
    format KW13BX       RUPCURR. ;
    format KW14X        RUPCURR. ;
    format KW14A        KW14A. ;
    format KW14BAX      ANS_GIVN. ;
    format KW14BBX      ANS_GIVN. ;
    format KW14BCX      ANS_GIVN. ;
    format KW14BDX      ANS_GIVN. ;
    format KW14D        YESNO. ;
    format KW10X        MTHYR. ;
    format KW11X        ANS_GIVN. ;
    format KW16         MARSTAT. ;
    format KW17         YESNO. ;
    format KW17A        KW17A. ;

*-------------------------------------------*
* MODULE b3p_dl1
*-------------------------------------------*;
data b3p_dl1 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DL01A    length= $11.0   label="Languages in daily life" ;
    attrib DL02                     label="Can resp read Indo newspaper" ;
    attrib DL02A                    label="Read news in other language" ;
    attrib DL03                     label="Can resp write a letter in Indo" ;
    attrib DL03A                    label="Can resp write in other language" ;
    attrib DL04                     label="Has resp ever attended school" ;
    attrib DL06                     label="Highest level of edu attended" ;
    attrib DL07                     label="Highest grade completed" ;
    attrib DL07A                    label="Currently attending school" ;
    attrib DL07BX                   label="Date stopped school (able ans)" ;
    attrib DL07BMTH                 label="Date last attended school(mth)" ;
    attrib DL07BYR                  label="Date last attended school (yr)" ;
    attrib DL07CX                   label="Age stopped school (able ans)" ;
    attrib DL07C                    label="Age stopped attending school" ;
    attrib DL07F                    label="Ever failed a grade" ;
    attrib DL07GX                   label="Number of grades failed (able ans)" ;
    attrib DL07G                    label="Number of grades failed" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_dl1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DL01A     $CHAR11.0
           @38          DL02      1.0
           @39          DL02A     1.0
           @40          DL03      1.0
           @41          DL03A     1.0
           @42          DL04      1.0
           @43          DL06      2.0
           @45          DL07      2.0
           @47          DL07A     1.0
           @48          DL07BX    1.0
           @49          DL07BMTH  2.0
           @51          DL07BYR   4.0
           @55          DL07CX    1.0
           @56          DL07C     2.0
           @58          DL07F     1.0
           @59          DL07GX    1.0
           @60          DL07G     2.0
           @62          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DL02         YESNO. ;
    format DL02A        YESNO. ;
    format DL03         YESNO. ;
    format DL03A        YESNO. ;
    format DL04         YESNO. ;
    format DL06         EDLEV. ;
    format DL07         EDGRD. ;
    format DL07A        YESNO. ;
    format DL07BX       ANS_GIVN. ;
    format DL07BMTH     MTH. ;
    format DL07CX       RUPIAH. ;
    format DL07F        YESNO. ;
    format DL07GX       RUPIAH. ;
    format DL07G        NUM2_. ;

*-------------------------------------------*
* MODULE b3p_dl3
*-------------------------------------------*;
data b3p_dl3 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DL16AA                   label="Respondent age >= 25 years" ;
    attrib DL16N                    label="Number of columns completed in grid" ;
    attrib DL3TYPE                  label="Highest level of school attended?" ;
    attrib DL16A                    label="Ever taken EBTANAS?" ;
    attrib DL16B                    label="Could we see EBTANAS scores?" ;
    attrib DL16CX                   label="Date took EBTANAS (able ans)" ;
    attrib DL16CMTH                 label="Date took EBTANAS (month)" ;
    attrib DL16CYR                  label="Date took EBTANAS (year)" ;
    attrib DL16DAX                  label="PMP score (able ans)" ;
    attrib DL16DA                   label="PMP score" ;
    attrib DL16DBX                  label="Indonesian lang score (able ans)" ;
    attrib DL16DB                   label="Bahasa Indonesia score" ;
    attrib DL16DCX                  label="English score (able ans)" ;
    attrib DL16DC                   label="English score" ;
    attrib DL16DDX                  label="Mathematics score (able ans)" ;
    attrib DL16DD                   label="Math score" ;
    attrib DL16DEX                  label="Science score (able ans)" ;
    attrib DL16DE                   label="Science score" ;
    attrib DL16DFX                  label="Biology score (able ans)" ;
    attrib DL16DF                   label="Biology score" ;
    attrib DL16DGX                  label="Chemistry score (able ans)" ;
    attrib DL16DG                   label="Chemistry score" ;
    attrib DL16DHX                  label="Physics score (able ans)" ;
    attrib DL16DH                   label="Physics score" ;
    attrib DL16DIX                  label="Social studies score (able ans)" ;
    attrib DL16DI                   label="Social studies score" ;
    attrib DL16DJX                  label="Economics score (able ans)" ;
    attrib DL16DJ                   label="Economics score" ;
    attrib DL16DKX                  label="Sociology score (able ans)" ;
    attrib DL16DK                   label="Sociology score" ;
    attrib DL16DLX                  label="Anthropology score (able ans)" ;
    attrib DL16DL                   label="Anthropology score" ;
    attrib DL16DMX                  label="Government score (able ans)" ;
    attrib DL16DM                   label="Government score" ;
    attrib DL16EX                   label="Total score (able ans)" ;
    attrib DL16E                    label="Total EBTANAS score" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_dl3 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DL16AA    1.0
           @28          DL16N     1.0
           @29          DL3TYPE   1.0
           @30          DL16A     1.0
           @31          DL16B     1.0
           @32          DL16CX    1.0
           @33          DL16CMTH  2.0
           @35          DL16CYR   4.0
           @39          DL16DAX   1.0
           @40          DL16DA    5.2
           @45          DL16DBX   1.0
           @46          DL16DB    5.2
           @51          DL16DCX   1.0
           @52          DL16DC    5.2
           @57          DL16DDX   1.0
           @58          DL16DD    5.2
           @63          DL16DEX   1.0
           @64          DL16DE    5.2
           @69          DL16DFX   1.0
           @70          DL16DF    5.2
           @75          DL16DGX   1.0
           @76          DL16DG    5.2
           @81          DL16DHX   1.0
           @82          DL16DH    5.2
           @87          DL16DIX   1.0
           @88          DL16DI    5.2
           @93          DL16DJX   1.0
           @94          DL16DJ    5.2
           @99          DL16DKX   1.0
           @100         DL16DK    5.2
           @105         DL16DLX   1.0
           @106         DL16DL    5.2
           @111         DL16DMX   1.0
           @112         DL16DM    5.2
           @117         DL16EX    1.0
           @118         DL16E     5.2
           @123         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DL16AA       YESNO. ;
    format DL16N        COUNT. ;
    format DL3TYPE      ED4_. ;
    format DL16A        YESNO. ;
    format DL16B        YESNO. ;
    format DL16CX       ANS_GIVN. ;
    format DL16CMTH     MTH. ;
    format DL16CYR      NUM4_. ;
    format DL16DAX      RUPIAH. ;
    format DL16DBX      RUPIAH. ;
    format DL16DCX      RUPIAH. ;
    format DL16DDX      RUPIAH. ;
    format DL16DEX      RUPIAH. ;
    format DL16DFX      RUPIAH. ;
    format DL16DGX      RUPIAH. ;
    format DL16DHX      RUPIAH. ;
    format DL16DIX      RUPIAH. ;
    format DL16DJX      RUPIAH. ;
    format DL16DKX      RUPIAH. ;
    format DL16DK       RUPIAH. ;
    format DL16DLX      RUPIAH. ;
    format DL16DMX      RUPIAH. ;
    format DL16EX       RUPIAH. ;

*-------------------------------------------*
* MODULE b3p_dl4
*-------------------------------------------*;
data b3p_dl4 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DL30                     label="Were you in school last year ?" ;
    attrib DL31A_A1                 label="School exp 96/7? A1:School fees-regist" ;
    attrib DL31A_A2                 label="School exp 96/7? A2:School fees-other" ;
    attrib DL31A_A3                 label="School exp 96/7? A3:School fees-exams" ;
    attrib DL31A_B1                 label="School exp 96/7? B1:School supp-books" ;
    attrib DL31A_B2                 label="School exp 96/7? B2:School supp-unifm" ;
    attrib DL31A_C1                 label="School exp 96/7? C1:Tnsp/etc-transport" ;
    attrib DL31A_C2                 label="School exp 96/7? C2:Tnsp/etc-hous/food" ;
    attrib DL31A_C3                 label="School exp 96/7? C3:Tnsp/etc-special" ;
    attrib DL31B_A1                 label="Registration fee" ;
    attrib DL31B_A2                 label="School fee" ;
    attrib DL31B_A3                 label="Exam fees" ;
    attrib DL31B_B1                 label="Books/school supplies" ;
    attrib DL31B_B2                 label="Uniform/sport fees" ;
    attrib DL31B_C1                 label="Transport costs" ;
    attrib DL31B_C2                 label="Housing/food costs" ;
    attrib DL31B_C3                 label="Special course costs" ;
    attrib DL31A_D                  label="School exp 96/7? D:Other" ;
    attrib DL31B_D                  label="Other school expenses" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_dl4 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DL30      1.0
           @28          DL31A_A1  1.0
           @29          DL31A_A2  1.0
           @30          DL31A_A3  1.0
           @31          DL31A_B1  1.0
           @32          DL31A_B2  1.0
           @33          DL31A_C1  1.0
           @34          DL31A_C2  1.0
           @35          DL31A_C3  1.0
           @36          DL31B_A1  7.0
           @43          DL31B_A2  7.0
           @50          DL31B_A3  6.0
           @56          DL31B_B1  7.0
           @63          DL31B_B2  6.0
           @69          DL31B_C1  7.0
           @76          DL31B_C2  7.0
           @83          DL31B_C3  6.0
           @89          DL31A_D   1.0
           @90          DL31B_D   7.0
           @97          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DL30         YESNO. ;
    format DL31A_A1     DL31A. ;
    format DL31A_A2     DL31A. ;
    format DL31A_A3     DL31A. ;
    format DL31A_B1     DL31A. ;
    format DL31A_B2     DL31A. ;
    format DL31A_C1     DL31A. ;
    format DL31A_C2     DL31A. ;
    format DL31A_C3     DL31A. ;
    format DL31A_D      DL31A. ;

*-------------------------------------------*
* MODULE b3p_pm1
*-------------------------------------------*;
data b3p_pm1 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PM01                     label="Do you participate arisan ?" ;
    attrib PM08                     label="You ever borrowed money ?" ;
    attrib PM09     length= $7.0    label="Place borrowed money from" ;
    attrib PM20                     label="Sex of respondent" ;
    attrib PM10     length= $80.0   label="What did you use money for?" ;
    attrib PM10AX                   label="What did you use the mny for ?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_pm1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PM01      1.0
           @28          PM08      1.0
           @29          PM09      $CHAR7.0
           @36          PM20      1.0
           @37          PM10      $CHAR80.0
           @117         PM10AX    1.0
           @118         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PM01         YESNO. ;
    format PM08         PM08_. ;
    format PM20         SEX. ;
    format PM10AX       ANS_GIVN. ;

*-------------------------------------------*
* MODULE b3p_pm2
*-------------------------------------------*;
data b3p_pm2 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PM2TYPE  length= $1.0    label="Type of Activity" ;
    attrib PM16                     label="Did you participate in or use [..]?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_pm2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PM2TYPE   $CHAR1.0
           @28          PM16      1.0
           @29          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PM2TYPE      PMTYPE. ;
    format PM16         YESNO. ;

*-------------------------------------------*
* MODULE b3p_km
*-------------------------------------------*;
data b3p_km ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib KM01A                    label="Have you ever had a tobacco habit" ;
    attrib KM01B                    label="Ever had chewing tobacco habit" ;
    attrib KM01C                    label="Ever had a pipe smoking habit" ;
    attrib KM01D                    label="Ever had self-rolld cigs habit" ;
    attrib KM01E                    label="Ever had cigarette/cigar habit" ;
    attrib KM02                     label="Int note: km01d=1 or km01e=1" ;
    attrib KM03     length= $5.0    label="Type of cigarettes you smoke?" ;
    attrib KM04                     label="Still have habit or have quit" ;
    attrib KM05X                    label="Quit habit how long ago (able ans/units)" ;
    attrib KM05                     label="Amnt of time since quit habit" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_km  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          KM01A     1.0
           @28          KM01B     1.0
           @29          KM01C     1.0
           @30          KM01D     1.0
           @31          KM01E     1.0
           @32          KM02      1.0
           @33          KM03      $CHAR5.0
           @38          KM04      1.0
           @39          KM05X     2.0
           @41          KM05      2.0
           @43          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KM01A        YESNO. ;
    format KM01B        YESNO. ;
    format KM01C        YESNO. ;
    format KM01D        YESNO. ;
    format KM01E        YESNO. ;
    format KM02         YESNO. ;
    format KM04         KM04_. ;
    format KM05X        TUNIT. ;

*-------------------------------------------*
* MODULE b3p_kk
*-------------------------------------------*;
data b3p_kk ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib KK01                     label="Generally how is your health?" ;
    attrib KK02AX                   label="Days missed activities (able ans)" ;
    attrib KK02A                    label="Days prim activities missed, past 4 wks" ;
    attrib KK02BX                   label="Days in bed past 4 wks (able ans)" ;
    attrib KK02B                    label="Days in bed past 4 wks from sickness" ;
    attrib KK02C                    label="Health comparison to 4 yrs ago" ;
    attrib KK02E                    label="Serious illness last 4 years" ;
    attrib KK02FA   length= $80.0   label="Serious illness: A" ;
    attrib KK02GAMX                 label="Mth illness started (able ans): A" ;
    attrib KK02GAMT                 label="Month serious illness started" ;
    attrib KK02GAYX                 label="Year illness started (able ans): A" ;
    attrib KK02GAYR                 label="Year serious illness started" ;
    attrib KK02HAX                  label="Illness length (able ans/units): A" ;
    attrib KK02HA                   label="Illness duration: A" ;
    attrib KK02FB   length= $80.0   label="Serious illness: B" ;
    attrib KK02GBMX                 label="Mth illness started (able ans): B" ;
    attrib KK02GBMT                 label="Month serious illness started" ;
    attrib KK02GBYX                 label="Year illness started (able ans): B" ;
    attrib KK02GBYR                 label="Year serious illness started" ;
    attrib KK02HBX                  label="Illness length (able ans/units): B" ;
    attrib KK02HB                   label="Illness duration: B" ;
    attrib KK02FC   length= $80.0   label="Serious illness: C" ;
    attrib KK02GCMX                 label="Mth illness started (able ans): C" ;
    attrib KK02GCMT                 label="Month serious illness started" ;
    attrib KK02GCYX                 label="Year illness started (able ans): C" ;
    attrib KK02GCYR                 label="Year serious illness started" ;
    attrib KK02HCX                  label="Illness length (able ans/units): C" ;
    attrib KK02HC                   label="Illness duration: C" ;
    attrib KK03A                    label="Could you carry water pail 20 meters" ;
    attrib KK03C                    label="Could you walk for 5 kms" ;
    attrib KK03E                    label="Could you bow, squat & kneel" ;
    attrib KK03B                    label="Could you sweep house floor yard" ;
    attrib KK03D                    label="Could you draw pail of water from well" ;
    attrib KK03F                    label="Could you dress without help" ;
    attrib KK03G                    label="Could you stand from sitting on chair" ;
    attrib KK03H                    label="Could you got to bathroom unassisted" ;
    attrib KK03I                    label="Could you stand from sitting on floor" ;
    attrib KK02D    length= $140.045label="Why has health changed during past 4 yrs" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_kk  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          KK01      1.0
           @28          KK02AX    1.0
           @29          KK02A     2.0
           @31          KK02BX    1.0
           @32          KK02B     2.0
           @34          KK02C     1.0
           @35          KK02E     1.0
           @36          KK02FA    $CHAR80.0
           @116         KK02GAMX  1.0
           @117         KK02GAMT  2.0
           @119         KK02GAYX  1.0
           @120         KK02GAYR  4.0
           @124         KK02HAX   2.0
           @126         KK02HA    2.0
           @128         KK02FB    $CHAR80.0
           @208         KK02GBMX  1.0
           @209         KK02GBMT  2.0
           @211         KK02GBYX  1.0
           @212         KK02GBYR  4.0
           @216         KK02HBX   2.0
           @218         KK02HB    1.0
           @219         KK02FC    $CHAR80.0
           @299         KK02GCMX  1.0
           @300         KK02GCMT  1.0
           @301         KK02GCYX  1.0
           @302         KK02GCYR  4.0
           @306         KK02HCX   2.0
           @308         KK02HC    1.0
           @309         KK03A     1.0
           @310         KK03C     1.0
           @311         KK03E     1.0
           @312         KK03B     1.0
           @313         KK03D     1.0
           @314         KK03F     1.0
           @315         KK03G     1.0
           @316         KK03H     1.0
           @317         KK03I     1.0
           @318         KK02D     $CHAR140.
           @458         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KK01         KK01_. ;
    format KK02AX       ANS_GIVN. ;
    format KK02BX       ANS_GIVN. ;
    format KK02C        KK02C. ;
    format KK02E        YESNO. ;
    format KK02GAMX     ANS_GIVN. ;
    format KK02GAMT     MTH. ;
    format KK02GAYX     ANS_GIVN. ;
    format KK02HAX      KK02HAX. ;
    format KK02GBMX     ANS_GIVN. ;
    format KK02GBMT     MTH. ;
    format KK02GBYX     ANS_GIVN. ;
    format KK02HBX      KK02HAX. ;
    format KK02GCMX     ANS_GIVN. ;
    format KK02GCMT     MTH. ;
    format KK02GCYX     ANS_GIVN. ;
    format KK02HCX      KK02HAX. ;
    format KK02HC       NUM2_. ;
    format KK03A        KK03_. ;
    format KK03C        KK03_. ;
    format KK03E        KK03_. ;
    format KK03B        KK03_. ;
    format KK03D        KK03_. ;
    format KK03F        KK03_. ;
    format KK03G        KK03_. ;
    format KK03H        KK03_. ;
    format KK03I        KK03_. ;

*-------------------------------------------*
* MODULE b3p_ma
*-------------------------------------------*;
data b3p_ma ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib MATYPE   length= $2.0    label="Type of Symptom" ;
    attrib MA01                     label="Have you suffered from [...] in last 4 w" ;
    attrib MA08A                    label="Get up to urinate during night" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_ma  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          MATYPE    $CHAR2.0
           @29          MA01      1.0
           @30          MA08A     1.0
           @31          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format MATYPE       MATYPE. ;
    format MA01         YESNO. ;
    format MA08A        YESNO. ;

*-------------------------------------------*
* MODULE b3p_rj1
*-------------------------------------------*;
data b3p_rj1 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PS00                     label="Self treatment in past 4 wks?" ;
    attrib RJ00                     label="Outpatient care past 4 wks" ;
    attrib RJ_NUM                   label="Total # outpatient care visits" ;
    attrib RJ1TYPE  length= $1.0    label="Outpatient care facility/service" ;
    attrib RJ01                     label="Visit/see [..] past 4 wks" ;
    attrib RJ02                     label="# of visits past 4 wks" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_rj1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PS00      1.0
           @28          RJ00      1.0
           @29          RJ_NUM    1.0
           @30          RJ1TYPE   $CHAR1.0
           @31          RJ01      1.0
           @32          RJ02      1.0
           @33          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PS00         YESNO. ;
    format RJ00         YESNO. ;
    format RJ_NUM       COUNT. ;
    format RJ1TYPE      RJTYPE. ;
    format RJ01         YESNO. ;
    format RJ02         NUM2_. ;

*-------------------------------------------*
* MODULE b3p_rj2
*-------------------------------------------*;
data b3p_rj2 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RJ2TYPE                  label="Visit number" ;
    attrib RJ05A    length= $1.0    label="Facility type" ;
    attrib RJ06AX                   label="Facility village (able ans)" ;
    attrib RJ06BX                   label="Facility kec (able ans)" ;
    attrib RJ06CX                   label="Facility kab (able ans)" ;
    attrib RJ06DX                   label="Facility prov (able ans)" ;
    attrib RJ08     length= $9.0    label="Purpose of visit" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_rj2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RJ2TYPE   1.0
           @28          RJ05A     $CHAR1.0
           @29          RJ06AX    1.0
           @30          RJ06BX    1.0
           @31          RJ06CX    1.0
           @32          RJ06DX    1.0
           @33          RJ08      $CHAR9.0
           @42          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RJ2TYPE      COUNT. ;
    format RJ05A        RJTYPE. ;
    format RJ06AX       ANS_LOCN. ;
    format RJ06BX       ANS_LOCN. ;
    format RJ06CX       ANS_LOCN. ;
    format RJ06DX       ANS_LOCN. ;

*-------------------------------------------*
* MODULE b3p_rn1
*-------------------------------------------*;
data b3p_rn1 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RN00                     label="Hospitalized in past 12 months" ;
    attrib RN_NUM                   label="Total hospitalizations" ;
    attrib RN1TYPE  length= $1.0    label="Inpatient facility type" ;
    attrib RN01                     label="Hosp at [..] past 12 months" ;
    attrib RN02                     label="# of hosp at [..] past 12 months" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_rn1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RN00      1.0
           @28          RN_NUM    1.0
           @29          RN1TYPE   $CHAR1.0
           @30          RN01      1.0
           @31          RN02      1.0
           @32          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RN00         YESNO. ;
    format RN_NUM       COUNT. ;
    format RN1TYPE      RNTYPE. ;
    format RN01         YESNO. ;
    format RN02         NUM2_. ;

*-------------------------------------------*
* MODULE b3p_rn2
*-------------------------------------------*;
data b3p_rn2 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RN2TYPE                  label="Visit number" ;
    attrib RN05A    length= $1.0    label="Facility type" ;
    attrib RN06BX                   label="Facility kec (able ans)" ;
    attrib RN06CX                   label="Facility kab (able ans)" ;
    attrib RN06DX                   label="Facility prov (able ans)" ;
    attrib RN08                     label="Nights in hospital" ;
    attrib RN10                     label="Reason for hospitalization" ;
    attrib RN15     length= $8.0    label="Treatments received" ;
    attrib RN18X                    label="Prescription cost (able ans)" ;
    attrib RN18                     label="Prescription cost, Rp" ;
    attrib RN19X                    label="Hosp treatment cost (able ans)" ;
    attrib RN19                     label="Hosp treatment cost, Rp" ;
    attrib RN20                     label="Int. check - Other visits?" ;
    attrib RN06AX                   label="Facility vill (able ans)" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_rn2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RN2TYPE   1.0
           @28          RN05A     $CHAR1.0
           @29          RN06BX    1.0
           @30          RN06CX    1.0
           @31          RN06DX    1.0
           @32          RN08      2.0
           @34          RN10      1.0
           @35          RN15      $CHAR8.0
           @43          RN18X     1.0
           @44          RN18      7.0
           @51          RN19X     1.0
           @52          RN19      7.0
           @59          RN20      1.0
           @60          RN06AX    1.0
           @61          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RN2TYPE      COUNT. ;
    format RN05A        RNTYPE. ;
    format RN06BX       ANS_LOCN. ;
    format RN06CX       ANS_LOCN. ;
    format RN06DX       ANS_LOCN. ;
    format RN10         RN10_. ;
    format RN18X        RJ20X. ;
    format RN19X        RUPIAH. ;
    format RN20         YESNO. ;
    format RN06AX       ANS_LOCN. ;

*-------------------------------------------*
* MODULE b3p_br
*-------------------------------------------*;
data b3p_br ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BR00X                    label="Interviewer check (Panel?New)?" ;
    attrib BR01                     label="Have you ever given birth?" ;
    attrib BR06                     label="# sons living elsewhere" ;
    attrib BR07                     label="# daughters living elswhere" ;
    attrib BR08                     label="Have any of your children died?" ;
    attrib BR09                     label="# sons born alive who have died" ;
    attrib BR10                     label="# daughters born alive who have died" ;
    attrib BR11                     label="Have you ever had a stillbirth?" ;
    attrib BR12                     label="# of stillbirths" ;
    attrib BR13                     label="Have you ever had any miscarriages?" ;
    attrib BR14                     label="# of miscarriages" ;
    attrib BR15                     label="Total number of live births" ;
    attrib BR15K                    label="BR03+04+06+07+09+10=BR15=#live births?" ;
    attrib BR16                     label="Total stillbirths & miscarriages" ;
    attrib BR16K                    label="BR12+14=BR16=#stillbirths+miscarr?" ;
    attrib BR02                     label="Any biological children live w/you?" ;
    attrib BR03                     label="# biological sons living w/you" ;
    attrib BR04                     label="# biological daughtrs live w/you" ;
    attrib BR05                     label="Any chldren living elsewhere?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_br  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          BR00X     1.0
           @28          BR01      1.0
           @29          BR06      2.0
           @31          BR07      1.0
           @32          BR08      1.0
           @33          BR09      1.0
           @34          BR10      1.0
           @35          BR11      1.0
           @36          BR12      1.0
           @37          BR13      1.0
           @38          BR14      1.0
           @39          BR15      2.0
           @41          BR15K     1.0
           @42          BR16      1.0
           @43          BR16K     1.0
           @44          BR02      1.0
           @45          BR03      1.0
           @46          BR04      1.0
           @47          BR05      1.0
           @48          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BR00X        BR00X. ;
    format BR01         YESNO. ;
    format BR06         COUNT. ;
    format BR07         COUNT. ;
    format BR08         YESNO. ;
    format BR09         COUNT. ;
    format BR10         COUNT. ;
    format BR11         YESNO. ;
    format BR12         COUNT. ;
    format BR13         YESNO. ;
    format BR14         COUNT. ;
    format BR15K        YESNO. ;
    format BR16K        YESNO. ;
    format BR02         YESNO. ;
    format BR03         COUNT. ;
    format BR04         COUNT. ;
    format BR05         YESNO. ;

*-------------------------------------------*
* MODULE b3p_ch0
*-------------------------------------------*;
data b3p_ch0 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib CH00X                    label="Pregnancy in last 5 years" ;
    attrib CH03                     label="Number pregnancies" ;
    attrib CH11                     label="Match total columns filled in" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_ch0 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          CH00X     1.0
           @28          CH03      1.0
           @29          CH11      1.0
           @30          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format CH00X        YESNO. ;
    format CH11         CH11_. ;

*-------------------------------------------*
* MODULE b3p_ch1
*-------------------------------------------*;
data b3p_ch1 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib CH05                     label="First or second pregnancy?" ;
    attrib CH06                     label="Pregnancy result types" ;
    attrib CH06A                    label="Did preg. end in multiple brth" ;
    attrib CH08                     label="child male/female" ;
    attrib CH09X                    label="Date end of pregnancy (able ans)" ;
    attrib CH09DAY                  label="Date of end of pregnancy (day)" ;
    attrib CH09MTH                  label="Date of end of pregnancy (mth)" ;
    attrib CH09YR                   label="Date of end of pregnancy (yr)" ;
    attrib CH10AX                   label="Age at end of preg (able ans)" ;
    attrib CH10A                    label="Age of resp at end of preg" ;
    attrib CH10BX                   label="Age used to est yr brth (able ans)" ;
    attrib CH10B                    label="Age used to est year of birth" ;
    attrib CH14                     label="Had pregnancy check up" ;
    attrib CH15     length= $9.0    label="Where preg check-ups" ;
    attrib CH15AAX                  label="Prenat care provider: Village(Able ans)" ;
    attrib CH15ABX                  label="Prenat care provider: Sub-dis(Able ans)" ;
    attrib CH15ACX                  label="Prenat care provider: Municip(Able ans)" ;
    attrib CH15ADX                  label="Prenat care provider: Provinc(Able ans)" ;
    attrib CH18                     label="Interviewer note" ;
    attrib CH18A                    label="Were U in labor more one night" ;
    attrib CH19                     label="Where did you give birth" ;
    attrib CH19AAX                  label="Locn of delivery: Village (Able ans)" ;
    attrib CH19ABX                  label="Locn of delivery: Sub-dist (Able ans)" ;
    attrib CH19ACX                  label="Locn of delivery: Municipal (Able ans)" ;
    attrib CH19ADX                  label="Locn of delivery: Province (Able ans)" ;
    attrib CH20     length= $7.0    label="Who prvd care during[..]s brt?" ;
    attrib CH25                     label="Is [child] still alive?" ;
    attrib CH26X                    label="time when [child] died" ;
    attrib CH26                     label="How old was [child] when died?" ;
    attrib CH27                     label="Line # of HH member (Constructed)" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_ch1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          CH05      1.0
           @28          CH06      1.0
           @29          CH06A     1.0
           @30          CH08      1.0
           @31          CH09X     1.0
           @32          CH09DAY   2.0
           @34          CH09MTH   2.0
           @36          CH09YR    4.0
           @40          CH10AX    1.0
           @41          CH10A     1.0
           @42          CH10BX    1.0
           @43          CH10B     1.0
           @44          CH14      1.0
           @45          CH15      $CHAR9.0
           @54          CH15AAX   1.0
           @55          CH15ABX   1.0
           @56          CH15ACX   1.0
           @57          CH15ADX   1.0
           @58          CH18      1.0
           @59          CH18A     1.0
           @60          CH19      2.0
           @62          CH19AAX   1.0
           @63          CH19ABX   1.0
           @64          CH19ACX   1.0
           @65          CH19ADX   1.0
           @66          CH20      $CHAR7.0
           @73          CH25      1.0
           @74          CH26X     1.0
           @75          CH26      2.0
           @77          CH27      2.0
           @79          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format CH05         COUNT. ;
    format CH06         CH06_. ;
    format CH06A        YESNO. ;
    format CH08         SEX. ;
    format CH09X        CH09X. ;
    format CH10AX       ANS_GIVN. ;
    format CH10BX       ANS_GIVN. ;
    format CH14         CH14_. ;
    format CH15AAX      ANS_GIVN. ;
    format CH15ABX      ANS_GIVN. ;
    format CH15ACX      ANS_GIVN. ;
    format CH15ADX      ANS_GIVN. ;
    format CH18         CH18_. ;
    format CH18A        YESNO. ;
    format CH19         CH19_. ;
    format CH19AAX      ANS_GIVN. ;
    format CH19ABX      ANS_GIVN. ;
    format CH19ACX      ANS_GIVN. ;
    format CH19ADX      ANS_GIVN. ;
    format CH25         YESNO. ;
    format CH26X        TUNIT. ;

*-------------------------------------------*
* MODULE b3p_cx
*-------------------------------------------*;
data b3p_cx ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib CX20                     label="Currently using method" ;
    attrib CX21                     label="Type of contraceptive method" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_cx  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          CX20      1.0
           @28          CX21      2.0
           @30          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format CX20         YESNO. ;
    format CX21         CX21_. ;

*-------------------------------------------*
* MODULE b3p_ba0
*-------------------------------------------*;
data b3p_ba0 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $9.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BA04P                    label="Does father live in this HH?" ;
    attrib BA04M                    label="Does mother live in this HH?" ;
    attrib BA04APX                  label="Ivwr check: Does father live in HH?" ;
    attrib BA04AMX                  label="Ivwr check: Does mother live in HH?" ;
    attrib BA04AP                   label="Line number of father in HH roster" ;
    attrib BA04AM                   label="Line number of mother in HH roster" ;
    attrib BA05P                    label="Is R's father still alive?" ;
    attrib BA05M                    label="Is R's mother still alive?" ;
    attrib BA06AP                   label="Was father alive 12 months ago?" ;
    attrib BA06AM                   label="Was mother alive 12 months ago?" ;
    attrib BA06BP                   label="How often does R see father?" ;
    attrib BA06BM                   label="How often does R see mother?" ;
    attrib BA06CP                   label="Iwvr Check:Father still alive?" ;
    attrib BA06CM                   label="Iwvr Check:mother still alive?" ;
    attrib BA06DPX                  label="When did father die? (Able answer)" ;
    attrib BA06DMX                  label="When did mother die? (Able answer)" ;
    attrib BA06DYRP                 label="Year of father's death" ;
    attrib BA06DYRM                 label="Year of mother's death" ;
    attrib BA06DMTP                 label="Month of father's death" ;
    attrib BA06DMTM                 label="Month of mother's death" ;
    attrib BA07PX                   label="Age of father at death/now (Able ans)" ;
    attrib BA07MX                   label="Age of mother at death/now (Able ans)" ;
    attrib BA07YRP                  label="Age of father at death/now" ;
    attrib BA07YRM                  label="Age of mother at death/now" ;
    attrib BA08P                    label="Father's highest level education" ;
    attrib BA08M                    label="Mother's highest level education" ;
    attrib BA09P                    label="Highest grade father completed" ;
    attrib BA09M                    label="Highest grade mother completed" ;
    attrib BA10P                    label="Ivwr note-R's father in HH/out HH/died" ;
    attrib BA10M                    label="Ivwr note-R's mother in HH/out HH/died" ;
    attrib BA10A                    label="Interviewer check BA10" ;
    attrib BA18                     label="Birth parents still married?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_ba0 " then input;
      else do; 
       input
           @9           HHID97    $CHAR9.0
           @18          PID97     2.0
           @20          PIDLINK   $CHAR9.0
           @29          BA04P     1.0
           @30          BA04M     1.0
           @31          BA04APX   1.0
           @32          BA04AMX   1.0
           @33          BA04AP    2.0
           @35          BA04AM    1.0
           @36          BA05P     1.0
           @37          BA05M     1.0
           @38          BA06AP    1.0
           @39          BA06AM    1.0
           @40          BA06BP    1.0
           @41          BA06BM    1.0
           @42          BA06CP    1.0
           @43          BA06CM    1.0
           @44          BA06DPX   1.0
           @45          BA06DMX   1.0
           @46          BA06DYRP  4.0
           @50          BA06DYRM  4.0
           @54          BA06DMTP  2.0
           @56          BA06DMTM  2.0
           @58          BA07PX    1.0
           @59          BA07MX    1.0
           @60          BA07YRP   3.0
           @63          BA07YRM   3.0
           @66          BA08P     2.0
           @68          BA08M     2.0
           @70          BA09P     2.0
           @72          BA09M     2.0
           @74          BA10P     1.0
           @75          BA10M     1.0
           @76          BA10A     1.0
           @77          BA18      1.0
           @78          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BA04P        YESNO. ;
    format BA04M        YESNO. ;
    format BA04APX      YESNO. ;
    format BA04AMX      YESNO. ;
    format BA05P        YESNO. ;
    format BA05M        YESNO. ;
    format BA06AP       YESNO. ;
    format BA06AM       YESNO. ;
    format BA06BP       FRQSEE. ;
    format BA06BM       FRQSEE. ;
    format BA06CP       YESNO. ;
    format BA06CM       YESNO. ;
    format BA06DPX      ANS_GIVN. ;
    format BA06DMX      ANS_GIVN. ;
    format BA06DMTP     MTH. ;
    format BA06DMTM     MTH. ;
    format BA07PX       ANS_GIVN. ;
    format BA07MX       ANS_GIVN. ;
    format BA08P        EDLEV. ;
    format BA08M        EDLEV. ;
    format BA09P        EDGRD. ;
    format BA09M        EDGRD. ;
    format BA10P        BA10X1_. ;
    format BA10M        BA10X1_. ;
    format BA10A        BA10A. ;
    format BA18         YESNO. ;

*-------------------------------------------*
* MODULE b3p_ba1
*-------------------------------------------*;
data b3p_ba1 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BA19P                    label="Do you provide father w/ econ support?" ;
    attrib BA19M                    label="Do you provide mother w/ econ support?" ;
    attrib BA20XP   length= $4.0    label="Type econ support provided to father" ;
    attrib BA20XM   length= $4.0    label="Type econ support provided to mother" ;
    attrib BA20AP                   label="Amt money/loan provided to father?" ;
    attrib BA20AM                   label="Amt money/loan provided to mother?" ;
    attrib BA20DP                   label="Amt food/goods provided to father?" ;
    attrib BA20DM                   label="Amt food/goods provided to mother?" ;
    attrib BA20EPX                  label="Code of time for ba20ep" ;
    attrib BA20EMX                  label="Code of time for ba20em" ;
    attrib BA20EP                   label="Amt hh chores/childcare to father?" ;
    attrib BA20EM                   label="Amt hh chores/childcare to mother?" ;
    attrib BA20FP                   label="Amt other econ support to father?" ;
    attrib BA20FM                   label="Amt other econ support to mother?" ;
    attrib BA21P                    label="Have you recvd econ supprt from father" ;
    attrib BA21M                    label="Have you recvd econ supprt from mother" ;
    attrib BA22XP   length= $4.0    label="Type econ support received from father" ;
    attrib BA22XM   length= $4.0    label="Type econ support received from mother" ;
    attrib BA22AP                   label="Amt money/loan received from father?" ;
    attrib BA22AM                   label="Amt money/loan received from mother?" ;
    attrib BA22DP                   label="Amt food & goods received from father?" ;
    attrib BA22DM                   label="Amt food & goods received from mother?" ;
    attrib BA22EPX                  label="Code of time for ba22ep" ;
    attrib BA22EMX                  label="Code of time for ba22em" ;
    attrib BA22EP                   label="Amt hh chores/childcare from father?" ;
    attrib BA22EM                   label="Amt hh chores/childcare from mother?" ;
    attrib BA22FP                   label="Amt other economic support from father?" ;
    attrib BA22FM                   label="Amt other economic support from mother?" ;
    attrib BA23AP                   label="R is head or spouse of head of HH?" ;
    attrib BA23AM                   label="R is head or spouse of head of HH?" ;
    attrib BA24AP                   label="Father lives with head?" ;
    attrib BA24AM                   label="Mother lives with head?" ;
    attrib BA11P                    label="Father's primary activity" ;
    attrib BA11M                    label="Mother's primary activity" ;
    attrib BA13P                    label="What type of work does father do?" ;
    attrib BA13M                    label="What type of work does mother do?" ;
    attrib BA15P    length= $8.0    label="With whom does/did father live?" ;
    attrib BA15M    length= $8.0    label="With whom does/did mother live?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_ba1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          BA19P     1.0
           @28          BA19M     1.0
           @29          BA20XP    $CHAR4.0
           @33          BA20XM    $CHAR4.0
           @37          BA20AP    7.0
           @44          BA20AM    7.0
           @51          BA20DP    6.0
           @57          BA20DM    6.0
           @63          BA20EPX   2.0
           @65          BA20EMX   2.0
           @67          BA20EP    2.0
           @69          BA20EM    2.0
           @71          BA20FP    1.0
           @72          BA20FM    1.0
           @73          BA21P     1.0
           @74          BA21M     1.0
           @75          BA22XP    $CHAR4.0
           @79          BA22XM    $CHAR4.0
           @83          BA22AP    7.0
           @90          BA22AM    7.0
           @97          BA22DP    8.0
           @105         BA22DM    6.0
           @111         BA22EPX   2.0
           @113         BA22EMX   2.0
           @115         BA22EP    2.0
           @117         BA22EM    2.0
           @119         BA22FP    1.0
           @120         BA22FM    1.0
           @121         BA23AP    1.0
           @122         BA23AM    1.0
           @123         BA24AP    1.0
           @124         BA24AM    1.0
           @125         BA11P     2.0
           @127         BA11M     2.0
           @129         BA13P     2.0
           @131         BA13M     1.0
           @132         BA15P     $CHAR8.0
           @140         BA15M     $CHAR8.0
           @148         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BA19P        YESNO. ;
    format BA19M        YESNO. ;
    format BA20EPX      TUNIT. ;
    format BA20EMX      TUNIT. ;
    format BA21P        YESNO. ;
    format BA21M        YESNO. ;
    format BA22EPX      TUNIT. ;
    format BA22EMX      TUNIT. ;
    format BA22EP       NUM2_. ;
    format BA22EM       NUM2_. ;
    format BA23AP       YESNO. ;
    format BA23AM       YESNO. ;
    format BA24AP       YESNO. ;
    format BA24AM       YESNO. ;
    format BA11P        MACT. ;
    format BA11M        MACT. ;
    format BA13P        SECT. ;
    format BA13M        SECT. ;

*-------------------------------------------*
* MODULE b3p_ba2
*-------------------------------------------*;
data b3p_ba2 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BA28X                    label="Panel w preprint/no or new" ;
    attrib BA28                     label="Sibs not live this HH?" ;
    attrib BA28A                    label="HH head mom/dad?" ;
    attrib BA28B                    label="Wife HH head mom?" ;
    attrib BA28C                    label="HH head sibling?" ;
    attrib BA28D                    label="Wife HH head sister?" ;
    attrib BA29A                    label="# sibs not in HH--alive" ;
    attrib BA29B                    label="# sibs not in HH--dead" ;
    attrib BA30                     label="Total # sibs not in HH" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_ba2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          BA28X     1.0
           @28          BA28      1.0
           @29          BA28A     1.0
           @30          BA28B     1.0
           @31          BA28C     1.0
           @32          BA28D     1.0
           @33          BA29A     2.0
           @35          BA29B     1.0
           @36          BA30      2.0
           @38          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BA28X        BA28X. ;
    format BA28         YESNO. ;
    format BA28A        YESNO. ;
    format BA28B        YESNO. ;
    format BA28C        YESNO. ;
    format BA28D        YESNO. ;

*-------------------------------------------*
* MODULE b3p_ba3
*-------------------------------------------*;
data b3p_ba3 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PPSIB                    label="Preprinted sib roster used/not" ;
    attrib BA30A_93                 label="ba30a on 93 roster (if roster used)" ;
    attrib BA30A                    label="Sibling line number" ;
    attrib BA30C                    label="Sibling gender" ;
    attrib BA30C1X                  label="Sibling age in 93 (able ans)" ;
    attrib BA30C1                   label="Sibling age in 93" ;
    attrib BA30C2                   label="Does [sib] live in hh?" ;
    attrib BA30D                    label="Is [sib] alive?" ;
    attrib BA30E                    label="Did [sib] die past 12 mo?" ;
    attrib BA30FX                   label="Sib current age (able ans)" ;
    attrib BA30F                    label="Sibling current age" ;
    attrib BA36                     label="Sibs highest level of educ" ;
    attrib BA37                     label="Highest grade sib completed" ;
    attrib BA39                     label="Sibs marital status" ;
    attrib BA40                     label="Primary activity of [sib]" ;
    attrib BA42                     label="What type work does [sib] do?" ;
    attrib BA43                     label="Where does/did [sib] live?" ;
    attrib BA45                     label="How often do you see [sibling]" ;
    attrib SAMESIB                  label="Line # for other record of this sib" ;
    attrib NOTSIB                   label="Not a sibling" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_ba3 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PPSIB     1.0
           @28          BA30A_93  2.0
           @30          BA30A     2.0
           @32          BA30C     1.0
           @33          BA30C1X   1.0
           @34          BA30C1    2.0
           @36          BA30C2    1.0
           @37          BA30D     1.0
           @38          BA30E     1.0
           @39          BA30FX    1.0
           @40          BA30F     2.0
           @42          BA36      2.0
           @44          BA37      2.0
           @46          BA39      1.0
           @47          BA40      2.0
           @49          BA42      2.0
           @51          BA43      2.0
           @53          BA45      1.0
           @54          SAMESIB   1.0
           @55          NOTSIB    1.0
           @56          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PPSIB        PPSIB_. ;
    format BA30C        SEX. ;
    format BA30C1X      RUPIAH. ;
    format BA30C2       YESNO. ;
    format BA30D        YESNO. ;
    format BA30E        YESNO. ;
    format BA30FX       RUPIAH. ;
    format BA36         EDLEV. ;
    format BA37         EDGRD. ;
    format BA39         MARSTAT. ;
    format BA40         MACT. ;
    format BA42         SECT. ;
    format BA43         RES. ;
    format BA45         FRQSEE. ;
    format NOTSIB       NOTSIB_. ;

*-------------------------------------------*
* MODULE b3p_ba4
*-------------------------------------------*;
data b3p_ba4 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BA54                     label="Supported sibs not listed here" ;
    attrib BA55X    length= $4.0    label="Econ support (of type ADEF) provided?" ;
    attrib BA55A                    label="Amount of money/loan provided?" ;
    attrib BA55D                    label="Amount/food & goods provided?" ;
    attrib BA55EX                   label="Code of time for ba55e1" ;
    attrib BA55E                    label="Amount hh chores/childcare?" ;
    attrib BA55F                    label="Amount/other economic support?" ;
    attrib BA56                     label="Rec'd support from other sibs?" ;
    attrib BA57X    length= $4.0    label="Econ support (of type ADEF) received?" ;
    attrib BA57A                    label="Amount of money/loan received?" ;
    attrib BA57D                    label="Amount/food & goods received?" ;
    attrib BA57EX                   label="Code of time for ba57e1" ;
    attrib BA57E                    label="Amount hh chores/childcare?" ;
    attrib BA57F                    label="Amount/other economic support?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_ba4 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          BA54      1.0
           @28          BA55X     $CHAR4.0
           @32          BA55A     8.0
           @40          BA55D     6.0
           @46          BA55EX    1.0
           @47          BA55E     2.0
           @49          BA55F     1.0
           @50          BA56      1.0
           @51          BA57X     $CHAR4.0
           @55          BA57A     7.0
           @62          BA57D     6.0
           @68          BA57EX    1.0
           @69          BA57E     2.0
           @71          BA57F     1.0
           @72          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BA54         YESNO. ;
    format BA55EX       TUNIT. ;
    format BA56         YESNO. ;
    format BA57EX       TUNIT. ;
    format BA57E        NUM2_. ;

*-------------------------------------------*
* MODULE b3p_ba5
*-------------------------------------------*;
data b3p_ba5 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PPCHILD                  label="Preprinted child roster used/not" ;
    attrib BA58X                    label="Respondent is panel or new" ;
    attrib BA58A                    label="Preprint roster?" ;
    attrib BA58B                    label="Interviewer verify r's gender" ;
    attrib BA59                     label="Does your wife live in your HH" ;
    attrib BA60                     label="Intrvwr verify-r has married" ;
    attrib BA61                     label="Do you have children out of HH" ;
    attrib BA62                     label="Children from other marriage?" ;
    attrib BA63                     label="Total # of children out of hh" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_ba5 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PPCHILD   1.0
           @28          BA58X     1.0
           @29          BA58A     1.0
           @30          BA58B     1.0
           @31          BA59      1.0
           @32          BA60      1.0
           @33          BA61      1.0
           @34          BA62      1.0
           @35          BA63      2.0
           @37          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PPCHILD      PPCHILD. ;
    format BA58X        PANEW. ;
    format BA58A        BA58A. ;
    format BA58B        BA58B. ;
    format BA59         BA59_. ;
    format BA60         BA60_. ;
    format BA61         BA61_. ;
    format BA62         YESNO. ;

*-------------------------------------------*
* MODULE b3p_ba6
*-------------------------------------------*;
data b3p_ba6 ;

    infile inb3p pad lrecl= 474 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib SAMEKID                  label="Line # for other record of this child" ;
    attrib PPCHILD                  label="Preprinted roster used? label" ;
    attrib AR00_93                  label="93 child line number AR00" ;
    attrib BA63A_93                 label="93 child line number BA63A" ;
    attrib CH05_93                  label="93 child line number CH05" ;
    attrib BA63A                    label="Line # of child listed" ;
    attrib BA64                     label="Gender of child" ;
    attrib BA64A                    label="Age in 1993" ;
    attrib BA64BMX                  label="Month of child birth (able ans)" ;
    attrib BA64BMT                  label="Date of birth of child (month)" ;
    attrib BA64BYX                  label="Year of child birth (able ans)" ;
    attrib BA64BYR                  label="Date of birth of child (year)" ;
    attrib BA64C                    label="In HH roster in 1997" ;
    attrib BA65                     label="Is [child] still alive?" ;
    attrib BA65AMX                  label="Date of death (month--able ans)" ;
    attrib BA65AMT                  label="Date of death (month)" ;
    attrib BA65AYX                  label="Date of death (year--able ans)" ;
    attrib BA65AYR                  label="Date of death (year)" ;
    attrib BA66X                    label="Child's age (able ans)" ;
    attrib BA66                     label="Child's age" ;
    attrib BA67                     label="Child's marital status?" ;
    attrib BA68                     label="Child's highest level of educa" ;
    attrib BA69                     label="Highest grade child completed" ;
    attrib BA70                     label="Where does child live?" ;
    attrib BA80                     label="Primary activity of [child]?" ;
    attrib BA81                     label="[Child's] work status?" ;
    attrib BA82                     label="What type work does child do?" ;
    attrib BA84                     label="How often do you see [child]?" ;
    attrib BA87A                    label="You provided economic support?" ;
    attrib BA88X    length= $4.0    label="Type/economic support provided" ;
    attrib BA88A                    label="Amount money/loan provided" ;
    attrib BA88D                    label="Amount food & gifts provided" ;
    attrib BA88EX                   label="Amt time HH chores/childcare provided" ;
    attrib BA88E                    label="Amount hh chores/childcare?" ;
    attrib BA88F                    label="Amount other support provided" ;
    attrib BA89A                    label="You rec'd support from child?" ;
    attrib BA90X    length= $4.0    label="Type/economic support received" ;
    attrib BA90A                    label="Amount money/loan received" ;
    attrib BA90D                    label="Amount food & gifts received" ;
    attrib BA90EX                   label="Amt time HH chores/childcare provided" ;
    attrib BA90E                    label="Amount hh chores/childcare?" ;
    attrib BA90F                    label="Amount other support received" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b3p_ba6 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          SAMEKID   1.0
           @28          PPCHILD   1.0
           @29          AR00_93   2.0
           @31          BA63A_93  2.0
           @33          CH05_93   2.0
           @35          BA63A     2.0
           @37          BA64      1.0
           @38          BA64A     2.0
           @40          BA64BMX   1.0
           @41          BA64BMT   2.0
           @43          BA64BYX   1.0
           @44          BA64BYR   2.0
           @46          BA64C     1.0
           @47          BA65      1.0
           @48          BA65AMX   1.0
           @49          BA65AMT   2.0
           @51          BA65AYX   1.0
           @52          BA65AYR   4.0
           @56          BA66X     1.0
           @57          BA66      2.0
           @59          BA67      1.0
           @60          BA68      2.0
           @62          BA69      2.0
           @64          BA70      2.0
           @66          BA80      2.0
           @68          BA81      2.0
           @70          BA82      2.0
           @72          BA84      1.0
           @73          BA87A     1.0
           @74          BA88X     $CHAR4.0
           @78          BA88A     8.0
           @86          BA88D     6.0
           @92          BA88EX    2.0
           @94          BA88E     3.0
           @97          BA88F     1.0
           @98          BA89A     1.0
           @99          BA90X     $CHAR4.0
           @103         BA90A     8.0
           @111         BA90D     7.0
           @118         BA90EX    2.0
           @120         BA90E     3.0
           @123         BA90F     5.0
           @128         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PPCHILD      PPCHILD. ;
    format AR00_93      BAAR0_. ;
    format CH05_93      BACH5_. ;
    format BA64         SEX. ;
    format BA64BMX      ANS_GIVN. ;
    format BA64BMT      MTH. ;
    format BA64BYX      ANS_GIVN. ;
    format BA64C        YESNO. ;
    format BA65         YESNO. ;
    format BA65AMX      ANS_GIVN. ;
    format BA65AMT      MTH. ;
    format BA65AYX      ANS_GIVN. ;
    format BA66X        YESNO. ;
    format BA67         MARSTAT. ;
    format BA68         EDLEV. ;
    format BA69         EDGRD. ;
    format BA70         RES. ;
    format BA80         MACT. ;
    format BA81         EMPTYP. ;
    format BA82         SECT. ;
    format BA84         FRQSEE. ;
    format BA87A        YESNO. ;
    format BA88EX       TUNIT. ;
    format BA88E        NUM3_. ;
    format BA89A        YESNO. ;
    format BA90EX       TUNIT. ;


*===========================================*
* BOOK b4
*===========================================*;

*-------------------------------------------*
* MODULE b4_cov
*-------------------------------------------*;
data b4_cov ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib EDITOR   length= $3.0    label="Editor" ;
    attrib IDIVWR   length= $3.0    label="Interviewer code" ;
    attrib PANEL                    label="Respondent panel or new" ;
    attrib AGE                      label="Age of household member" ;
    attrib MARSTAT                  label="Marital status" ;
    attrib NUMVIS                   label="Number of visits" ;
    attrib IVWDAY1                  label="Date of 1st interview: day" ;
    attrib IVWMTH1                  label="Date of 1st interview: month" ;
    attrib IVWYR1                   label="Date of 1st interview: year" ;
    attrib BEGHR1                   label="Time 1st interview began (hour)" ;
    attrib BEGMIN1                  label="Time 1st interview began (minute)" ;
    attrib ENDHR1                   label="Time 1st interview ended (hour)" ;
    attrib ENDMIN1                  label="Time 1st interview ended (minute)" ;
    attrib IVWDAY2                  label="Date of 2nd interview: day" ;
    attrib IVWMTH2                  label="Date of 2nd interview: month" ;
    attrib IVWYR2                   label="Date of 2nd interview: year" ;
    attrib BEGHR2                   label="Time 2nd interview began (hour)" ;
    attrib BEGMIN2                  label="Time 2nd interview began (minute)" ;
    attrib ENDHR2                   label="Time 2nd interview ended (hour)" ;
    attrib ENDMIN2                  label="Time 2nd interview ended (minute)" ;
    attrib IVWDAY3                  label="Date of 3rd interview: day" ;
    attrib IVWMTH3                  label="Date of 3rd interview: month" ;
    attrib IVWYR3                   label="Date of 3rd interview: year" ;
    attrib BEGHR3                   label="Time 3rd interview began (hour)" ;
    attrib BEGMIN3                  label="Time 3rd interview began (minute)" ;
    attrib ENDHR3                   label="Time 3rd interview ended (hour)" ;
    attrib ENDMIN3                  label="Time 3rd interview ended (minute)" ;
    attrib LANGMAIN                 label="Main language of interview" ;
    attrib LANGOTHR                 label="Other language of interview if any" ;
    attrib RESULT                   label="Result of interview" ;
    attrib REASON                   label="Reason interview not completed" ;
    attrib EDIT_CK                  label="Result of editor checks" ;
    attrib SUP_OBS                  label="Supervisor observed ivw?" ;
    attrib SUP_EDIT                 label="Supervisor checked edits?" ;
    attrib DOB_DAY                  label="Date of birth (day)" ;
    attrib DOB_MTH                  label="Date of birth (month)" ;
    attrib DOB_YR                   label="Date of birth (year)" ;
    attrib CP1      length= $6.0    label="Who else present during interview?" ;
    attrib CP2                      label="Ivwr eval of accuracy of Resp answers" ;
    attrib CP3                      label="Ivwr eval of serious/attentiveness of R" ;
    attrib CP4      length= $60.0   label="Qs R found difficlt/embarassng/confusing" ;
    attrib CP5      length= $60.0   label="Qs ivwr found diffic/embarassng/confusng" ;
    attrib CP6      length= $60.0   label="Qs in which Resp seem interested" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_cov  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          EDITOR    $CHAR3.0
           @30          IDIVWR    $CHAR3.0
           @33          PANEL     1.0
           @34          AGE       2.0
           @36          MARSTAT   1.0
           @37          NUMVIS    1.0
           @38          IVWDAY1   2.0
           @40          IVWMTH1   2.0
           @42          IVWYR1    4.0
           @46          BEGHR1    2.0
           @48          BEGMIN1   2.0
           @50          ENDHR1    2.0
           @52          ENDMIN1   2.0
           @54          IVWDAY2   2.0
           @56          IVWMTH2   2.0
           @58          IVWYR2    4.0
           @62          BEGHR2    2.0
           @64          BEGMIN2   2.0
           @66          ENDHR2    2.0
           @68          ENDMIN2   2.0
           @70          IVWDAY3   2.0
           @72          IVWMTH3   2.0
           @74          IVWYR3    4.0
           @78          BEGHR3    2.0
           @80          BEGMIN3   2.0
           @82          ENDHR3    2.0
           @84          ENDMIN3   2.0
           @86          LANGMAIN  2.0
           @88          LANGOTHR  2.0
           @90          RESULT    1.0
           @91          REASON    1.0
           @92          EDIT_CK   1.0
           @93          SUP_OBS   1.0
           @94          SUP_EDIT  1.0
           @95          DOB_DAY   2.0
           @97          DOB_MTH   2.0
           @99          DOB_YR    4.0
           @103         CP1       $CHAR6.0
           @109         CP2       1.0
           @110         CP3       1.0
           @111         CP4       $CHAR60.0
           @171         CP5       $CHAR60.0
           @231         CP6       $CHAR60.0
           @291         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PANEL        PANEW. ;
    format MARSTAT      MARSTAT. ;
    format NUMVIS       COUNT. ;
    format IVWMTH1      MTH. ;
    format IVWYR1       YR. ;
    format IVWMTH2      MTH. ;
    format IVWYR2       YR. ;
    format IVWMTH3      MTH. ;
    format IVWYR3       YR. ;
    format LANGMAIN     LANGDET. ;
    format LANGOTHR     LANGDET. ;
    format RESULT       RES_IVW. ;
    format REASON       REASON. ;
    format EDIT_CK      EDITST. ;
    format SUP_OBS      YESNO. ;
    format SUP_EDIT     YESNO. ;
    format CP2          CP23_. ;
    format CP3          CP23_. ;

*-------------------------------------------*
* MODULE b4_kw1
*-------------------------------------------*;
data b4_kw1 ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib KW02                     label="What is your marital status ?" ;
    attrib KW02B                    label="Taken pill Zat Besi last 4 wks" ;
    attrib KW02CX                   label="Number of pills Zat Besi (able ans)" ;
    attrib KW02C                    label="Number of pills Zat Besi taken" ;
    attrib KW02D    length= $5.0    label="Place obtained pill Zat Besi" ;
    attrib KW02E                    label="Did you received inj. TT/Imun?" ;
    attrib KW12A    length= $10.0   label="What was the form of dowry ?" ;
    attrib KW12BX                   label="Currency dowry (Able ans)" ;
    attrib KW12B                    label="Value of dowry" ;
    attrib KW13A    length= $10.0   label="Non consumed form of dowry?" ;
    attrib KW13BX                   label="Currency nc dowry (Able ans)" ;
    attrib KW13B                    label="Value of nc dowry" ;
    attrib KW14X                    label="Currency total assets (Able ans)" ;
    attrib KW14                     label="Total assets before marriage" ;
    attrib KW14A                    label="Did you move after your weddng" ;
    attrib KW14BAX                  label="Name village given" ;
    attrib KW14BBX                  label="Name kecamatan given" ;
    attrib KW14BCX                  label="Name kabupaten given" ;
    attrib KW14BDX                  label="Name province given" ;
    attrib KW14CX                   label="How long reside @1st resid? (units)" ;
    attrib KW14C                    label="How long reside @1st res after wedding?" ;
    attrib KW14D                    label="Spouse moved when you married?" ;
    attrib KW14E                    label="Start livg togthr after weddng" ;
    attrib KW14FX                   label="Time married before live togeth (units)" ;
    attrib KW14F                    label="Enter length of time" ;
    attrib KW14G    length= $9.0    label="Who else lived w/you & spouse?" ;
    attrib KW03                     label="How many times have you been married? la" ;
    attrib KW04                     label="Who chose your husband?" ;
    attrib KW09X                    label="Number of Marriages" ;
    attrib KW23AX                   label="Ideal number of children (Able ans)" ;
    attrib KW23A                    label="Ideal number of children" ;
    attrib KW23BX                   label="Age first menstruate (Able ans)" ;
    attrib KW23B                    label="Age first menstruate" ;
    attrib KW23C                    label="Intvw note:" ;
    attrib KW23D                    label="Do you now still have menst.?" ;
    attrib KW23EX                   label="Age stop menstruate (Able ans)" ;
    attrib KW23E                    label="Age stop menstruate" ;
    attrib KW24                     label="Are U able to conceive child?" ;
    attrib KW25                     label="Do you want another child?" ;
    attrib KW26X                    label="How many more children (Able ans)" ;
    attrib KW26                     label="How many more children do you want" ;
    attrib KW27AX                   label="# additional sons (Able ans)" ;
    attrib KW27A                    label="# of additional sons wanted" ;
    attrib KW27BX                   label="# additional daughters (Able ans)" ;
    attrib KW27B                    label="# of addit'l daughters wanted" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_kw1  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          KW02      1.0
           @28          KW02B     1.0
           @29          KW02CX    1.0
           @30          KW02C     3.0
           @33          KW02D     $CHAR5.0
           @38          KW02E     1.0
           @39          KW12A     $CHAR10.0
           @49          KW12BX    2.0
           @51          KW12B     8.0
           @59          KW13A     $CHAR10.0
           @69          KW13BX    2.0
           @71          KW13B     8.0
           @79          KW14X     2.0
           @81          KW14      9.0
           @90          KW14A     1.0
           @91          KW14BAX   1.0
           @92          KW14BBX   1.0
           @93          KW14BCX   1.0
           @94          KW14BDX   1.0
           @95          KW14CX    2.0
           @97          KW14C     2.0
           @99          KW14D     1.0
           @100         KW14E     1.0
           @101         KW14FX    2.0
           @103         KW14F     2.0
           @105         KW14G     $CHAR9.0
           @114         KW03      2.0
           @116         KW04      1.0
           @117         KW09X     1.0
           @118         KW23AX    1.0
           @119         KW23A     2.0
           @121         KW23BX    1.0
           @122         KW23B     2.0
           @124         KW23C     1.0
           @125         KW23D     1.0
           @126         KW23EX    1.0
           @127         KW23E     2.0
           @129         KW24      1.0
           @130         KW25      1.0
           @131         KW26X     1.0
           @132         KW26      2.0
           @134         KW27AX    1.0
           @135         KW27A     1.0
           @136         KW27BX    1.0
           @137         KW27B     1.0
           @138         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KW02         MARSTAT. ;
    format KW02B        YESNO. ;
    format KW02CX       ANS_GIVN. ;
    format KW02E        YESNO. ;
    format KW12BX       RUPCURR. ;
    format KW13BX       RUPCURR. ;
    format KW14X        RUPCURR. ;
    format KW14A        KW14A. ;
    format KW14BAX      ANS_GIVN. ;
    format KW14BBX      ANS_GIVN. ;
    format KW14BCX      ANS_GIVN. ;
    format KW14BDX      ANS_GIVN. ;
    format KW14CX       TUNIT. ;
    format KW14D        YESNO. ;
    format KW14E        YESNO. ;
    format KW14FX       TUNIT. ;
    format KW03         COUNT. ;
    format KW04         KW04_. ;
    format KW09X        COUNT. ;
    format KW23AX       KW23AX. ;
    format KW23BX       ANS_GIVN. ;
    format KW23C        KW23C. ;
    format KW23D        YESNO. ;
    format KW23EX       ANS_GIVN. ;
    format KW24         YESNO. ;
    format KW25         YESNO. ;
    format KW26X        KW23AX. ;
    format KW26         KW23A. ;
    format KW27AX       KW23AX. ;
    format KW27A        KW23A. ;
    format KW27BX       KW23AX. ;
    format KW27B        KW23A. ;

*-------------------------------------------*
* MODULE b4_kw2
*-------------------------------------------*;
data b4_kw2 ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib KWN                      label="Marriage number" ;
    attrib KW10X                    label="When did you get married (able ans)" ;
    attrib KW10MTH                  label="When did you get married-mnth?" ;
    attrib KW10YR                   label="When did you get married-year?" ;
    attrib KW11X                    label="Age when you got married (able ans)" ;
    attrib KW11                     label="Age when you got married" ;
    attrib KW16                     label="Current status of the marriage" ;
    attrib KW17                     label="Your spouse lives in this hh?" ;
    attrib KW17A                    label="Spouse in HH" ;
    attrib KW17A1                   label="Line number of spouse in HH" ;
    attrib KW18X                    label="When did the marriage end (able ans)" ;
    attrib KW18MTH                  label="When did marriage end-mnth?" ;
    attrib KW18YR                   label="When did marriage end-year?" ;
    attrib KW19X                    label="Age when marriage ended (able ans)" ;
    attrib KW19                     label="Age when marriage ended" ;
    attrib KW20                     label="Spouses highest level of educ?" ;
    attrib KW21                     label="Highest grade spouse completed" ;
    attrib KW22X                    label="Interviewer check (panel) ?" ;
    attrib KW22A                    label="Intvw check (marr before 92)" ;
    attrib KW22B                    label="Intvw check (other marriage)" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_kw2  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          KWN       1.0
           @28          KW10X     1.0
           @29          KW10MTH   2.0
           @31          KW10YR    4.0
           @35          KW11X     1.0
           @36          KW11      2.0
           @38          KW16      1.0
           @39          KW17      1.0
           @40          KW17A     1.0
           @41          KW17A1    2.0
           @43          KW18X     1.0
           @44          KW18MTH   2.0
           @46          KW18YR    4.0
           @50          KW19X     1.0
           @51          KW19      2.0
           @53          KW20      2.0
           @55          KW21      2.0
           @57          KW22X     1.0
           @58          KW22A     1.0
           @59          KW22B     1.0
           @60          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format KWN          KWN. ;
    format KW10X        MTHYR. ;
    format KW11X        ANS_GIVN. ;
    format KW16         MARSTAT. ;
    format KW17         YESNO. ;
    format KW18X        MTHYR. ;
    format KW19X        ANS_GIVN. ;
    format KW20         EDLEV. ;
    format KW21         EDGRD. ;
    format KW22X        PANEW. ;
    format KW22A        KW22A. ;
    format KW22B        KW22B. ;

*-------------------------------------------*
* MODULE b4_br
*-------------------------------------------*;
data b4_br ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BR00X                    label="IVWR CK: Is Respondent Panel or New?" ;
    attrib BR00A                    label="IVWR CK: Pre-printer roster?" ;
    attrib BR01                     label="Have you ever given birth?" ;
    attrib BR02                     label="Any biological children live w/you?" ;
    attrib BR03                     label="# biological sons living w/you" ;
    attrib BR04                     label="# biological daughtrs live w/you" ;
    attrib BR05                     label="Any chldren living elsewhere?" ;
    attrib BR06                     label="# sons living elsewhere" ;
    attrib BR07                     label="# daughters living elswhere" ;
    attrib BR08                     label="Have any of your children died?" ;
    attrib BR09                     label="# sons born alive who have died" ;
    attrib BR10                     label="# daughters born alive who have died" ;
    attrib BR11                     label="Have you ever had a stillbirth?" ;
    attrib BR12                     label="# of stillbirths" ;
    attrib BR13                     label="Have you ever had any miscarriages?" ;
    attrib BR14                     label="# of miscarriages" ;
    attrib BR15                     label="Total number of live births" ;
    attrib BR15K                    label="BR03+04+06+07+09+10=BR15=#live births?" ;
    attrib BR16                     label="Total stillbirths & miscarriages" ;
    attrib BR16K                    label="BR12+14=BR16=#stillbirths+miscarr?" ;
    attrib BR16A                    label="IVW CK:Have child roster?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_br   " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          BR00X     1.0
           @28          BR00A     1.0
           @29          BR01      1.0
           @30          BR02      1.0
           @31          BR03      1.0
           @32          BR04      1.0
           @33          BR05      1.0
           @34          BR06      1.0
           @35          BR07      1.0
           @36          BR08      1.0
           @37          BR09      1.0
           @38          BR10      1.0
           @39          BR11      1.0
           @40          BR12      1.0
           @41          BR13      1.0
           @42          BR14      1.0
           @43          BR15      2.0
           @45          BR15K     1.0
           @46          BR16      1.0
           @47          BR16K     1.0
           @48          BR16A     1.0
           @49          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BR00X        BR00X. ;
    format BR00A        BR00A. ;
    format BR01         YESNO. ;
    format BR02         YESNO. ;
    format BR03         COUNT. ;
    format BR04         COUNT. ;
    format BR05         YESNO. ;
    format BR06         COUNT. ;
    format BR07         COUNT. ;
    format BR08         YESNO. ;
    format BR09         COUNT. ;
    format BR10         COUNT. ;
    format BR11         YESNO. ;
    format BR12         COUNT. ;
    format BR13         YESNO. ;
    format BR14         COUNT. ;
    format BR15K        YESNO. ;
    format BR16K        YESNO. ;
    format BR16A        YESNO. ;

*-------------------------------------------*
* MODULE b4_ba6
*-------------------------------------------*;
data b4_ba6 ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib SAMEKID                  label="Line # for other record of this child" ;
    attrib PPCHILD                  label="Preprinted roster used?" ;
    attrib AR00_93                  label="93 child line number AR00" ;
    attrib BA63A_93                 label="93 child line number BA63A" ;
    attrib CH05_93                  label="93 child line number CH05" ;
    attrib BA63A                    label="Line # of child listed" ;
    attrib BA64                     label="Gender of child" ;
    attrib BA64A                    label="Age in 1993" ;
    attrib BA64BMX                  label="Month of child birth (able ans)" ;
    attrib BA64BMT                  label="Date of birth of child (month)" ;
    attrib BA64BYX                  label="Year of child birth (able ans)" ;
    attrib BA64BYR                  label="Date of birth of child (year)" ;
    attrib BA64C                    label="In HH roster in 1997" ;
    attrib BA65                     label="Is [child] still alive?" ;
    attrib BA65AMX                  label="Date of death (month--able ans)" ;
    attrib BA65AMT                  label="Date of death (month)" ;
    attrib BA65AYX                  label="Date of death (year--able ans)" ;
    attrib BA65AYR                  label="Date of death (year)" ;
    attrib BA66X                    label="Child's age (able ans)" ;
    attrib BA66                     label="Child's age" ;
    attrib BA67                     label="Child's marital status?" ;
    attrib BA68                     label="Child's highest level of educa" ;
    attrib BA69                     label="Highest grade child completed" ;
    attrib BA70                     label="Where does child live?" ;
    attrib BA80                     label="Primary activity of [child]?" ;
    attrib BA81                     label="[Child's] work status?" ;
    attrib BA82                     label="What type work does child do?" ;
    attrib BA84                     label="How often do you see [child]?" ;
    attrib BA87A                    label="You provided economic support?" ;
    attrib BA88X    length= $4.0    label="Type/economic support provided" ;
    attrib BA88A                    label="Amount money/loan provided" ;
    attrib BA88D                    label="Amount food & gifts provided" ;
    attrib BA88EX                   label="Amt time HH chores/childcare provided" ;
    attrib BA88E                    label="Amount hh chores/childcare?" ;
    attrib BA88F                    label="Amount other support provided" ;
    attrib BA89A                    label="You rec'd support from child?" ;
    attrib BA90X    length= $4.0    label="Type/economic support received" ;
    attrib BA90A                    label="Amount money/loan provided" ;
    attrib BA90D                    label="Amount food & gifts provided" ;
    attrib BA90EX                   label="Amt time HH chores/childcare provided" ;
    attrib BA90E                    label="Amount hh chores/childcare?" ;
    attrib BA90F                    label="Amount other support provided" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_ba6  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     1.0
           @17          PIDLINK   $CHAR9.0
           @26          SAMEKID   1.0
           @27          PPCHILD   1.0
           @28          AR00_93   2.0
           @30          BA63A_93  2.0
           @32          CH05_93   2.0
           @34          BA63A     2.0
           @36          BA64      1.0
           @37          BA64A     2.0
           @39          BA64BMX   1.0
           @40          BA64BMT   2.0
           @42          BA64BYX   1.0
           @43          BA64BYR   2.0
           @45          BA64C     1.0
           @46          BA65      1.0
           @47          BA65AMX   1.0
           @48          BA65AMT   2.0
           @50          BA65AYX   1.0
           @51          BA65AYR   2.0
           @53          BA66X     1.0
           @54          BA66      2.0
           @56          BA67      1.0
           @57          BA68      2.0
           @59          BA69      2.0
           @61          BA70      2.0
           @63          BA80      2.0
           @65          BA81      2.0
           @67          BA82      2.0
           @69          BA84      1.0
           @70          BA87A     1.0
           @71          BA88X     $CHAR4.0
           @75          BA88A     8.0
           @83          BA88D     7.0
           @90          BA88EX    2.0
           @92          BA88E     3.0
           @95          BA88F     1.0
           @96          BA89A     1.0
           @97          BA90X     $CHAR4.0
           @101         BA90A     8.0
           @109         BA90D     7.0
           @116         BA90EX    2.0
           @118         BA90E     3.0
           @121         BA90F     3.0
           @124         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PPCHILD      PPCHILD. ;
    format AR00_93      BAAR0_. ;
    format CH05_93      BACH5_. ;
    format BA64         SEX. ;
    format BA64BMX      ANS_GIVN. ;
    format BA64BYX      ANS_GIVN. ;
    format BA64C        YESNO. ;
    format BA65         YESNO. ;
    format BA65AMX      ANS_GIVN. ;
    format BA65AYX      ANS_GIVN. ;
    format BA66X        ANS_GIVN. ;
    format BA67         MARSTAT. ;
    format BA68         EDLEV. ;
    format BA69         EDGRD. ;
    format BA70         RES. ;
    format BA80         MACT. ;
    format BA81         EMPTYP. ;
    format BA82         SECT. ;
    format BA84         FRQSEE. ;
    format BA87A        YESNO. ;
    format BA88EX       TUNIT. ;
    format BA89A        YESNO. ;
    format BA90EX       TUNIT. ;

*-------------------------------------------*
* MODULE b4_bx6
*-------------------------------------------*;
data b4_bx6 ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BX63A                    label="Line # of child listed" ;
    attrib BX64                     label="Gender of child" ;
    attrib BX65                     label="Is [child] still alive?" ;
    attrib BX66X                    label="Child's age (Able ans)" ;
    attrib BX66                     label="Child's age" ;
    attrib BX67                     label="Child's marital status?" ;
    attrib BX68                     label="Child's highest level of educa" ;
    attrib BX69                     label="Highest grade child completed" ;
    attrib BX70                     label="Where does child live?" ;
    attrib BX80                     label="Primary activity of [child]?" ;
    attrib BX81                     label="[Child's] work status?" ;
    attrib BX82                     label="What type work does child do?" ;
    attrib BX84                     label="How often do you see [child]?" ;
    attrib BX87A                    label="You provided economic support?" ;
    attrib BX88X    length= $4.0    label="Type/economic support provided" ;
    attrib BX88A                    label="Amount money/loan provided" ;
    attrib BX88D                    label="Amount food & gifts provided" ;
    attrib BX88EX                   label="Amt time HH chores/childcare provided" ;
    attrib BX88E                    label="Amount hh chores/childcare?" ;
    attrib BX88F                    label="Amount other support provided" ;
    attrib BX89A                    label="You rec'd support from child?" ;
    attrib BX90X    length= $4.0    label="Type/economic support received" ;
    attrib BX90A                    label="Amount money/loan provided" ;
    attrib BX90D                    label="Amount food & gifts provided" ;
    attrib BX90EX                   label="Amt time HH chores/childcare provided" ;
    attrib BX90E                    label="Amount hh chores/childcare?" ;
    attrib BX90F                    label="Amount other support provided" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_bx6  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     1.0
           @17          PIDLINK   $CHAR9.0
           @26          BX63A     1.0
           @27          BX64      1.0
           @28          BX65      1.0
           @29          BX66X     1.0
           @30          BX66      2.0
           @32          BX67      1.0
           @33          BX68      2.0
           @35          BX69      2.0
           @37          BX70      2.0
           @39          BX80      2.0
           @41          BX81      2.0
           @43          BX82      2.0
           @45          BX84      1.0
           @46          BX87A     1.0
           @47          BX88X     $CHAR4.0
           @51          BX88A     6.0
           @57          BX88D     6.0
           @63          BX88EX    2.0
           @65          BX88E     2.0
           @67          BX88F     1.0
           @68          BX89A     1.0
           @69          BX90X     $CHAR4.0
           @73          BX90A     7.0
           @80          BX90D     6.0
           @86          BX90EX    2.0
           @88          BX90E     2.0
           @90          BX90F     1.0
           @91          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BX64         SEX. ;
    format BX65         YESNO. ;
    format BX66X        ANS_GIVN. ;
    format BX67         MARSTAT. ;
    format BX68         EDLEV. ;
    format BX69         EDGRD. ;
    format BX70         RES. ;
    format BX80         MACT. ;
    format BX81         EMPTYP. ;
    format BX82         SECT. ;
    format BX84         FRQSEE. ;
    format BX87A        YESNO. ;
    format BX88EX       TUNIT. ;
    format BX88E        NUM3_. ;
    format BX89A        YESNO. ;
    format BX90EX       TUNIT. ;

*-------------------------------------------*
* MODULE b4_bf
*-------------------------------------------*;
data b4_bf ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib BF00                     label="Interviewer check" ;
    attrib BF02                     label="Age of youngest child (from ch00)" ;
    attrib BF03                     label="Child older than 8 years" ;
    attrib BF04                     label="Ever breastfed child" ;
    attrib BF05X                    label="Age first fed water (unit)" ;
    attrib BF05                     label="Age first fed water" ;
    attrib BF06X                    label="Age regularly fed foods (unit)" ;
    attrib BF06                     label="Age regularly fed foods" ;
    attrib BF07X                    label="Age child was weaned (unit-months)" ;
    attrib BF07                     label="Age child was weaned (months)" ;
    attrib BF08     length= $19.0   label="Reason stopped breastfeeding" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_bf   " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     1.0
           @17          PIDLINK   $CHAR9.0
           @26          BF00      1.0
           @27          BF02      2.0
           @29          BF03      1.0
           @30          BF04      1.0
           @31          BF05X     2.0
           @33          BF05      2.0
           @35          BF06X     2.0
           @37          BF06      2.0
           @39          BF07X     2.0
           @41          BF07      2.0
           @43          BF08      $CHAR19.0
           @62          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format BF00         BF00_. ;
    format BF03         YESNO. ;
    format BF04         YESNO. ;
    format BF05X        BF06X. ;
    format BF06X        BF06X. ;
    format BF07X        BF07X. ;

*-------------------------------------------*
* MODULE b4_ch0
*-------------------------------------------*;
data b4_ch0 ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib CH00                     label="Respondent panel or new" ;
    attrib CH01AA                   label="Have you been pregnant again ?" ;
    attrib CH01AB                   label="Times been pregnant since [..]" ;
    attrib CH01AC                   label="Are you currently pregnant? (0/1)" ;
    attrib CH01ACX                  label="Are you currently pregnant? (1/3)" ;
    attrib CH02A                    label="Total pregnancies since [..]" ;
    attrib CH01BA                   label="Total live births" ;
    attrib CH01BB                   label="Total still births & miscarr." ;
    attrib CH01BC                   label="Are you currently pregnant? (0/1)" ;
    attrib CH01BCX                  label="Are you currently pregnant? (1/3)" ;
    attrib CH02B                    label="Total pregnancies" ;
    attrib CH03                     label="Number preg records on b4_ch1" ;
    attrib CH11                     label="Match total columns filled in" ;
    attrib CH42B                    label="adopted children outside HH" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_ch0  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          CH00      1.0
           @28          CH01AA    1.0
           @29          CH01AB    1.0
           @30          CH01AC    1.0
           @31          CH01ACX   1.0
           @32          CH02A     1.0
           @33          CH01BA    2.0
           @35          CH01BB    1.0
           @36          CH01BC    1.0
           @37          CH01BCX   1.0
           @38          CH02B     2.0
           @40          CH03      2.0
           @42          CH11      1.0
           @43          CH42B     1.0
           @44          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format CH00         CH00_. ;
    format CH01AA       YESNO. ;
    format CH01AC       CH01AC. ;
    format CH01ACX      YESNO. ;
    format CH01BC       CH01BC. ;
    format CH01BCX      CH01BCX. ;
    format CH11         CH11_. ;

*-------------------------------------------*
* MODULE b4_ch1
*-------------------------------------------*;
data b4_ch1 ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib CH05                     label="Pregnancy result series" ;
    attrib CH06                     label="Pregnancy result types" ;
    attrib CH06A                    label="Did preg. end in multiple brth" ;
    attrib CH08                     label="Child is male or female?" ;
    attrib CH09X                    label="Date end of pregnancy (Able ans)" ;
    attrib CH09DAY                  label="Date of end of pregnancy (day)" ;
    attrib CH09MTH                  label="Date of end of pregnancy (mth)" ;
    attrib CH09YR                   label="Date of end of pregnancy (yr)" ;
    attrib CH10AX                   label="Age end preg (Able ans)" ;
    attrib CH10A                    label="Age of resp at end of preg" ;
    attrib CH10BX                   label="Age to est yr brth (Able ans)" ;
    attrib CH10B                    label="Use age to estimate yr brth" ;
    attrib CH17X                    label="How far preg. when [] born (units)" ;
    attrib CH17                     label="How far the preg. when [] born" ;
    attrib CH12                     label="Interviewer note" ;
    attrib CH13                     label="Interviewer note" ;
    attrib CH14                     label="Had pregnancy check up" ;
    attrib CH15     length= $9.0    label="Where preg check-ups" ;
    attrib CH15AAX                  label="Prenat care provder 1: Village(Able ans)" ;
    attrib CH15ABX                  label="Prenat care provder 1: Sub-dis(Able ans)" ;
    attrib CH15ACX                  label="Prenat care provder 1: Municip(Able ans)" ;
    attrib CH15ADX                  label="Prenat care provder 1: Provinc(Able ans)" ;
    attrib CH15BAX                  label="Prenat care provder 2: Village(Able ans)" ;
    attrib CH15BBX                  label="Prenat care provder 2: Sub-dis(Able ans)" ;
    attrib CH15BCX                  label="Prenat care provder 2: Municip(Able ans)" ;
    attrib CH15BDX                  label="Prenat care provder 2: Provinc(Able ans)" ;
    attrib CH16AX                   label="Visits preg care 1st trim? (Able ans)" ;
    attrib CH16A                    label="# visits preg care 1st trim." ;
    attrib CH16BX                   label="Visits preg care 2nd trim? (Able ans)" ;
    attrib CH16B                    label="# visits preg care 2nd trim." ;
    attrib CH16CX                   label="Visits preg care 3rd trim? (Able ans)" ;
    attrib CH16C                    label="# visits preg care 3rd trim." ;
    attrib CH16DA                   label="Get service Weight" ;
    attrib CH16DB                   label="Get service Height" ;
    attrib CH16DC                   label="Get service blood pressure" ;
    attrib CH16DD                   label="Get service test hemoglobin" ;
    attrib CH16DE                   label="Measurement of height of fetus" ;
    attrib CH16DF                   label="Listen to fetal heartbeat" ;
    attrib CH16DG                   label="Internal exam" ;
    attrib CH16DH                   label="Measurement of hips" ;
    attrib CH16E                    label="Did you received injection TT" ;
    attrib CH16F                    label="Did you received iron pills ?" ;
    attrib CH16GX                   label="# iron pills given (Able ans)" ;
    attrib CH16G                    label="# of iron pills received" ;
    attrib CH18                     label="Interviewer note" ;
    attrib CH18A                    label="Were U in labor more one night" ;
    attrib CH19                     label="Where did you give birth" ;
    attrib CH19AAX                  label="Locn of delivery: Village (Able ans)" ;
    attrib CH19ABX                  label="Locn of delivery: Sub-dist (Able ans)" ;
    attrib CH19ACX                  label="Locn of delivery: Municipal (Able ans)" ;
    attrib CH19ADX                  label="Locn of delivery: Province (Able ans)" ;
    attrib CH20     length= $7.0    label="Who provided care during [..]s birth?" ;
    attrib CH20AX   length= $1.0    label="Letter code for person provided care" ;
    attrib CH20C    length= $6.0    label="What factors to choose dlvrd" ;
    attrib CH20D                    label="Interviewer check CH20" ;
    attrib CH20E                    label="Interviewer check CH15" ;
    attrib CH20F    length= $8.0    label="What factors led you rely trd?" ;
    attrib CH21                     label="Interviewer note" ;
    attrib CH22                     label="Compare with another baby" ;
    attrib CH23                     label="Was [child] weighed after birth?" ;
    attrib CH24                     label="Baby's weight" ;
    attrib CH24A                    label="Ever breastfed child" ;
    attrib CH24CX                   label="Time unit-age [child] first fed water" ;
    attrib CH24C                    label="Age [child] fed first water" ;
    attrib CH24DX                   label="Time unit-age [child] reg fed food" ;
    attrib CH24D                    label="Age [child] reg fed food" ;
    attrib CH24EX                   label="Time unit for age [child] weaned" ;
    attrib CH24E                    label="Age when [child] weaned" ;
    attrib CH24F    length= $19.0   label="Why did you stop breastfeeding" ;
    attrib CH25                     label="Is [child] still alive?" ;
    attrib CH26X                    label="Time when [child] died" ;
    attrib CH26                     label="How old was [child] when died?" ;
    attrib CH27X1                   label="Does [child] live in HH?" ;
    attrib CH27                     label="Line number of HH member" ;
    attrib CH27X                    label="Interviewer check CH03" ;
    attrib CH27B                    label="Interviewer check" ;
    attrib CH28A                    label="Is child >= age 15 now/Died?" ;
    attrib CH28B                    label="Interviewer check CH25" ;
    attrib CH29A                    label="Did [child] die w/in last 12 mn" ;
    attrib CH29B                    label="Was [child] living outside HH" ;
    attrib CH30A                    label="Marital status [child]" ;
    attrib CH31A                    label="Highest educ level [child] attain" ;
    attrib CH32A                    label="Highest grade [child] completed" ;
    attrib CH33A                    label="Where [child] live ?" ;
    attrib CH34A                    label="What [child] primary activity" ;
    attrib CH35A                    label="Work status [child]" ;
    attrib CH36A                    label="What type of work [child]" ;
    attrib CH37A                    label="How often meet with [child]" ;
    attrib CH38A                    label="Provide help to [child] last 12 mn" ;
    attrib CH39AX   length= $4.0    label="Type/economic support provided" ;
    attrib CH39AA                   label="Provide money?" ;
    attrib CH39AD                   label="Provide goods?" ;
    attrib CH39AEX                  label="Type of time" ;
    attrib CH39AE                   label="Enter length of time" ;
    attrib CH39AF                   label="Provide other?" ;
    attrib CH40A                    label="Receive help fr [child] last 12 mn" ;
    attrib CH41AX   length= $4.0    label="Type/economic support received" ;
    attrib CH41AA                   label="Receive money?" ;
    attrib CH41AD                   label="Receive goods?" ;
    attrib CH41AEX                  label="Type of time" ;
    attrib CH41AE                   label="Enter length of time" ;
    attrib CH41AF                   label="Receive other?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_ch1  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          CH05      2.0
           @29          CH06      1.0
           @30          CH06A     1.0
           @31          CH08      1.0
           @32          CH09X     1.0
           @33          CH09DAY   2.0
           @35          CH09MTH   2.0
           @37          CH09YR    4.0
           @41          CH10AX    1.0
           @42          CH10A     2.0
           @44          CH10BX    1.0
           @45          CH10B     4.0
           @49          CH17X     2.0
           @51          CH17      2.0
           @53          CH12      1.0
           @54          CH13      1.0
           @55          CH14      1.0
           @56          CH15      $CHAR9.0
           @65          CH15AAX   1.0
           @66          CH15ABX   1.0
           @67          CH15ACX   1.0
           @68          CH15ADX   1.0
           @69          CH15BAX   1.0
           @70          CH15BBX   1.0
           @71          CH15BCX   1.0
           @72          CH15BDX   1.0
           @73          CH16AX    1.0
           @74          CH16A     2.0
           @76          CH16BX    1.0
           @77          CH16B     2.0
           @79          CH16CX    1.0
           @80          CH16C     2.0
           @82          CH16DA    1.0
           @83          CH16DB    1.0
           @84          CH16DC    1.0
           @85          CH16DD    1.0
           @86          CH16DE    1.0
           @87          CH16DF    1.0
           @88          CH16DG    1.0
           @89          CH16DH    1.0
           @90          CH16E     1.0
           @91          CH16F     1.0
           @92          CH16GX    1.0
           @93          CH16G     4.0
           @97          CH18      1.0
           @98          CH18A     1.0
           @99          CH19      2.0
           @101         CH19AAX   1.0
           @102         CH19ABX   1.0
           @103         CH19ACX   1.0
           @104         CH19ADX   1.0
           @105         CH20      $CHAR7.0
           @112         CH20AX    $CHAR1.0
           @113         CH20C     $CHAR6.0
           @119         CH20D     1.0
           @120         CH20E     1.0
           @121         CH20F     $CHAR8.0
           @129         CH21      1.0
           @130         CH22      1.0
           @131         CH23      1.0
           @132         CH24      4.2
           @136         CH24A     1.0
           @137         CH24CX    2.0
           @139         CH24C     2.0
           @141         CH24DX    2.0
           @143         CH24D     2.0
           @145         CH24EX    2.0
           @147         CH24E     2.0
           @149         CH24F     $CHAR19.0
           @168         CH25      1.0
           @169         CH26X     2.0
           @171         CH26      2.0
           @173         CH27X1    1.0
           @174         CH27      2.0
           @176         CH27X     1.0
           @177         CH27B     1.0
           @178         CH28A     1.0
           @179         CH28B     1.0
           @180         CH29A     1.0
           @181         CH29B     1.0
           @182         CH30A     1.0
           @183         CH31A     2.0
           @185         CH32A     2.0
           @187         CH33A     2.0
           @189         CH34A     2.0
           @191         CH35A     2.0
           @193         CH36A     2.0
           @195         CH37A     1.0
           @196         CH38A     1.0
           @197         CH39AX    $CHAR4.0
           @201         CH39AA    7.0
           @208         CH39AD    6.0
           @214         CH39AEX   2.0
           @216         CH39AE    2.0
           @218         CH39AF    1.0
           @219         CH40A     1.0
           @220         CH41AX    $CHAR4.0
           @224         CH41AA    7.0
           @231         CH41AD    6.0
           @237         CH41AEX   2.0
           @239         CH41AE    2.0
           @241         CH41AF    1.0
           @242         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format CH06         CH06_. ;
    format CH06A        YESNO. ;
    format CH08         SEX. ;
    format CH09X        CH09X. ;
    format CH10AX       ANS_GIVN. ;
    format CH10BX       ANS_GIVN. ;
    format CH17X        TUNIT. ;
    format CH12         CH12_. ;
    format CH13         CH13_. ;
    format CH14         CH14_. ;
    format CH15AAX      ANS_GIVN. ;
    format CH15ABX      ANS_GIVN. ;
    format CH15ACX      ANS_GIVN. ;
    format CH15ADX      ANS_GIVN. ;
    format CH15BAX      ANS_GIVN. ;
    format CH15BBX      ANS_GIVN. ;
    format CH15BCX      ANS_GIVN. ;
    format CH15BDX      ANS_GIVN. ;
    format CH16AX       ANS_GIVN. ;
    format CH16BX       ANS_GIVN. ;
    format CH16CX       ANS_GIVN. ;
    format CH16DA       YESNO. ;
    format CH16DB       YESNO. ;
    format CH16DC       YESNO. ;
    format CH16DD       YESNO. ;
    format CH16DE       YESNO. ;
    format CH16DF       YESNO. ;
    format CH16DG       YESNO. ;
    format CH16DH       YESNO. ;
    format CH16E        YESNO. ;
    format CH16F        YESNO. ;
    format CH16GX       ANS_GIVN. ;
    format CH18         CH18_. ;
    format CH18A        YESNO. ;
    format CH19         CH19_. ;
    format CH19AAX      ANS_GIVN. ;
    format CH19ABX      ANS_GIVN. ;
    format CH19ACX      ANS_GIVN. ;
    format CH19ADX      ANS_GIVN. ;
    format CH20AX       CH20_. ;
    format CH20D        YESNO. ;
    format CH20E        YESNO. ;
    format CH21         CH21_. ;
    format CH22         CH22_. ;
    format CH23         CH23_. ;
    format CH24A        YESNO. ;
    format CH24CX       CH24CX. ;
    format CH24DX       CH24CX. ;
    format CH24EX       CH24EX. ;
    format CH25         YESNO. ;
    format CH26X        TUNIT. ;
    format CH27X1       YESNO. ;
    format CH27X        PANEW. ;
    format CH27B        CH27B. ;
    format CH28A        CH28A. ;
    format CH28B        YESNO. ;
    format CH29A        YESNO. ;
    format CH29B        YESNO. ;
    format CH30A        MARSTAT. ;
    format CH31A        EDLEV. ;
    format CH32A        EDGRD. ;
    format CH33A        RES. ;
    format CH34A        MACT. ;
    format CH35A        EMPTYP. ;
    format CH36A        SECT. ;
    format CH37A        FRQSEE. ;
    format CH38A        YESNO. ;
    format CH39AEX      TUNIT. ;
    format CH39AE       NUM2_. ;
    format CH40A        YESNO. ;
    format CH41AEX      TUNIT. ;
    format CH41AE       NUM2_. ;

*-------------------------------------------*
* MODULE b4_cx1
*-------------------------------------------*;
data b4_cx1 ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib CX1TYPE  length= $1.0    label="Type of birth control" ;
    attrib CX01                     label="Ever heard of method" ;
    attrib CX02                     label="Ever used method" ;
    attrib CX02AX                   label="First used method" ;
    attrib CX02A                    label="Time first used method" ;
    attrib CX02B                    label="Age first used method" ;
    attrib CX03                     label="Where can you obtain method" ;
    attrib CX11X                    label="Cost to obtain method" ;
    attrib CX11A                    label="Cost to obtain method [Rp]" ;
    attrib CX11B                    label="Unit for cost of method" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_cx1  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          CX1TYPE   $CHAR1.0
           @28          CX01      1.0
           @29          CX02      1.0
           @30          CX02AX    1.0
           @31          CX02A     4.0
           @35          CX02B     2.0
           @37          CX03      2.0
           @39          CX11X     1.0
           @40          CX11A     6.0
           @46          CX11B     1.0
           @47          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format CX1TYPE      CX1TYPE. ;
    format CX01         YESNO. ;
    format CX02         YESNO. ;
    format CX02AX       ANS_GIVN. ;
    format CX03         CX03_. ;
    format CX11X        RUPIAH. ;
    format CX11B        CX11B. ;

*-------------------------------------------*
* MODULE b4_cx2
*-------------------------------------------*;
data b4_cx2 ;

    infile inb4  pad lrecl= 307 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib CX19                     label="Interviewer note (married/not)" ;
    attrib CX20                     label="Currently using method" ;
    attrib CX21                     label="Type of contraceptive method" ;
    attrib CX22B                    label="Explain side effects contraception" ;
    attrib CX22C                    label="Help when side effect arises" ;
    attrib CX26     length= $22.0   label="Reason not using a method" ;
    attrib CX27                     label="Planning to use in the future" ;
    attrib CX28                     label="Method intend to use in future" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b4_cx2  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          CX19      1.0
           @28          CX20      1.0
           @29          CX21      2.0
           @31          CX22B     1.0
           @32          CX22C     1.0
           @33          CX26      $CHAR22.0
           @55          CX27      1.0
           @56          CX28      2.0
           @58          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format CX19         CX19_. ;
    format CX20         YESNO. ;
    format CX21         CX21_. ;
    format CX22B        YESNO. ;
    format CX22C        YESNO. ;
    format CX27         YESNO. ;
    format CX28         CX21_. ;


*===========================================*
* BOOK b5
*===========================================*;

*-------------------------------------------*
* MODULE b5_cov
*-------------------------------------------*;
data b5_cov ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib EDITOR   length= $3.0    label="Editor" ;
    attrib IDIVWR   length= $3.0    label="Interviewer code" ;
    attrib AGE                      label="Age of household member" ;
    attrib RESPID                   label="HH member number of proxy" ;
    attrib RELCHILD                 label="Relation to child" ;
    attrib NUMVIS                   label="Number of visits" ;
    attrib IVWDAY1                  label="Date of 1st interview: day" ;
    attrib IVWMTH1                  label="Date of 1st interview: month" ;
    attrib IVWYR1                   label="Date of 1st interview: year" ;
    attrib BEGHR1                   label="Time 1st interview began (hour)" ;
    attrib BEGMIN1                  label="Time 1st interview began (minute)" ;
    attrib ENDHR1                   label="Time 1st interview ended (hour)" ;
    attrib ENDMIN1                  label="Time 1st interview ended (minute)" ;
    attrib IVWDAY2                  label="Date of 2nd interview: day" ;
    attrib IVWMTH2                  label="Date of 2nd interview: month" ;
    attrib IVWYR2                   label="Date of 2nd interview: year" ;
    attrib BEGHR2                   label="Time 2nd interview began (hour)" ;
    attrib BEGMIN2                  label="Time 2nd interview began (minute)" ;
    attrib ENDHR2                   label="Time 2nd interview ended (hour)" ;
    attrib ENDMIN2                  label="Time 2nd interview ended (minute)" ;
    attrib IVWDAY3                  label="Date of 3rd interview: day" ;
    attrib IVWMTH3                  label="Date of 3rd interview: month" ;
    attrib IVWYR3                   label="Date of 3rd interview: year" ;
    attrib BEGHR3                   label="Time 3rd interview began (hour)" ;
    attrib BEGMIN3                  label="Time 3rd interview began (minute)" ;
    attrib ENDHR3                   label="Time 3rd interview ended (hour)" ;
    attrib ENDMIN3                  label="Time 3rd interview ended (minute)" ;
    attrib LANGMAIN                 label="Main language of interview" ;
    attrib LANGOTHR                 label="Other language of interview if any" ;
    attrib RESULT                   label="Result of interview" ;
    attrib REASON                   label="Reason interview not completed" ;
    attrib EDIT_CK                  label="Result of editor checks" ;
    attrib SUP_OBS                  label="Supervisor observed ivw?" ;
    attrib SUP_EDIT                 label="Supervisor checked edits?" ;
    attrib DOB_DAY                  label="Date of birth (day)" ;
    attrib DOB_MTH                  label="Date of birth (month)" ;
    attrib DOB_YR                   label="Date of birth (year)" ;
    attrib CP1      length= $6.0    label="Who else present during interview?" ;
    attrib CP2                      label="Ivwr eval of accuracy of Resp answers" ;
    attrib CP3                      label="Ivwr eval of serious/attentiveness of R" ;
    attrib CP4      length= $60.0   label="Qs R found difficlt/embarassng/confusing" ;
    attrib CP5      length= $60.0   label="Qs ivwr found diffic/embarassng/confusng" ;
    attrib CP6      length= $60.0   label="Qs in which Resp seem interested" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_cov  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          EDITOR    $CHAR3.0
           @30          IDIVWR    $CHAR3.0
           @33          AGE       2.0
           @35          RESPID    2.0
           @37          RELCHILD  1.0
           @38          NUMVIS    1.0
           @39          IVWDAY1   2.0
           @41          IVWMTH1   2.0
           @43          IVWYR1    4.0
           @47          BEGHR1    2.0
           @49          BEGMIN1   2.0
           @51          ENDHR1    2.0
           @53          ENDMIN1   2.0
           @55          IVWDAY2   2.0
           @57          IVWMTH2   2.0
           @59          IVWYR2    4.0
           @63          BEGHR2    2.0
           @65          BEGMIN2   2.0
           @67          ENDHR2    2.0
           @69          ENDMIN2   2.0
           @71          IVWDAY3   2.0
           @73          IVWMTH3   2.0
           @75          IVWYR3    4.0
           @79          BEGHR3    2.0
           @81          BEGMIN3   2.0
           @83          ENDHR3    2.0
           @85          ENDMIN3   2.0
           @87          LANGMAIN  2.0
           @89          LANGOTHR  2.0
           @91          RESULT    1.0
           @92          REASON    1.0
           @93          EDIT_CK   1.0
           @94          SUP_OBS   1.0
           @95          SUP_EDIT  1.0
           @96          DOB_DAY   2.0
           @98          DOB_MTH   2.0
           @100         DOB_YR    4.0
           @104         CP1       $CHAR6.0
           @110         CP2       1.0
           @111         CP3       1.0
           @112         CP4       $CHAR60.0
           @172         CP5       $CHAR60.0
           @232         CP6       $CHAR60.0
           @292         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RESPID       RESPID5_. ;
    format RELCHILD     RELCHILD. ;
    format NUMVIS       COUNT. ;
    format IVWMTH1      MTH. ;
    format IVWYR1       YR. ;
    format IVWMTH2      MTH. ;
    format IVWYR2       YR. ;
    format IVWMTH3      MTH. ;
    format IVWYR3       YR. ;
    format LANGMAIN     LANGDET. ;
    format LANGOTHR     LANGDET. ;
    format RESULT       RES_IVW. ;
    format REASON       REASON. ;
    format EDIT_CK      EDITST. ;
    format SUP_OBS      YESNO. ;
    format SUP_EDIT     YESNO. ;
    format CP2          CP23_. ;
    format CP3          CP23_. ;

*-------------------------------------------*
* MODULE b5_dla1
*-------------------------------------------*;
data b5_dla1 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DLA01                    label="Ever attended school" ;
    attrib DLA02    length= $10.0   label="Reason never attended school" ;
    attrib DLA03X                   label="Date first attended school (able ans)" ;
    attrib DLA03MTH                 label="Date attended school (month)" ;
    attrib DLA03YR                  label="Date attended school (year)" ;
    attrib DLA04X                   label="Age first attended school (able ans)" ;
    attrib DLA04                    label="Age first attended school" ;
    attrib DLA05                    label="Ever repeated a grade" ;
    attrib DLA06A                   label="Times repeated grade SD-1" ;
    attrib DLA06B                   label="Times repeated grade SD-2" ;
    attrib DLA06C                   label="Times repeated grade SD-3" ;
    attrib DLA06D                   label="Times repeated grade SD-4" ;
    attrib DLA06E                   label="Times repeated grade SD-5" ;
    attrib DLA06F                   label="Times repeated grade SD-6" ;
    attrib DLA06G                   label="Times repeated grade SMP/SLP-1" ;
    attrib DLA06H                   label="Times repeated grade SMP/SLP-2" ;
    attrib DLA06I                   label="Times repeated grade SMP/SLP-3" ;
    attrib DLA07                    label="Child still in school" ;
    attrib DLA08                    label="Level of education attended" ;
    attrib DLA09                    label="Grade of education attended" ;
    attrib DLA10                    label="Work during school year?" ;
    attrib DLA11                    label="Work hours/wk on school days" ;
    attrib DLA12                    label="Work hours/wk on non-school days" ;
    attrib DLA13                    label="Worked same hours prev. year" ;
    attrib DLA14X                   label="Date left school (able ans)" ;
    attrib DLA14MTH                 label="Date left school (month)" ;
    attrib DLA14YR                  label="Date left school (year)" ;
    attrib DLA15X                   label="Age left school (able ans)" ;
    attrib DLA15                    label="Age left school" ;
    attrib DLA16    length= $9.0    label="Reason left school" ;
    attrib DLA17                    label="Work during school year?" ;
    attrib DLA18                    label="Work hours/week" ;
    attrib DLA19                    label="Will child attend school again?" ;
    attrib DLA20                    label="Did child ever take EBTANAS?" ;
    attrib DLA21                    label="Could we see EBTANAS scores?" ;
    attrib DLA22X                   label="Date took EBTANAS (able ans)" ;
    attrib DLA22MTH                 label="Month took EBTANAS" ;
    attrib DLA22YR                  label="Year took EBTANAS" ;
    attrib DLA23AX                  label="Moral education score (able ans)" ;
    attrib DLA23A                   label="Moral education score" ;
    attrib DLA23BX                  label="Indonesian lang score (able ans)" ;
    attrib DLA23B                   label="Indonesian language score" ;
    attrib DLA23CX                  label="Science score (able ans)" ;
    attrib DLA23C                   label="Science score" ;
    attrib DLA23DX                  label="Social studies score (able ans)" ;
    attrib DLA23D                   label="Social studies score" ;
    attrib DLA23EX                  label="Mathematics score (able ans)" ;
    attrib DLA23E                   label="Mathematics score" ;
    attrib DLA24X                   label="Total score (able ans)" ;
    attrib DLA24                    label="Total score" ;
    attrib DLA25AX                  label="School village (able ans)" ;
    attrib DLA25BX                  label="School kecamatan (able ans)" ;
    attrib DLA25CX                  label="School kabupaten (able ans)" ;
    attrib DLA25DX                  label="School province (able ans)" ;
    attrib DLA26                    label="Type of school" ;
    attrib DLA27                    label="Interviewer check: DLA07" ;
    attrib DLA28                    label="Int check: graduate/stop school" ;
    attrib DLA30                    label="# times missed school for 4 wks" ;
    attrib DLA31                    label="Int check: missed school 4 wks?" ;
    attrib DLA35                    label="Child still in school" ;
    attrib PROB23A                  label="Possible spec code in DLA23A" ;
    attrib PROB23B                  label="Possible spec code in DLA23B" ;
    attrib PROB23C                  label="Possible spec code in DLA23C" ;
    attrib PROB23D                  label="Possible spec code in DLA23D" ;
    attrib PROB23E                  label="Possible spec code in DLA23E" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_dla1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DLA01     1.0
           @28          DLA02     $CHAR10.0
           @38          DLA03X    1.0
           @39          DLA03MTH  2.0
           @41          DLA03YR   4.0
           @45          DLA04X    1.0
           @46          DLA04     2.0
           @48          DLA05     1.0
           @49          DLA06A    1.0
           @50          DLA06B    1.0
           @51          DLA06C    1.0
           @52          DLA06D    1.0
           @53          DLA06E    1.0
           @54          DLA06F    1.0
           @55          DLA06G    1.0
           @56          DLA06H    1.0
           @57          DLA06I    1.0
           @58          DLA07     1.0
           @59          DLA08     2.0
           @61          DLA09     1.0
           @62          DLA10     1.0
           @63          DLA11     2.0
           @65          DLA12     2.0
           @67          DLA13     1.0
           @68          DLA14X    1.0
           @69          DLA14MTH  2.0
           @71          DLA14YR   4.0
           @75          DLA15X    1.0
           @76          DLA15     2.0
           @78          DLA16     $CHAR9.0
           @87          DLA17     1.0
           @88          DLA18     2.0
           @90          DLA19     1.0
           @91          DLA20     1.0
           @92          DLA21     1.0
           @93          DLA22X    1.0
           @94          DLA22MTH  2.0
           @96          DLA22YR   4.0
           @100         DLA23AX   1.0
           @101         DLA23A    5.2
           @106         DLA23BX   1.0
           @107         DLA23B    5.2
           @112         DLA23CX   1.0
           @113         DLA23C    5.2
           @118         DLA23DX   1.0
           @119         DLA23D    5.2
           @124         DLA23EX   1.0
           @125         DLA23E    5.2
           @130         DLA24X    1.0
           @131         DLA24     5.2
           @136         DLA25AX   1.0
           @137         DLA25BX   1.0
           @138         DLA25CX   1.0
           @139         DLA25DX   1.0
           @140         DLA26     2.0
           @142         DLA27     1.0
           @143         DLA28     1.0
           @144         DLA30     1.0
           @145         DLA31     1.0
           @146         DLA35     1.0
           @147         PROB23A   1.0
           @148         PROB23B   1.0
           @149         PROB23C   1.0
           @150         PROB23D   1.0
           @151         PROB23E   1.0
           @152         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DLA01        YESNO. ;
    format DLA03X       MTHYR. ;
    format DLA03MTH     MTH. ;
    format DLA03YR      YRLONG. ;
    format DLA04X       ANS_GIVN. ;
    format DLA04        COUNT. ;
    format DLA05        YESNO. ;
    format DLA06A       MISS1_. ;
    format DLA06B       MISS1_. ;
    format DLA06C       MISS1_. ;
    format DLA06D       MISS1_. ;
    format DLA06E       MISS1_. ;
    format DLA06F       MISS1_. ;
    format DLA06G       MISS1_. ;
    format DLA06H       MISS1_. ;
    format DLA06I       MISS1_. ;
    format DLA07        YESNO. ;
    format DLA08        EDLEV. ;
    format DLA09        EDGRD. ;
    format DLA10        YESNO. ;
    format DLA13        DLA13_. ;
    format DLA14X       MTHYR. ;
    format DLA14MTH     MTH. ;
    format DLA14YR      YRLONG. ;
    format DLA15X       ANS_GIVN. ;
    format DLA15        COUNT. ;
    format DLA17        DLA17_. ;
    format DLA19        YESNO. ;
    format DLA20        YESNO. ;
    format DLA21        YESNO. ;
    format DLA22X       MTHYR. ;
    format DLA22MTH     MTH. ;
    format DLA22YR      YRLONG. ;
    format DLA23AX      RUPIAH. ;
    format DLA23BX      RUPIAH. ;
    format DLA23CX      RUPIAH. ;
    format DLA23DX      RUPIAH. ;
    format DLA23EX      RUPIAH. ;
    format DLA24X       RUPIAH. ;
    format DLA25AX      ANS_GIVN. ;
    format DLA25BX      ANS_GIVN. ;
    format DLA25CX      ANS_GIVN. ;
    format DLA25DX      ANS_GIVN. ;
    format DLA26        SCLTYP. ;
    format DLA27        DLA27_. ;
    format DLA28        DLA28_. ;
    format DLA30        MISS1_. ;
    format DLA31        DLA31_. ;
    format DLA35        YESNO. ;
    format PROB23A      DL16D. ;
    format PROB23B      DL16D. ;
    format PROB23C      DL16D. ;
    format PROB23D      DL16D. ;
    format PROB23E      DL16D. ;

*-------------------------------------------*
* MODULE b5_dla2
*-------------------------------------------*;
data b5_dla2 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DLA2TYPE                 label="Index of times missed school" ;
    attrib DLA32X                   label="Date last missed school (able ans)" ;
    attrib DLA32MTH                 label="Month missed school" ;
    attrib DLA32YR                  label="Year missed school" ;
    attrib DLA33X                   label="Amt of missed school (able ans/units)" ;
    attrib DLA33                    label="Amt of missed school" ;
    attrib DLA34    length= $9.0    label="Reasons missed school" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_dla2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DLA2TYPE  1.0
           @28          DLA32X    1.0
           @29          DLA32MTH  2.0
           @31          DLA32YR   4.0
           @35          DLA33X    1.0
           @36          DLA33     2.0
           @38          DLA34     $CHAR9.0
           @47          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DLA2TYPE     COUNT. ;
    format DLA32X       MTHYR. ;
    format DLA32MTH     MTH. ;
    format DLA32YR      YRLONG. ;
    format DLA33X       DLA33X. ;
    format DLA33        NUM2_. ;

*-------------------------------------------*
* MODULE b5_dla3
*-------------------------------------------*;
data b5_dla3 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib DLA3TYPE                 label="Column number" ;
    attrib DLA36    length= $9.0    label="School year" ;
    attrib DLA37                    label="Level of education attended" ;
    attrib DLA38                    label="Grade of education attended" ;
    attrib DLA39                    label="Grad/finish level same yr" ;
    attrib DLA40AX                  label="School vill (able ans)" ;
    attrib DLA40BX                  label="School kec (able ans)" ;
    attrib DLA40CX                  label="School kab (able ans)" ;
    attrib DLA40DX                  label="School prov (able ans)" ;
    attrib DLA41                    label="Type of school" ;
    attrib DLA42X                   label="1-way time to school (able ans/units)" ;
    attrib DLA42                    label="One way time to school" ;
    attrib DLA43                    label="Hours per day at school" ;
    attrib DLA44                    label="Days per week at school" ;
    attrib DLA45X                   label="Study hrs/wk (able ans)" ;
    attrib DLA45                    label="Hours per week studying" ;
    attrib DLA46A1X                 label="Registration fee (able ans)" ;
    attrib DLA46A1                  label="Registration fee" ;
    attrib DLA46A2X                 label="School fee (able ans)" ;
    attrib DLA46A2                  label="School fee" ;
    attrib DLA46A3X                 label="Exam fees (able ans)" ;
    attrib DLA46A3                  label="Exam fees" ;
    attrib DLA46B1X                 label="Books/school supplies (able ans)" ;
    attrib DLA46B1                  label="Books/school supplies" ;
    attrib DLA46B2X                 label="Uniform/sport fees (able ans)" ;
    attrib DLA46B2                  label="Uniform/sport fees" ;
    attrib DLA46C1X                 label="Transport costs (able ans)" ;
    attrib DLA46C1                  label="Transport costs" ;
    attrib DLA46C2X                 label="Housing/food costs (able ans)" ;
    attrib DLA46C2                  label="Housing/food costs" ;
    attrib DLA46C3X                 label="Special course costs (able ans)" ;
    attrib DLA46C3                  label="Special course costs" ;
    attrib DLA46DX                  label="Other school expenses (able ans)" ;
    attrib DLA46D                   label="Other school related expenses" ;
    attrib DLA47X                   label="Class size (able ans)" ;
    attrib DLA47                    label="Class size" ;
    attrib DLA48                    label="Rec'd books from school" ;
    attrib DLA49                    label="Work during school year" ;
    attrib DLA50                    label="School/level change past 5 yrs" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_dla3 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          DLA3TYPE  1.0
           @28          DLA36     $CHAR9.0
           @37          DLA37     2.0
           @39          DLA38     1.0
           @40          DLA39     1.0
           @41          DLA40AX   1.0
           @42          DLA40BX   1.0
           @43          DLA40CX   1.0
           @44          DLA40DX   1.0
           @45          DLA41     2.0
           @47          DLA42X    2.0
           @49          DLA42     4.1
           @53          DLA43     5.2
           @58          DLA44     1.0
           @59          DLA45X    1.0
           @60          DLA45     4.1
           @64          DLA46A1X  1.0
           @65          DLA46A1   7.0
           @72          DLA46A2X  1.0
           @73          DLA46A2   7.0
           @80          DLA46A3X  1.0
           @81          DLA46A3   6.0
           @87          DLA46B1X  1.0
           @88          DLA46B1   6.0
           @94          DLA46B2X  1.0
           @95          DLA46B2   6.0
           @101         DLA46C1X  1.0
           @102         DLA46C1   7.0
           @109         DLA46C2X  1.0
           @110         DLA46C2   7.0
           @117         DLA46C3X  1.0
           @118         DLA46C3   6.0
           @124         DLA46DX   1.0
           @125         DLA46D    6.0
           @131         DLA47X    1.0
           @132         DLA47     2.0
           @134         DLA48     1.0
           @135         DLA49     1.0
           @136         DLA50     1.0
           @137         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format DLA3TYPE     COUNT. ;
    format DLA36        YRSTR. ;
    format DLA37        EDLEV. ;
    format DLA38        EDGRD. ;
    format DLA39        YESNO. ;
    format DLA40AX      ANS_LOCN. ;
    format DLA40BX      ANS_LOCN. ;
    format DLA40CX      ANS_LOCN. ;
    format DLA40DX      ANS_LOCN. ;
    format DLA41        SCLTYP. ;
    format DLA42X       TUNIT. ;
    format DLA43        NUM2_. ;
    format DLA44        DLA44_. ;
    format DLA45X       ANS_GIVN. ;
    format DLA46A1X     RUPIAH. ;
    format DLA46A2X     RUPIAH. ;
    format DLA46A3X     RUPIAH. ;
    format DLA46B1X     RUPIAH. ;
    format DLA46B2X     RUPIAH. ;
    format DLA46C1X     RUPIAH. ;
    format DLA46C2X     RUPIAH. ;
    format DLA46C3X     RUPIAH. ;
    format DLA46DX      RUPIAH. ;
    format DLA47X       ANS_GIVN. ;
    format DLA48        DLA48_. ;
    format DLA49        YESNO. ;
    format DLA50        YESNO. ;

*-------------------------------------------*
* MODULE b5_maa0
*-------------------------------------------*;
data b5_maa0 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib MAA0A                    label="Generally how is child's health?" ;
    attrib MAA0BX                   label="Days miss prim activ 4 wks (able ans)" ;
    attrib MAA0B                    label="Days miss prim activ 4 wks" ;
    attrib MAA0CX                   label="Days in bed due ill. 4 wks (able ans)" ;
    attrib MAA0C                    label="Days in bed due ill. 4 wks" ;
    attrib MAA04                    label="Ivwr chk: Any symptoms" ;
    attrib MAA05AA                  label="Sick, still liked to play" ;
    attrib MAA05AB                  label="Sick, had difficulty sleeping" ;
    attrib MAA05AC                  label="Sick, more irritable" ;
    attrib MAA05AD                  label="Sick, just lay around" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_maa0 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          MAA0A     1.0
           @28          MAA0BX    1.0
           @29          MAA0B     2.0
           @31          MAA0CX    1.0
           @32          MAA0C     2.0
           @34          MAA04     1.0
           @35          MAA05AA   1.0
           @36          MAA05AB   1.0
           @37          MAA05AC   1.0
           @38          MAA05AD   1.0
           @39          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format MAA0A        MAA0A. ;
    format MAA0BX       ANS_GIVN. ;
    format MAA0CX       ANS_GIVN. ;
    format MAA04        YESNO. ;
    format MAA05AA      YESNO. ;
    format MAA05AB      YESNO. ;
    format MAA05AC      YESNO. ;
    format MAA05AD      YESNO. ;

*-------------------------------------------*
* MODULE b5_maa1
*-------------------------------------------*;
data b5_maa1 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib MAATYPE  length= $3.0    label="Type of Symptom" ;
    attrib MAA01                    label="Have u suffered[..]past 4 wks?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_maa1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          MAATYPE   $CHAR3.0
           @30          MAA01     1.0
           @31          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format MAATYPE      MAATYP. ;
    format MAA01        YESNO. ;

*-------------------------------------------*
* MODULE b5_psa
*-------------------------------------------*;
data b5_psa ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib PSATYPE  length= $1.0    label="Type of self treatment" ;
    attrib PSA01                    label="Did child use [...] in past 4 wks?" ;
    attrib PSA02X                   label="Cost self treatment (able ans)" ;
    attrib PSA02                    label="Cost self treatment" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_psa  " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          PSATYPE   $CHAR1.0
           @28          PSA01     1.0
           @29          PSA02X    1.0
           @30          PSA02     6.0
           @36          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format PSATYPE      PSTYPE. ;
    format PSA01        YESNO. ;
    format PSA02X       RUPIAH. ;

*-------------------------------------------*
* MODULE b5_rja0
*-------------------------------------------*;
data b5_rja0 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RJA0A                    label="Did child visit posyandu" ;
    attrib RJA0BAX                  label="Posyandu vill (able ans)" ;
    attrib RJA0CA                   label="Child weighed?" ;
    attrib RJA0CB                   label="Child received supplem food?" ;
    attrib RJA0CC                   label="Child received vitamin A?" ;
    attrib RJA0CD                   label="Child orally rehydrated?" ;
    attrib RJA0CE                   label="Child immunized?" ;
    attrib RJA0CF                   label="Child exam'd by puskesmas staff?" ;
    attrib RJA0CG                   label="Child rec'd development activity?" ;
    attrib RJA0CH                   label="Child rec'd other services?" ;
    attrib RJA0D                    label="Puskesmas staff at Posyandu" ;
    attrib RJA0E                    label="Did you pay for services?" ;
    attrib RJA0FX                   label="Payment amt (able ans)" ;
    attrib RJA0F                    label="Payment amt, Rp" ;
    attrib RJA01A                   label="Respondent had outpatient care" ;
    attrib RJA_NUM                  label="Total # outpatient care visits" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_rja0 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RJA0A     1.0
           @28          RJA0BAX   1.0
           @29          RJA0CA    1.0
           @30          RJA0CB    1.0
           @31          RJA0CC    1.0
           @32          RJA0CD    1.0
           @33          RJA0CE    1.0
           @34          RJA0CF    1.0
           @35          RJA0CG    1.0
           @36          RJA0CH    1.0
           @37          RJA0D     1.0
           @38          RJA0E     1.0
           @39          RJA0FX    1.0
           @40          RJA0F     5.0
           @45          RJA01A    1.0
           @46          RJA_NUM   1.0
           @47          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RJA0A        YESNO. ;
    format RJA0BAX      ANS_LOCN. ;
    format RJA0CA       YESNO. ;
    format RJA0CB       YESNO. ;
    format RJA0CC       YESNO. ;
    format RJA0CD       YESNO. ;
    format RJA0CE       YESNO. ;
    format RJA0CF       YESNO. ;
    format RJA0CG       YESNO. ;
    format RJA0CH       YESNO. ;
    format RJA0D        YESNO. ;
    format RJA0E        YESNO. ;
    format RJA0FX       RUPIAH. ;
    format RJA01A       YESNO. ;
    format RJA_NUM      COUNT. ;

*-------------------------------------------*
* MODULE b5_rja1
*-------------------------------------------*;
data b5_rja1 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RJA1TYPE length= $1.0    label="Outpatient care facility/svc" ;
    attrib RJA01                    label="Child visit/see [..] past 4 wks" ;
    attrib RJA02                    label="# of visits past 4 wks" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_rja1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RJA1TYPE  $CHAR1.0
           @28          RJA01     1.0
           @29          RJA02     2.0
           @31          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RJA1TYPE     RJTYPE. ;
    format RJA01        YESNO. ;
    format RJA02        NUM2_. ;

*-------------------------------------------*
* MODULE b5_rja2
*-------------------------------------------*;
data b5_rja2 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RJA2TYPE                 label="Visit number" ;
    attrib RJA05A   length= $1.0    label="Facility type" ;
    attrib RJA06AX                  label="Facility vill (able ans)" ;
    attrib RJA06BX                  label="Facility kec (able ans)" ;
    attrib RJA06CX                  label="Facility kab (able ans)" ;
    attrib RJA06DX                  label="Facility prov (able ans)" ;
    attrib RJA08    length= $9.0    label="Purpose of visit" ;
    attrib RJA09                    label="First or follow-up visit" ;
    attrib RJA10                    label="Treated by sole practitioner?" ;
    attrib RJA10A                   label="Home visit" ;
    attrib RJA11X                   label="Distance traveled (able ans)" ;
    attrib RJA11                    label="Distance traveled, kilometers" ;
    attrib RJA12X                   label="Travel time (units/able ans)" ;
    attrib RJA12                    label="One-way travel time" ;
    attrib RJA14X                   label="Transport cost (able ans)" ;
    attrib RJA14                    label="Transport cost, Rp" ;
    attrib RJA15X                   label="Waiting time (units/able ans)" ;
    attrib RJA15                    label="Waiting time" ;
    attrib RJA17    length= $8.0    label="Treatment type received" ;
    attrib RJA20X                   label="Prescription cost (able ans)" ;
    attrib RJA20                    label="Prescription cost, Rp" ;
    attrib RJA21X                   label="Treatment cost-excl Rx (able ans)" ;
    attrib RJA21                    label="Treatment cost-excl Rx, Rp" ;
    attrib RJA22                    label="Any in-kind payment?" ;
    attrib RJA23X                   label="In-kind pymt value (able ans)" ;
    attrib RJA23                    label="In-kind pymt value, Rp" ;
    attrib RJA24                    label="Int. check - Other visits?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_rja2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RJA2TYPE  1.0
           @28          RJA05A    $CHAR1.0
           @29          RJA06AX   1.0
           @30          RJA06BX   1.0
           @31          RJA06CX   1.0
           @32          RJA06DX   1.0
           @33          RJA08     $CHAR9.0
           @42          RJA09     1.0
           @43          RJA10     1.0
           @44          RJA10A    1.0
           @45          RJA11X    1.0
           @46          RJA11     6.2
           @52          RJA12X    2.0
           @54          RJA12     2.0
           @56          RJA14X    1.0
           @57          RJA14     6.0
           @63          RJA15X    2.0
           @65          RJA15     2.0
           @67          RJA17     $CHAR8.0
           @75          RJA20X    1.0
           @76          RJA20     6.0
           @82          RJA21X    1.0
           @83          RJA21     6.0
           @89          RJA22     1.0
           @90          RJA23X    1.0
           @91          RJA23     4.0
           @95          RJA24     1.0
           @96          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RJA2TYPE     COUNT. ;
    format RJA05A       RJTYPE. ;
    format RJA06AX      ANS_LOCN. ;
    format RJA06BX      ANS_LOCN. ;
    format RJA06CX      ANS_LOCN. ;
    format RJA06DX      ANS_LOCN. ;
    format RJA09        RJ09_. ;
    format RJA10        YESNO. ;
    format RJA10A       YESNO. ;
    format RJA11X       RUPIAH. ;
    format RJA12X       TUNIT. ;
    format RJA14X       RUPIAH. ;
    format RJA15X       TUNIT. ;
    format RJA20X       RJ20X. ;
    format RJA21X       RUPIAH. ;
    format RJA22        YESNO. ;
    format RJA23X       RUPIAH. ;
    format RJA24        YESNO. ;

*-------------------------------------------*
* MODULE b5_rja3
*-------------------------------------------*;
data b5_rja3 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RJA25                    label="Child less than 6 yrs old?" ;
    attrib RJA25A                   label="Received Vit A past 6 mos" ;
    attrib RJA26                    label="Vaccine card for child" ;
    attrib RJA27                    label="# of times Vit A given" ;
    attrib RJA28BX                  label="BCG: Immunization record of child" ;
    attrib RJA28BDY                 label="BCG: Day of vaccination" ;
    attrib RJA28BMT                 label="BCG: Month of vaccination" ;
    attrib RJA28BYR                 label="BCG: Year of vaccination" ;
    attrib RJA28CX                  label="POLIO 0: Immunization record of child" ;
    attrib RJA28CDY                 label="POLIO 0: Day of vaccination" ;
    attrib RJA28CMT                 label="POLIO 0: Month of vaccination" ;
    attrib RJA28CYR                 label="POLIO 0: Year of vaccination" ;
    attrib RJA28DX                  label="POLIO 1: Immunization record of child" ;
    attrib RJA28DDY                 label="POLIO 1: Day of vaccination" ;
    attrib RJA28DMT                 label="POLIO 1: Month of vaccination" ;
    attrib RJA28DYR                 label="POLIO 1: Year of vaccination" ;
    attrib RJA28EX                  label="POLIO 2: Immunization record of child" ;
    attrib RJA28EDY                 label="POLIO 2: Day of vaccination" ;
    attrib RJA28EMT                 label="POLIO 2: Month of vaccination" ;
    attrib RJA28EYR                 label="POLIO 2: Year of vaccination" ;
    attrib RJA28FX                  label="POLIO 3: Immunization record of child" ;
    attrib RJA28FDY                 label="POLIO 3: Day of vaccination" ;
    attrib RJA28FMT                 label="POLIO 3: Month of vaccination" ;
    attrib RJA28FYR                 label="POLIO 3: Year of vaccination" ;
    attrib RJA28GX                  label="DPT 1: Immunization record of child" ;
    attrib RJA28GDY                 label="DPT 1: Day of vaccination" ;
    attrib RJA28GMT                 label="DPT 1: Month of vaccination" ;
    attrib RJA28GYR                 label="DPT 1: Year of vaccination" ;
    attrib RJA28HX                  label="DPT 2: Immunization record of child" ;
    attrib RJA28HDY                 label="DPT 2: Day of vaccination" ;
    attrib RJA28HMT                 label="DPT 2: Month of vaccination" ;
    attrib RJA28HYR                 label="DPT 2: Year of vaccination" ;
    attrib RJA28IX                  label="DPT 3: Immunization record of child" ;
    attrib RJA28IDY                 label="DPT 3: Day of vaccination" ;
    attrib RJA28IMT                 label="DPT 3: Month of vaccination" ;
    attrib RJA28IYR                 label="DPT 3: Year of vaccination" ;
    attrib RJA28JX                  label="MEASLES: Immunization record of child" ;
    attrib RJA28JDY                 label="MEASLES: Day of vaccination" ;
    attrib RJA28JMT                 label="MEASLES: Month of vaccination" ;
    attrib RJA28JYR                 label="MEASLES: Year of vaccination" ;
    attrib RJA28KX                  label="HEPATITIS B1: Immunization record" ;
    attrib RJA28KDY                 label="HEPATITIS B1: Day of vaccination" ;
    attrib RJA28KMT                 label="HEPATITIS B1: Month of vaccination" ;
    attrib RJA28KYR                 label="HEPATITIS B1: Year of vaccination" ;
    attrib RJA28LX                  label="HEPATITIS B2: Immunization record" ;
    attrib RJA28LDY                 label="HEPATITIS B2: Day of vaccination" ;
    attrib RJA28LMT                 label="HEPATITIS B2: Month of vaccination" ;
    attrib RJA28LYR                 label="HEPATITIS B2: Year of vaccination" ;
    attrib RJA28MX                  label="HEPATITIS B3: Immunization record" ;
    attrib RJA28MDY                 label="HEPATITIS B3: Day of vaccination" ;
    attrib RJA28MMT                 label="HEPATITIS B3: Month of vaccination" ;
    attrib RJA28MYR                 label="HEPATITIS B3: Year of vaccination" ;
    attrib RJA28NX                  label="HEPATITIS B4: Immunization record" ;
    attrib RJA28NDY                 label="HEPATITIS B4: Day of vaccination" ;
    attrib RJA28NMT                 label="HEPATITIS B4: Month of vaccination" ;
    attrib RJA28NYR                 label="HEPATITIS B4: Year of vaccination" ;
    attrib RJA29                    label="Received vaccine not on card" ;
    attrib RJA30A                   label="Received BCG vaccine" ;
    attrib RJA30B                   label="Received Polio vaccine" ;
    attrib RJA30BN                  label="# of Polio vaccines" ;
    attrib RJA30C                   label="Received DPT vaccine" ;
    attrib RJA30CN                  label="# of DPT vaccines" ;
    attrib RJA30D                   label="Received measles shot" ;
    attrib RJA30E                   label="Received Hepatitis B shot" ;
    attrib RJA31                    label="Child Dev Pgm past 4 wks" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_rja3 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RJA25     1.0
           @28          RJA25A    1.0
           @29          RJA26     1.0
           @30          RJA27     2.0
           @32          RJA28BX   1.0
           @33          RJA28BDY  2.0
           @35          RJA28BMT  2.0
           @37          RJA28BYR  4.0
           @41          RJA28CX   1.0
           @42          RJA28CDY  2.0
           @44          RJA28CMT  2.0
           @46          RJA28CYR  4.0
           @50          RJA28DX   1.0
           @51          RJA28DDY  2.0
           @53          RJA28DMT  2.0
           @55          RJA28DYR  4.0
           @59          RJA28EX   1.0
           @60          RJA28EDY  2.0
           @62          RJA28EMT  2.0
           @64          RJA28EYR  4.0
           @68          RJA28FX   1.0
           @69          RJA28FDY  2.0
           @71          RJA28FMT  2.0
           @73          RJA28FYR  4.0
           @77          RJA28GX   1.0
           @78          RJA28GDY  2.0
           @80          RJA28GMT  2.0
           @82          RJA28GYR  4.0
           @86          RJA28HX   1.0
           @87          RJA28HDY  2.0
           @89          RJA28HMT  2.0
           @91          RJA28HYR  4.0
           @95          RJA28IX   1.0
           @96          RJA28IDY  2.0
           @98          RJA28IMT  2.0
           @100         RJA28IYR  4.0
           @104         RJA28JX   1.0
           @105         RJA28JDY  2.0
           @107         RJA28JMT  2.0
           @109         RJA28JYR  4.0
           @113         RJA28KX   1.0
           @114         RJA28KDY  2.0
           @116         RJA28KMT  2.0
           @118         RJA28KYR  4.0
           @122         RJA28LX   1.0
           @123         RJA28LDY  2.0
           @125         RJA28LMT  2.0
           @127         RJA28LYR  4.0
           @131         RJA28MX   1.0
           @132         RJA28MDY  2.0
           @134         RJA28MMT  2.0
           @136         RJA28MYR  4.0
           @140         RJA28NX   1.0
           @141         RJA28NDY  2.0
           @143         RJA28NMT  2.0
           @145         RJA28NYR  4.0
           @149         RJA29     1.0
           @150         RJA30A    1.0
           @151         RJA30B    1.0
           @152         RJA30BN   1.0
           @153         RJA30C    1.0
           @154         RJA30CN   1.0
           @155         RJA30D    1.0
           @156         RJA30E    1.0
           @157         RJA31     1.0
           @158         VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RJA25        YESNO. ;
    format RJA25A       YESNO. ;
    format RJA26        RJA26_. ;
    format RJA27        NUM2_. ;
    format RJA28BX      RJA28_X. ;
    format RJA28CX      RJA28_X. ;
    format RJA28DX      RJA28_X. ;
    format RJA28EX      RJA28_X. ;
    format RJA28FX      RJA28_X. ;
    format RJA28GX      RJA28_X. ;
    format RJA28HX      RJA28_X. ;
    format RJA28IX      RJA28_X. ;
    format RJA28JX      RJA28_X. ;
    format RJA28KX      RJA28_X. ;
    format RJA28LX      RJA28_X. ;
    format RJA28MX      RJA28_X. ;
    format RJA28NX      RJA28_X. ;
    format RJA29        YESNO. ;
    format RJA30A       YESNO. ;
    format RJA30B       YESNO. ;
    format RJA30BN      NUM2_. ;
    format RJA30C       YESNO. ;
    format RJA30CN      NUM2_. ;
    format RJA30D       YESNO. ;
    format RJA30E       YESNO. ;
    format RJA31        YESNO. ;

*-------------------------------------------*
* MODULE b5_rna1
*-------------------------------------------*;
data b5_rna1 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RNA00                    label="Hospitalized in past 12 mos" ;
    attrib RNA_NUM                  label="Total # of hospitalizations" ;
    attrib RNA1TYPE length= $1.0    label="Inpatient facility type" ;
    attrib RNA01                    label="Hosp at [..] past 12 mos" ;
    attrib RNA02                    label="# of hosp at [..] past 12 mos" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_rna1 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RNA00     1.0
           @28          RNA_NUM   1.0
           @29          RNA1TYPE  $CHAR1.0
           @30          RNA01     1.0
           @31          RNA02     1.0
           @32          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RNA00        YESNO. ;
    format RNA_NUM      COUNT. ;
    format RNA1TYPE     RNTYPE. ;
    format RNA01        YESNO. ;
    format RNA02        NUM2_. ;

*-------------------------------------------*
* MODULE b5_rna2
*-------------------------------------------*;
data b5_rna2 ;

    infile inb5  pad lrecl= 308 ;

    attrib MODULE   length= $8.     label="Module name" ;
    attrib HHID97   length= $7.0    label="Household ID (1997 wave)" ;
    attrib PID97                    label="Person identifier (1997)" ;
    attrib PIDLINK  length= $9.0    label="Person ID (constant across IFLS waves)" ;
    attrib RNA2TYPE                 label="Visit number" ;
    attrib RNA05A   length= $1.0    label="Facility type" ;
    attrib RNA06AX                  label="Facility vill (able ans)" ;
    attrib RNA06BX                  label="Facility kec (able ans)" ;
    attrib RNA06CX                  label="Facility kab (able ans)" ;
    attrib RNA06DX                  label="Facility prov (able ans)" ;
    attrib RNA08                    label="Nights in hospital" ;
    attrib RNA10                    label="Reason for hospitalization" ;
    attrib RNA15    length= $7.0    label="Treatments received" ;
    attrib RNA18X                   label="Prescription cost (able ans)" ;
    attrib RNA18                    label="Prescription cost, Rp" ;
    attrib RNA19X                   label="Hosp treatment cost (able ans)" ;
    attrib RNA19                    label="Hosp treatment cost, Rp" ;
    attrib RNA20                    label="Int. check - Other visits?" ;
    attrib VERSION  length= $17.0   label="Dataset version" ;

    input @1 module  $CHAR8. @;
    if module~= "b5_rna2 " then input;
      else do; 
       input
           @9           HHID97    $CHAR7.0
           @16          PID97     2.0
           @18          PIDLINK   $CHAR9.0
           @27          RNA2TYPE  1.0
           @28          RNA05A    $CHAR1.0
           @29          RNA06AX   1.0
           @30          RNA06BX   1.0
           @31          RNA06CX   1.0
           @32          RNA06DX   1.0
           @33          RNA08     2.0
           @35          RNA10     1.0
           @36          RNA15     $CHAR7.0
           @43          RNA18X    1.0
           @44          RNA18     7.0
           @51          RNA19X    1.0
           @52          RNA19     7.0
           @59          RNA20     1.0
           @60          VERSION   $CHAR17.0
           ;
         output;
        end;

 *-------------------------------*;
 * Value label assignments       *;
 *-------------------------------*;
    format RNA2TYPE     COUNT. ;
    format RNA05A       RNTYPE. ;
    format RNA06AX      ANS_LOCN. ;
    format RNA06BX      ANS_LOCN. ;
    format RNA06CX      ANS_LOCN. ;
    format RNA06DX      ANS_LOCN. ;
    format RNA08        NUM3_. ;
    format RNA10        RN10_. ;
    format RNA18X       RJ20X. ;
    format RNA19X       RUPIAH. ;
    format RNA20        YESNO. ;
*--------------------------------------------------*;
* END OF READ STATEMENTS                           * 
*--------------------------------------------------*;
